------------------------------------------------------------------
--- Changelog.i386 ---------- Tue Apr 10 17:00:27 CEST 2007 ------
------------------------------------------------------------------
------------------------------------------------------------------
------------------  2007-4-10  -  Apr 10 2007  -------------------
------------------------------------------------------------------

++++ libchewing:

  - fix build with updated check package

++++ libzypp-zmd-backend:

  - grab fixes from svn to fix build

++++ novfs:

  - apparmor patches added mntpoint to vfs_unlink call, adapt
    source to compile

++++ tellico:

  - update to version 1.2.10:
    * Fixed crashing bug when undoing collection import.
    * Fixed hanging bug when stopping a z39.50 search.
    * Fixed bug that hid some Amazon search results.
    * Fixed ONIX export to validate.
    * Fixed Alexandria export and cover image import.
    * Updated Amazon search for newer API.
    * Fixed error handling for ISBN-13 searches.
    * Updated ibs.it searching.
    * Fixed searching to properly replace all HTML entities.
    * Added Blu-ray and HD DVD to video media.
    * Improved collection merging.

------------------------------------------------------------------
------------------  2007-4-9  -  Apr 9 2007  -------------------
------------------------------------------------------------------

++++ gok:

  - Update to version 1.2.3
  - b.g.o 412825 and 323648.

++++ gucharmap:

  - Update to version 1.10.0
  - Now requires a newer version of libtool.

++++ opensuse-updater-gnome:

  - fixed some memory management problems
  - r5313
  - v 0.2.1
  - changing applet icon according to current operation/status
    (except error status)
  - r5312

++++ orca:

  - Update to version 2.18.0
  - Invalid entries in the .desktop file were removed
  - Improved man pages (b.g.o #414981).

++++ tomboy:

  - Update to version 0.6.1
  - bugzilla.gnome.org #414957, #414933, #412402, #412404, #$405577,
    [#413234], and #413230
  - Remove tomboy-disable-starthere.patch,
    tomboy-no-custom-font.patch, and
    tomboy-disable-notd-plugin.patch, which have made it upstream.

++++ totem:

  - Update to version 2.18.0
  - fixes for bugzilla.gnome.org #415389, #405883, #415326, #414961,
    [#386558], #413065, #411408, #412560, #404304, #379742, #355881,
    [#402920], #407679, #374470, #405880, #405850, #406806, and
    [#405758]
  - Cleaned up .desktop file

++++ vino:

  - Update to version 2.18.0
  - Fixes for bugzilla.gnome.org #414905, #412559, #394005, #394462,
    [#357778], #400260, #391850, #394523, and #391848.

++++ yelp:

  - Update to version 2.18.0
  - Mozilla API changes/fixes.

------------------------------------------------------------------
------------------  2007-4-8  -  Apr 8 2007  -------------------
------------------------------------------------------------------

++++ xkeyboard-config:

  - Regenerate *.dir files.
  - Reduce build requirements.

++++ xpp:

  - Fix memory corruption.

------------------------------------------------------------------
------------------  2007-4-7  -  Apr 7 2007  -------------------
------------------------------------------------------------------

++++ ding:

  - added application icon  (accepted already upstream, but due to
    long release cycles added to the package)

++++ helix-banshee:

  - Added more translations from SLED SP1
  - Removed old banshee-0.12.0 tarball

++++ nano:

  - update to version 2.0.4
    * GNU nano 2.0.4 heralds the dawn.  This release contains proper support
    for the Ctrl-[arrow key], Shift-[arrow key], and F13-F16 keys under
    Xfce's Terminal.  It also adds still more minor documentation updates.
    Enjoy.

------------------------------------------------------------------
------------------  2007-4-6  -  Apr 6 2007  -------------------
------------------------------------------------------------------

++++ beagle:

  - Add epiphany-max-version.patch, allowing the epiphany extension
    to be built against epiphany 2.18.

++++ gwget:

  - removing static libs

++++ helix-banshee:

  - Update to version 0.12.1
  - Fixes for #257156, #239013, and #239107
  - Support iTunes 7.1, HFS+ iPods, and iPod Shuffle 2nd generations
  - Fix the build for helix-banshee as well -- use pushd/popd
    instead of cd in the %install section
  - Rename the schemas installed with helix-banshee from
    banshee*schemas to helix-banshee*schemas.

++++ iso-codes:

  - Updated to version 1.0a:
    * Many data updates.
    * Support for ISO-639-3.
    * Stable version.

++++ libbeagle:

  - Add epiphany-max-version.patch, allowing the epiphany extension
    to be built against epiphany 2.18.

++++ libsexy:

  - Updated to version 0.1.11:
    * API additions, improvements and bug fixes.
    * Devhelp documentation.
    * See NEWS for more.

++++ shared-mime-info:

  - Disabled system-wide running of mime-info-to-mime (#150398).

++++ squid:

  - added valgrind-devel to buildrequires

++++ xmltex:

  - use needsrootforbuild for the moment

++++ yast2:

  - Adding new Installation::reboot_net_settings that will point to
    a file storing current nework services settings when rebooting
    a computer during installation (#258742).
  - Adding comments for Installation::* variables
  - 2.15.25
  - register Pkg::CallbackAuthentication() callback (#190609)
  - 2.15.24

++++ yast2-ftp-server:

  - initial version
  - 2.15.0

++++ yast2-installation:

  - In case of reboot during installation, network services status
    is stored to a reboot_network_settings file and their status
    is restored again when starting the installation after reboot.
    Restoring the status uses Progress library for user feedback
    (#258742).
  - Adjusted RPM dependencies.
  - 2.15.18

++++ yast2-packager:

  - added user authentication callback - Authentication() (#190609)
  - 2.15.30
  - fixed missing translation mark (#252551)

++++ yast2-pkg-bindings:

  - added Pkg::CallbackAuthentication() - handle AuthenticationReport
    callback (#190609)
  - 2.15.14

++++ yum:

  - update to version 3.1.6
    * 3.1.6 brings with it another round of fixes and optimizations to the
    depsolver. It also ports forward some changes from 3.0.X that were
    needed. This release should provide depsolver speed experience more
    inline with what we want.

++++ yum-metadata-parser:

  - update to version 1.0.4
    * db.c: Create a pkgKey index for provides, requires, conflicts, and
    obsoletes
    * db.c, db.h, package.h, sqlitecache.c, xml-parser.c: include Prereqs

------------------------------------------------------------------
------------------  2007-4-5  -  Apr 5 2007  -------------------
------------------------------------------------------------------

++++ bluez-utils:

  - added missing -s hci daemon argument to start the internal SDP
    server (bug #258689)

++++ mono-core:

  - Add zlib-devel to BuildRequires.

++++ control-center2:

  - Added "Use default web browser" option for default applications
    FTP preferences (#113104#c13).

++++ desktop-data-SuSE:

  - symlink /usr/bin/call-browser to /usr/bin/xdg-open (#170316)

++++ doxygen:

  - updated to version 1.5.2:
    * Doxygen now uses UTF-8 internally for all strings
    A new config option INPUT_ENCODING has been added which can be
    used to specify the encoding of the input
    * Added support for message sequence charts (using mscgen)
    * Added support for C++/CLI
    * IGNORE_PREFIX now also works for function/members names when
    shown in the various indices
    * Doxygen will show a tooltip in the HTML output for links
    to classes, namespaces, and members with the brief description
    * Syntax highlight support for several (managed) C++ keywords
    * Added two LaTeX layout enhancements
    * Lots of bugfixes
  - dropped obsolete disable-rtf-debug.patch

++++ evms:

  - Place the message window in fron of the startup window
  - Bug 260493, also pushed upstream.

++++ kdebase3:

  - simplify resize and rotate settings dialog (#104926)

++++ gnome-games:

  - Bring gnome-games-desktop.patch closer to SUSE's standard.

++++ gnome-utils:

  - Add abuild-warnings.patch.

++++ gtk-engines:

  - prevent building static libraries
  - fix use of uninitialized variable

++++ vim:

  - Keep %ghost for gvimrc only

++++ helix-banshee:

  - Fix the build
    * Package certain hitherto unpackaged files in both banshee and
    helix-banshee
    * Use the wacky fun magic gconf scripts.
  - helix-banshee.spec is created as a copy of banshee.spec with
    a few things changed.  This is now performed via the small
    script helix-banshee-fixup.sh.  If the two specs diverge further,
    the script can be enhanced.

++++ hk_classes:

  - build against the system sqlite

++++ ivtv:

  - make it compile with current kernel

++++ k3b:

  - fix detection of "sox" (#260118)

++++ kdeaccessibility3:

  - add Recommends: for epos and festival (#71051)

++++ kdegraphics3:

  - build with -fno-strict-aliasing

++++ kdemultimedia3:

  - build with -fno-strict-aliasing

++++ kernel-bigsmp:

  - patches.drivers/cciss-add-SG_IO: Add SG_IO to cciss.
  - update to 2.6.21-rc5-git13, misc fixes

++++ kernel-default:

  - patches.drivers/cciss-add-SG_IO: Add SG_IO to cciss.
  - update to 2.6.21-rc5-git13, misc fixes

++++ kernel-source:

  - patches.drivers/cciss-add-SG_IO: Add SG_IO to cciss.
  - update to 2.6.21-rc5-git13, misc fixes

++++ kernel-syms:

  - patches.drivers/cciss-add-SG_IO: Add SG_IO to cciss.
  - update to 2.6.21-rc5-git13, misc fixes

++++ kernel-xen:

  - patches.drivers/cciss-add-SG_IO: Add SG_IO to cciss.
  - update to 2.6.21-rc5-git13, misc fixes

++++ kernel-xenpae:

  - patches.drivers/cciss-add-SG_IO: Add SG_IO to cciss.
  - update to 2.6.21-rc5-git13, misc fixes

++++ lftp:

  - update to 3.5.10
    highlights from changelist:
    * fixed 'sleep' command
    * fixed 'mirror --script'

++++ libipoddevice:

  - Added patch to fix 261357 (Non-HFS+ iPods may be detected as read only)

++++ mhash:

  - update do 0.9.9
    * fixed sigbus error on unaligned data
    * fixed Haval endian problem
    * polished some memory leaks
    * fixed symbol clashes

++++ openmotif:

  - Remove redundant compares.

++++ perl-Net-XMPP:

  - update to 1.02
    * Copied *X subs from Net::Jabber::Message to Net::XMPP::Message
    * added debugging in some Protocol subs that didn't have it,
    but not all
    * disabled CODE checking in Protocol-Callback subs to be POE
    compatible
    * changed mytestlib.pl to output more concise test names
    * bugfixes
  - fix spec to build with Module::Build, add it to BuildRequires
  - disable %perl_process_packlist (Module::Build does not append
    to perllocal.pod)

++++ physfs:

  - build test program with readline support
  - install man pages into proper directory
  - use %jobs

++++ qtcurve-gtk2:

  - update to 0.48.4:
  - Make light border consistent with KDE

++++ sendmail:

  - Update to release sendmail 8.14.1
  - Add port check for polling smtp port (fate #302078)

++++ sensors:

  - Update to lm_sensors version 2.10.3 which added support for
    recent devices and support for kernel 2.6.22.

++++ valgrind:

  - split into -devel subpackage

++++ yast2-installation:

  - Using function PackagesUI::ConfirmLicenses() instead of
    maintaining own code with almost the same functionality (#256627)
  - Adjusted RPM dependencies
  - Unified inst_startup UI to use the Progress library instead of
    sequence of busy pop-ups.
  - Unified inst_system_analysis UI to use the Progress library
    instead of empty dialog.
  - 2.15.17

++++ yast2-network:

  - for s390 write hwcfg file although driver doesn't provide busID
  - 2.15.24
  - fixed option for 'changed by another process' in dns
  - 2.15.23

++++ yast2-update:

  - Always call Update::GetProductName translating fstab and
    cryptotab.
  - 2.15.8
  - Fixed reading fstab and cryptotab to always call Storage to
    translate old devices to new ones (#258222).
  - Added new popup showing details when fsck.jfs fails.
  - 2.15.7

++++ zmd:

  - New Source Drop
  - Added support for openSUSE 10.3 and Fedora Core 6
    Fixes #  260259

------------------------------------------------------------------
------------------  2007-4-4  -  Apr 4 2007  -------------------
------------------------------------------------------------------

++++ Mesa:

  - bug-211314_mesa-refcount-memleak-fixes.diff:
    * Fix for memleaks and refount bugs (Bug #211314)

++++ NetworkManager-kde:

  - add patch knetworkmanager-wpaeap_storage-hschaa-01.patch
    (fixes b.n.c #253413 and #253414)

++++ acx:

  - added module-init-tools to BuildRequires

++++ adm8211:

  - added module-init-tools to BuildRequires

++++ at76_usb:

  - added module-init-tools to BuildRequires

++++ cloop:

  - added module-init-tools to BuildRequires

++++ dazuko:

  - Adopted for new LSM prototypes in kernel 2.6.21_rc5_git8_2.
    New patch file: dazuko-2.3.3.dif
  - Added module-init-tools to build requires.

++++ dosfstools:

  - added Supplements: filesystem(vfat) line to spec file
    [fate#301966]

++++ drbd:

  - added module-init-tools to BuildRequires

++++ e2fsprogs:

  - add Supplements line [FATE#301966]

++++ fvwm2:

  - Fix last change.
  - fixed gcc warnings: comparing a char* pointer with a
    string literal (string_compar.patch)

++++ gnome-applets:

  - Update to version 2.18.0
  - Fix up .desktop files.

++++ gnome-games:

  - Own a number of directories that were previously unowned.
  - Update to version 2.18.0
  - New games, glchess and gnome-sudoku
  - Refresh gnome-games-desktop.patch (gnome-games no longer
    includes gataxx)
  - Remove references to gataxx in the .spec
  - b.g.o 408331, 406664, 406712, 406756, 398471, 404317, and 401895
  - Update BuildRequires.

++++ gnome-keyring:

  - Update to version 0.8
  - b.g.o 407160 and 339137.

++++ gnome-session:

  - Session start script (gnome) cleanup (#254439).

++++ gnome-system-monitor:

  - Update to version 2.18.0
  - Cleaned up .desktop files
  - b.g.o 413919, 412953, and 409427.

++++ gnome-utils:

  - Update to version 2.18.0
  - b.g.o 404236
  - Some configure script cleanups
  - Explicitly enable gfloppy, which is no longer built by default
  - Refresh gnome-utils-screenshot-abspath.patch and
    baobab-desktop.patch.

++++ gnome2-user-docs:

  - Update to version 2.18.0
  - Updated translations

++++ gpg2:

  - update to 2.0.3
  - fixed #251605 - VUL-0: signing issues within GNUPG
  - removed outdated patches

++++ gspcav:

  - added module-init-tools to BuildRequires

++++ gwget:

  - configure detects current epiphany 2.18 (epiphany218.patch)

++++ ipw3945-kmp:

  - added module-init-tools to BuildRequires

++++ isns:

  - Added service definition for SUSEFirewall2 (#254456)

++++ ivtv:

  - added licence files to firmware

++++ jfsutils:

  - add Supplements line [FATE#301966]

++++ kbarcode:

  - format strings fixes

++++ kernel-bigsmp:

  - update to 2.6.21-rc5-git12, libata fixes
  - update to 2.6.21-rc5-git11, msi fix
  - add patches.arch/ppc-pegasos-via-ide-irq-quirk.patch
    add correct interrupt property for pegasos ide

++++ kernel-default:

  - update to 2.6.21-rc5-git12, libata fixes
  - update to 2.6.21-rc5-git11, msi fix
  - add patches.arch/ppc-pegasos-via-ide-irq-quirk.patch
    add correct interrupt property for pegasos ide

++++ kernel-source:

  - update to 2.6.21-rc5-git12, libata fixes
  - update to 2.6.21-rc5-git11, msi fix
  - add patches.arch/ppc-pegasos-via-ide-irq-quirk.patch
    add correct interrupt property for pegasos ide

++++ kernel-syms:

  - update to 2.6.21-rc5-git12, libata fixes
  - update to 2.6.21-rc5-git11, msi fix
  - add patches.arch/ppc-pegasos-via-ide-irq-quirk.patch
    add correct interrupt property for pegasos ide

++++ kernel-xen:

  - update to 2.6.21-rc5-git12, libata fixes
  - update to 2.6.21-rc5-git11, msi fix
  - add patches.arch/ppc-pegasos-via-ide-irq-quirk.patch
    add correct interrupt property for pegasos ide

++++ kernel-xenpae:

  - update to 2.6.21-rc5-git12, libata fixes
  - update to 2.6.21-rc5-git11, msi fix
  - add patches.arch/ppc-pegasos-via-ide-irq-quirk.patch
    add correct interrupt property for pegasos ide

++++ ksh:

  - Minor correction for builtin uname -i

++++ libzypp:

  - Fix restoring of Sources id root prefix is used. (#238165)
  - revision 5299
  - version 3.0.2
  - MediaManager::attachDesiredMedia() added to support multiple
    (CD/DVD) drives (fate #3974)
  - r5296

++++ lirc-kernel:

  - added module-init-tools to BuildRequires

++++ lprng:

  - added call to Remove_tempfiles() to remove temporary files (tmpdir.diff)

++++ ndiswrapper:

  - added module-init-tools to BuildRequires

++++ novfs:

  - added module-init-tools to BuildRequires

++++ omnibook:

  - updated to current SVN HEAD to fix build problems/errors
  - added module-init-tools to BuildRequires

++++ open-iscsi:

  - update to official release 2.0-754
  - update to svn r779
  - Include changes from SLES10 SP1

++++ opera:

  - Bugzilla #208048: add workaround to start script to avoid
    bad page layout in some locales when scim-qtimm is installed.

++++ pam_mount:

  - Don't package mount_ehd, it's only for
    OpenBSD. Fixes 256214.

++++ pm-utils:

  - use long options for s2disk/s2both, short options will be depre-
    cated
  - fix suspend to disk for HIBERNATE_METHOD=userspace

++++ powertweak:

  - Fix cpuid check

++++ rfswitch:

  - added module-init-tools to BuildRequires

++++ rt2x00:

  - update BuildRequires

++++ smartlink-softmodem:

  - added module-init-tools to BuildRequires

++++ swig:

  - install the precompiled examples to %_libdir/swig

++++ tgt:

  - Added service definition for SUSEFirewall2 (#251679)
  - Initial version svn r849
  - Update to latest git version
  - Fixes for build on openSUSE

++++ totem:

  - Do not require no more existing gstreamer010-plugins-base-oil.

++++ tpctl:

  - added module-init-tools to BuildRequires

++++ util-linux:

  - add Supplements line [FATE#301966]

++++ uvcvideo:

  - added module-init-tools to BuildRequires

++++ wireless-tools:

  - removed /etc/modprobe.d/prism2 and switch_prism_driver
    (bug 239194)

++++ wlan-ng:

  - added module-init-tools to BuildRequires

++++ xfsprogs:

  - updated to version 2.8.20
    * Fix xfs_repair not detecting invalid btree root in inodes.
    * Fix xfs_repair restoring corrupted superblock after repairing
    it.
    * Fix xfs_repair crashing on invalid quota inode values.
    * Fix xfs_quota gracetime reporting.
    Thanks to Utako Kusaka <utako@tnes.nec.co.jp> for this.
    * Fix libxfs IO_DEBUG output.
    * Instead of using AC_CHECK_TYPES which isn't supported for
    older versions of autoconf, add our own type check in the
    m4/package_types.m4 file for __u32.  Suggested by Nathan Scott
    and discovered by wookey@aleph1.co.uk.
    * Fix pthread stack size setting in xfs_repair.
    * Fix xfs_bmap -n option displaying a truncated extent.
    * Fix xfs_io mwrite segfault. Thanks to Utako Kusaka for these
    two fixes.
    * Fix errors in xfs_quota(8) man page.
    * <xfs/list.h> is an installed file, we cannot simply rename it,
    as other applications using it (accidentally or not) may break.
    The xfs_list.h name was inconsistent with everything else too.
    * Fix "pointer targets in assignment differ in signedness"
    warnings
    * Update Debian packaging.
    * Fix up two issues with xfs_db and bmap. If the data/attr fork
    is local, it either infinite loops or crashes. If both are
    displayed, the attrs are wrong.
    * Fix up xfs_io mmap read that read from the wrong offset.
    * Updated xfs_io man page.
    Thanks to Utako Kusaka <utako@tnes.nec.co.jp> for the above
    three fixes.
    * Fix up libxfs SEGV when attempting to mount a non-XFS
    filesystem.  Thanks to Utako Kusaka <utako@tnes.nec.co.jp> for
    this.
    * Fix up xfs_repair aborting if it finds an inode with an invalid
    inode type.
    * Fix up default realtime extent size for large block sizes.
    * Rename include/list.h to xfs_list.h so that other applications
    do not accidentally use it.
    * Fix up an endian problem for nlink setting in phase 7 for
    xfs_repair.
    * Fix up nlink checks and repairs in phase 7 for xfs_repair.
    * Remove a bogus LEAFN warning for a single leaf node v2 dir.
    * Fix up the ring command in xfs_db,
    thanks to Utako Kusaka
    * Set the blocksize on the device to the given sector
    size which is _not_ necessarily 512 bytes;
    idea suggested by Shailendra Tripathi.
    * Fix up xfs_copy and its variable argument handling
    around vfprintf; xfs_copy was seg faulting on x86_64.
    * Fix v2 directory checking with holes and unreadable blocks.
    * Fix a memory leak in dir2 checking.
    * Update libdisk/md support to work out the stripe width
    based on (# raid-disks - # parity disks) which
    doesn't include any spare disks (which we mistakenly did before).
    Thanks to Shailendra Tripathi's suggestions.
    * Get the kernel int types of __u32 and friends from <asm/types.h>
    if we can, otherwise define them ourselves.
    * Multi-thread modifications to xfs_repair.
    * Updated Polish translation, thanks to Jakub Bogusz.
    * Change default mkfs realtime extent size setting to
    perform better for buffered writes.
  - added Supplements: filesystem(xfs), so that xfsprogs is installed
    when an xfs filesystem is used (fate #301966)

++++ yast2-country:

  - added support for Walloon language
  - 2.15.11

++++ yast2-firewall:

  - A brand new and better revolutionary solution has been worked out
    for a firewall service starting/stopping and enabling/disabling
    in order to maximize user understanding and minimize errors
    (#259304).
  - 2.15.5

++++ yast2-installation:

  - Removed IPv6 proposal from installation control file. IPv6
    proposal has been merged into Network Mode proposal (#260261).

++++ yast2-network:

  - improve widget handling when dhcp used/not used (#156830)
  - 2.15.22

++++ yast2-packager:

  - 2.15.29
  - signature checks for individual add-ons for autoyast

++++ yast2-users:

  - do not ask for password when user doesn't have encrypted home
    directory (#259874)
  - correctly find image and key files of crypted home directory (#259880)
  - 2.15.20

++++ zaptel:

  - added module-init-tools to BuildRequires

------------------------------------------------------------------
------------------  2007-4-3  -  Apr 3 2007  -------------------
------------------------------------------------------------------

++++ alsa-plugins:

  - Add explicitly jack and pulseaudio to Requires of each sub
    package.

++++ aseqview:

  - updated to version 0.2.6:
    * Fix segfault with thread mode (silly typo)
    * Add mute-control feature by TAMUKI Shoichi

++++ samba:

  - Add repository version and branch to the spec file via
    build-source-timestamp mechanism.
  - Allow applications to set the share mode while opening a file using
    libsmbclient; bso [#3684]; [#203737].

++++ djvulibre:

  - installing icons and desktop file in %install section

++++ epiphany:

  - Remove all references to
    epiphany-dbus-connection-close-fix-thoenig-01.patch (#260495).

++++ kdebase3:

  - update 3_5_BRANCH.diff
  - update kickoff.diff from SVN:
    * prefer user over system media label (#257007)
    * implement listening to Beagle KAddressbook hits and do not
    search addressbooks via kabc by default (#249287)
    * make drawing of Geeko eye an option with default off

++++ gnome-session:

  - specfile cleanup (#255906)

++++ gtk2:

  - Disabled DirectFB by default (#256775).

++++ vim:

  - change %ghost %config(missingok) to %config(noreplace)
    for /etc/vimrc and /etc/gvimrc

++++ html2text:

  - using now upstream patch for 64bit
  - added upstream utf-8 patch

++++ irqbalance:

  - increased IRQ number to (256 + (32*MAX_CPU)) as done in the
    x86_64 kernel

++++ jack-rack:

  - Add jack to Requires explicitly.

++++ jackEQ:

  - Add jack to Requires explicitly.

++++ jamin:

  - Add jack to Requires explicitly.

++++ k3b:

  - adapt build requires for people without needed_package.fixes magic
  - add libmpcdec-devel and libsndfile-devel to build requires

++++ kdelibs3:

  - update 3_5_BRANCH diff to fix build of kde3-i18n
  - fix compiler options for gcc on < 10.3

++++ kdepim3:

  - update of 3_5_BRANCH.diff, includes new time zone infos

++++ kernel-bigsmp:

  - update to 2.6.21-rc5-git10, critical x86 fixes

++++ kernel-default:

  - update to 2.6.21-rc5-git10, critical x86 fixes

++++ kernel-source:

  - update to 2.6.21-rc5-git10, critical x86 fixes

++++ kernel-syms:

  - update to 2.6.21-rc5-git10, critical x86 fixes

++++ kernel-xen:

  - update to 2.6.21-rc5-git10, critical x86 fixes

++++ kernel-xenpae:

  - update to 2.6.21-rc5-git10, critical x86 fixes

++++ ktorrent:

  - update to 2.1.3:
    * really fix file overwriting vulnerability
    * crash fix

++++ lynx:

  - upgrade to final version of 2.8.6
  - removed patch with final changes

++++ nspluginwrapper:

  - fix typo => _arch instead of target_arch

++++ openmotif:

  - Add libpng-devel and libjpeg-devel to BuildRequires.

++++ perl-Bootloader:

  - Cosmetic correction in Tools.pm
  - Improved error handling in Tools.pm

++++ pin:

  - --nosignature --nodigest for rpm -qa to speedup (thanks Pascal)
  - su & tcsh fix (bug #188068) (thanks Volker)

++++ powersave:

  - remove check for s2ram from initscript
  - fix installation to expand $prefix at make time (patch by
    Michael Biebl)
  - r2910

++++ ripit:

  - added perl-libwww-perl to Requires

++++ squid:

  - upgrade to 2.6.STABLE12:
    * Upgrade HTTP/0.9 responses to our HTTP version (HTTP/1.0)
    * various diskd bugfixes
    * In the access.log hierarchy field log the unique peer name
    instead of the host name
    * unlinkdClose() should be called after (not before)
    storeDirSync()
    * CLEAN_BUF_SZ was defined, but never used anywhere
    * logging HTTP-request size
    * Fix icmp pinger communication on FreeBSD and other not
    supporing large dgram AF_UNIX sockets
    * Release objects on swapin failure
    * Objects stuck in cache if origin server clock in future
    * 302 responses with an Expires header is always cached
    * Primitive support for HTTP/1.1 chunked encoding, working around
    broken servers
    * Clean up relations between TCP probing and DNS checks of peers
    with no known addresses.
    * Fix a minor HTML coding error in ftp directory listings with //
    in the path
    * Cleanup of refresh logics when dealing with non-refreshable
    content
    * Gopher cleanups and bugfixes
    * Negotiate authentication fixed again. Broken since STABLE7 by
    the patch for
    * COSS tries to shut down the same directory twice on exit
    * store*DirRebuildFromSwapLog() ignores some SWAP_LOG_DEL entries
    * Added support for Subversion HTTP request methods MKACTIVITY,
    CHECKOUT and MERGE.
    * assertion failed: client_side.c:4055: "buf != NULL ||
    !conn->body.request"
    * Handle garbage helper responses better in concurrent protocol
    format
    * Fix kqueue when overflowing the changes queue
    * Make sure the child worker process commits suicide if it could
    not start up
    * Don't log short responses at debug level 1
    * Fix bswap16 & bwsap32 error on NetBSD
    * Fix collapsed_forwarding for non-GET requests
    * Assertion error on TRACE

++++ tei-xsl-stylesheets:

  - Update to version 5.4.24.

++++ words:

  - Enable sorting by correcting a typo in keyword LC_CTYPE (#258445)

++++ xorg-x11-driver-input:

  - updated joystick driver to release 1.2.0:
    * Added man page
    * Moved to newer Joystick API: no more polling of the device
    * Support for up to 32 axes and 32 buttons
    * Smoother cursor movement
    * Joystick buttons can be freely mapped to
  - a mouse button
  - an axis direction
  - a series of keycodes to generate combinations of keystroke
    events
  - modify speed of other axis movements
  - disable the generation of mouse or key events
    * Axes can be freely mapped to: x, y, horizontal and vertical
    scrolling
    * Axes can be used in three modes: relative, accelerated,
    absolute
    * The deadzone and speed of every axis can be set

++++ xorg-x11-driver-video:

  - updated "nvrandr12" driver to current git:
    * G80: Get HW cursor working with RandR 1.2
  - added two nv driver patches (xf86-video-nv-{1,2}.diff)
    * X.Org Bug #10360: Need to inject a mode corresponding panel
    width/height for validation
    * Remove extraneous DisplayModeRec allocation (Thanks to Luc
    Verhaegen for pointing this out)
  - intel driver release 1.9.94 (2.0 RC4)
    * In hopefully our last RC before release, here's
    xf86-video-intel 2.0 RC4. The big news in this one is the
    addition of 965GM support.  Also present are some EXA fixes,
    documentation updates, and moving the debug output under
    Option "ModeDebug" "YES".

++++ yast2-network:

  - Network installation proposal:
    * NetworkManager and IPv6 proposals joined into 'General Settings'
    proposal
    * Make click on 'General Settings' title open separate dialog with
    NM and IPv6 options (#255609)
  - 2.15.21

++++ yast2-printer:

  - L3: autoyast fails on printer configuration (#258738)
  - 2.14.23

------------------------------------------------------------------
------------------  2007-4-2  -  Apr 2 2007  -------------------
------------------------------------------------------------------

++++ ConsoleKit:

  - initial checkin

++++ OpenOffice_org:

  - updated ooo-build to 2.1.10:
    * samba locking [n#203737]
    * crash in gnome-vfs directory reading; found during the samba locking
    fixing
    * VBA stuff: rows on active cell fails with row syntax [n#258824]

++++ control-center2:

  - Ported control-center-default-applications-ftp+news.patch
    (#113104#c11).
  - Added seamonkey to default applications list.

++++ coreutils:

  - Fix ls -x.

++++ cups:

  - Upgrade to cups-1.2.10:
    * ppdLocalize() now supports localizing for Japanese using the
    "jp" locale name used by the ppdmerge program from the CUPS
    DDK 1.1.0
    * _cupsAdminSetServerSettings() did not support changing of
    top-level directives as designed.
    * The init script path check was broken.
    * CUPS incorrectly used the attribute "notify-recipient" instead
    of "notify-recicpient-uri" in several places
    * Fixed a configure script bug on MirBSD
    * The pdftops filter did not limit the amount of recursion of
    page sets
    * Custom page sizes with fractional point sizes did not work
    * The lpoptions command would crash when adding or removing
    options on a system with no printers
    * The scheduler did not use the default job-sheets (banners) for
    implicit classes
    * The scheduler could crash when listing complete jobs that had
    been unloaded from memory
    * The French localization was doubled up
    * Build system fixes for several platforms
    * The scheduler's openssl certificate generation code was broken
    on some platforms
    * The scheduler's log rotation check for devices was broken
    * The LPD mini-daemon did not handle the document-format option
    correctly
    * The pdftops filter ignored the "match" size option in the
    pdftops.conf file
    * cupstestppd now validates UTF-8 text strings in globalized PPD
    files
    * The outputorder=reverse option did not work with all printers
    * Classes containing other classes did not always work
    * Printer location and description information was lost if the
    corresponding string contained the "#" character
    * cupsRemoveOption() did not work properly
    * The USB backend did not work with some USB to parallel cables
    on Mac OS X.
    * The test page did not print the rulers properly on large media
    sizes
    * The text filter could crash when pretty printing certain types
    of files
  - removed already included security patch xpdf_CVE_2007_0104

++++ dar:

  - add libzz2-devel to BuildRequires
  - fix dependencies of -devel package

++++ eblook:

  - added zlib-devel to buildreq

++++ epiphany:

  - Update to version 2.18.0
  - b.g.o 416994, 348331, 404514
  - Fix several .desktop files to remove invalid Category entries.

++++ epiphany-extensions:

  - Update to version 2.18.0
  - Update the URL in Source:
  - b.g.o 348331, 412924, 352082, 342951, 342951, 395763, and 357052.

++++ evolution-webcal:

  - Update to version 2.9.92
  - b.g.o 336290 and 337994.

++++ file-roller:

  - Build with -fno-strict-aliasing
  - Package %{_libdir}/file-roller.
  - Update to version 2.18.0
  - "Application" is not a valid category in the freedesktop
    specification, so remove it from data/file-roller.desktop.in.in
  - Code cleanups
  - b.g.o 409433, 396775, and 395074
  - Remove upstreamed file-roller-self-exe.patch.

++++ gcal:

  - Add ncurses-devel BuildRequires

++++ gedit:

  - Use a valid Icon directive in gedit.desktop.in.in.
  - Update to version 2.18.0
  - Fix .desktop files
  - b.g.o 413030, 412627, 407374, 407536, 354046, 403140, 401219,
    346598, 398343, 319950, 352959, 357529, and 371188
  - Remove upstreamed gedit-autodetect-utf-16.patch
  - Buildrequire notification-daemon.

++++ gnome-vfs2:

  - Fixed patch order for gnome-patch-translation.

++++ gnomeicu:

  - Add gdbm-devel BuildRequires.

++++ hal:

  - updated to actual HAL/hal-info git
  - removed patches:
  - parted.patch
  - hal-fix-hal_device_manager_about_dialog.diff
  - hal-fix-eject_path.diff
  - hal-fix-configure-dell.diff
  - hal-add-IBMHotkey_Support_v2_incl_TabletPC.diff
  - hal-add-cdrom_capabilities.diff
  - hal-fix-power-privileges.diff
  - hal-revert-git-multisession.diff
  - hal-pci.diff
  - updated patch:
  - hal-add_soundcard_fix_device_file_handling_v2.diff
  - fixed bugs:
  - b.n.c #258800
  - b.n.c #255934
  - b.n.c #256270 (now fixed upstream via configure parameter)

++++ inn:

  - Add gdbm-devel BuildRequires.

++++ iproute2:

  - add bison and flex BuildRequires

++++ joe:

  - added BuildRequires: ncurses-devel

++++ kdelibs3:

  - update 3_5_BRANCH diff to include fix for
    * possible utf8 overlong decoding issue in kjs (#259187)
    * crash during ftp PASV scanning (#257045)
    * possible XSS in title tags (#238377)

++++ kernel-bigsmp:

  - rpm/macros.kernel-source: KMPs: Add module-init-tools build
    requirement (259687).
  - add patches.arch/ppc-efika-modalias.patch
    add modalias file for of_devices to sysfs
  - add patches.arch/ppc-macio-modalias.patch
    fix modalias content in sysfs for macio devices
  - update to 2.6.21-rc5-git8, misc fixes

++++ kernel-default:

  - rpm/macros.kernel-source: KMPs: Add module-init-tools build
    requirement (259687).
  - add patches.arch/ppc-efika-modalias.patch
    add modalias file for of_devices to sysfs
  - add patches.arch/ppc-macio-modalias.patch
    fix modalias content in sysfs for macio devices
  - update to 2.6.21-rc5-git8, misc fixes

++++ kernel-source:

  - rpm/macros.kernel-source: KMPs: Add module-init-tools build
    requirement (259687).
  - add patches.arch/ppc-efika-modalias.patch
    add modalias file for of_devices to sysfs
  - add patches.arch/ppc-macio-modalias.patch
    fix modalias content in sysfs for macio devices
  - update to 2.6.21-rc5-git8, misc fixes

++++ kernel-syms:

  - rpm/macros.kernel-source: KMPs: Add module-init-tools build
    requirement (259687).
  - add patches.arch/ppc-efika-modalias.patch
    add modalias file for of_devices to sysfs
  - add patches.arch/ppc-macio-modalias.patch
    fix modalias content in sysfs for macio devices
  - update to 2.6.21-rc5-git8, misc fixes

++++ kernel-xen:

  - rpm/macros.kernel-source: KMPs: Add module-init-tools build
    requirement (259687).
  - add patches.arch/ppc-efika-modalias.patch
    add modalias file for of_devices to sysfs
  - add patches.arch/ppc-macio-modalias.patch
    fix modalias content in sysfs for macio devices
  - update to 2.6.21-rc5-git8, misc fixes

++++ kernel-xenpae:

  - rpm/macros.kernel-source: KMPs: Add module-init-tools build
    requirement (259687).
  - add patches.arch/ppc-efika-modalias.patch
    add modalias file for of_devices to sysfs
  - add patches.arch/ppc-macio-modalias.patch
    fix modalias content in sysfs for macio devices
  - update to 2.6.21-rc5-git8, misc fixes

++++ ksh:

  - Update to ksh93s+ (bug #239215)
  - Be sure that iffe can handle option -n even if bash is used

++++ libgtop:

  - Update to version 2.14.8
  - Support for FreeBSD
  - Fixed up signal handling.

++++ libopencdk:

  - add zlib-devel BuildRequires

++++ libxml:

  - Add zlib-devel BuildRequires.

++++ libxml2:

  - add zlib-devel BuildRequires

++++ liferea:

  - added non-english manpage directories to filelist

++++ lprng:

  - add ncurses-devel BuildRequires

++++ ltxml:

  - add zlib-devel BuildRequires

++++ mc:

  - add gpm BuildRequires

++++ mdadm:

  - updated to 2.6.1
    * --monitor was producing some meaningless warnings due to a bug.
    * Fix some compiler warnings.
    * Fully support --grow for raid6.  If a reshape crashed during
    the critical period, mdadm wouldn't restore the Q information
    properly.
    * Update documentation for --grow.
    * Report bitmap status in --detail and --examine
    * Default to v1 superblocks instead of v0.90 if the array
    is too big for 0.90 to handle.
    * Sort the output of "mdadm --detail --scan" so that it is
    in a suitable order for assembling arrays. i.e. components come
    before an array that they are part of.
    * Require bitmap files to have a '/' in their name.
    * Rewrite 'reshape' support including performing a backup
    of the critical region for a raid5 growth, and restoring that
    backup after a crash.
    * Put a 'canary' at each end of the backup so a corruption
    can be more easily detected.
    * Support --backup-file for backing-up critical section during
    growth.
    * Erase old superblocks (of different versions) when creating new
    array.
    * Allow --monitor to work with arrays with >28 devices
    * Report reshape information in --detail
    * Handle symlinks in /dev better
    * Fix mess in --detail output which a device is missing.
    * Support 'bitmap=' in mdadm.conf for auto-assembling arrays with
    write-intent bitmaps in separate files.
    * Fix alignment problem in version-1 superblocks.
    NOTE: This is an incompatable change affecting raid5 reshape.
    If you want to reshape a raid5 using version-1 superblocks,
    use 2.6.17-rc2 or later, and mdadm-2.4.1 or later.
    * Support 'mailfrom' line in mdadm.conf so the From: line in alert
    emails can be explicitly set.
    * Arrange that SparesMissing (which is similar in import to
    DegradedArray) generates an Email.
    * Assume "DEVICE partitions" if no DEVICE line is given.
    * Support new 'offset' layout for raid10.
    * When creating a bitmap file, choose a chunksize to limit number
    of bitmap chunks to 2 million.  More than this can cause kmalloc
    failure.
    * New 'CREATE' line in mdadm.conf for defaults such as owner, group,
    mode and auto-flag
    * --detail checks if array has been started or not and includes that
    in report.
    * When using --update=uuid on an array with a bitmap, update the
    bitmap's uuid too.
    * Add a copy of /proc/mdstat to the mail message sent by mdadm
  --monitor.
    * New flag --no-degraded to avoid starting arrays if there are
    fewer devices available than last time the array was started.
    This is only needed with --scan, as with --scan, that behaviour
    is the default.
    * Support for 'homehost' concept.  This is a fairly major update.
    It includes a configfile option and a command line option for
    specifying a homehost, records that host in the superblock,
    and reports the homehost where possible.
    * Support for Auto Assembly.  "mdadm -As" will, if provided with
    the name of a homehost, try to assemble all arrays it can find
    that were created for that homehost.  See man pages for more details.
    * Don't try to create devices with --manage or --grow
    * allow default metadata (superblock) type to be specified
    in mdadm.conf
    * Avoid some misdetection of overlapping partitions
    * Add 'Array Slot' line to --examine for version-1 superblocks
    to make it a bit easier to see what is happening.
    * Work around bug in --add handling for  version-1 superblocks
    in 2.6.17 (and prior).
    * Make -assemble a bit more resilient to finding strange
    information in superblocks.
    * When creating devices in /dev/md/ create matching symlinks
    from /dev.  e.g. /dev/md0 -> /dev/md/0.
    Allow this to be disabled in mdadm.conf or on command line.
    * Allow a number (of partitions) after the 'yes' option to --auto=
    This is particularly useful in the 'create' line in mdadm.conf.
    * Remove partitions from any whole device that is made part of
    an md array.  This is a work-around for annoying messages
    when the first block on some drive accidentally looks like a
    partition table.
    * Close stray fd in mdassemble so that it can assemble stacked
    devices
    * If mdassemble finds an array already assembled, it marks it
    read-write.
    * Remove error in md_open if array is already active.  This isn't
    needed and gets in the ways if an array was created e.g. in
    initramfs, but device doesn't yet exist in /dev.
    * When --assemble --scan is run, if all arrays that could be found
    have already been started, don't report an error.
    * Allow --assemble --force to mark a raid6 clean when it has two
    missing devices (which is needed else if won't assemble.
    Without this fix it would only assemble if one or zero
    missing devices.
    * Support --update=devicesize for cases where the underlying device
    can change size.
    * Default to --auto=yes so the array devices with 'standard' names
    get created automatically, as this is almost always what is wanted.
    * Give useful message if raid4/5/6 cannot be started because it is
    not clean and is also degraded.
    * Increase raid456 stripe cache size if needed to --grow the array.
    The setting used unfortunately requires intimate knowledge of the
    kernel, and it not reset when the reshape finishes.
    * Change 'Device Size' to 'Used Dev Size' because it only shows how
    much of each device is actually used, not how big they are.
    * --wait or -W will wait for resync activity to finish on the given
    devices.
    * If two drives in a raid5 disappear at the same time, then "-Af"
    will add them both in rather than just one and forcing the array
    to 'clean'.  This is slightly safer in some cases.
    * Don't hold md device open for so long in --monitor mode - map_dev
    can be slow and interferes with trying to stop the array.
    * Support --uuid= with --create to choose your own UUID.
    * New major more "--incremental" for incremental assemble of arrays,
    intended for use with udev.
    * lots of bugfixes
    * manpage updates

++++ mtr:

  - add ncurses-devel BuildRequires

++++ nautilus-cd-burner:

  - re-added gconf_schemas_prereq

++++ pbbuttonsd:

  - make it build on x86/x86_64 for macbooks

++++ perl-Bootloader:

  - Fixed 'uname' call in Tools.pm due to return of false
    architectures (e.g. i586 instead of i386)
  - Fixed typo in GRUB.pm
  - Added function GrubDev2MountPoint() to GRUB.pm to be able to
    retrieve mountpoints of grub devices
  - Fixed functions GrubDev2UnixDev(), UnixDev2GrubDev(),
    GrubPath2UnixPath() and ParseLines() in GRUB.pm
  - Added wrapper for GrubDev2UnixDev() to Library.pm to be able to
    call it from Tools.pm
  - Fixed functions ReadDMRaidPartitions(), IsDMRaidSlave(),
    Udev2MajMin() and AddSection() in Tools.pm
  - Commented out obsolete code in GetSectionList() and
    RemoveSections() in Tools.pm
  - Fixed 'uname' call in update-bootloader due to return of false
    architectures (e.g. i586 instead of i386)

++++ physfs:

  - add zlib-devel BuildRequires

++++ qjackctl:

  - updated to version 0.2.22:
    *  Fixed default settings for the freebob backend (JACK >=
    0.103.0).
    * CPU Load status label now says correctly DSP Load.
    * The most recently used patchbay definitions can now be
    correctly selected in round-robin fashion from its drop-down
    list widget.
    * Avoid mixing JACK MIDI ports with regular audio ports on the
    Connections and Patchbay widgets; strictly list only audio
    ports.
    * Added 192k sample rate to setup settings drop down list (as
    kindly reminded by Klaus Zimmermann, thanks).
    * Most top-level widgets were missing the normal-widget flag,
    which were causing some sticky size behavior on some window
    managers.

++++ slib:

  - Fixed %triggerin symlink target (#258261).

++++ timidity:

  - add ncurses-devel BuildRequires

++++ tla:

  - Add zlib-devel BuildRequires.

++++ vdr:

  - add ncurses-devel to BuildRequires

++++ w3m:

  - added ncurses-devel to buildreq

++++ yast2:

  - fixed restarting after Patch CD update (#259825)
  - 2.15.23
  - register new callbacks Pkg::CallbackSourceCreateInit/Destroy()
    and Pkg::CallbackSourceReportInit/Destroy() (#251726)
  - Changed Firewall proposal to be unified with other network
    proposals, e.g., "Firewall is enabled (disable)" (#259778).

++++ yast2-firewall:

  - Show firewall summary details on request (#230042).
  - 2.15.4

++++ yast2-online-update:

  - synchronize the new sources with ZMD (#259285)
  - do not save the sources when module was aborted (#259293)
  - 2.15.10

++++ yast2-packager:

  - Making SLP Catalog Details wider and higher. The exact dialog
    size depends on selected UI and ammount of information presented
    in table (#237337).
  - 2.15.28
  - Pkg::CallbackSourceCreateInit/Destroy() and
    Pkg::CallbackSourceReportInit() handlers (#251726)
  - 2.15.27

++++ yast2-pkg-bindings:

  - new callbacks Pkg::CallbackSourceCreateInit/Destroy() and
    Pkg::CallbackSourceReportInit() - handle the ctor/dtor of libzypp
    callbacks (#251726)
  - 2.15.13

++++ yast2-registration:

  - fixed category in desktop files (#259914)
  - 2.14.4

++++ yast2-trans-de:

  - Update to version 2.15.1.

++++ yast2-trans-pa:

  - Update to version 2.15.1.

++++ yast2-trans-wa:

  - Update to version 2.15.1.

++++ zmd:

  - New Source Drop
  - Modified FromXml() to return Package[] in stead of ResolvableCatalog.Added the Package[]
    (previously ResolvableCatalog) returned by RCEPackage.FromXml to existing catalog.
    Fixes # 256941

------------------------------------------------------------------
------------------  2007-4-1  -  Apr 1 2007  -------------------
------------------------------------------------------------------

++++ gdb:

  - Properly decode CR register number.

++++ ipod-sharp:

  - Update to version 0.6.3
    Fixes BNC #257156, parts of #239107
    Adds support for new DB records introduced by iTunes 7.1
    Supports second generation Shuffles
    Better HFS+/read only support

++++ libipoddevice:

  - Update to version 0.5.3
    Fixes BNC #239107, parts of #257156
    Work with more iPod models (latest Shuffles)
    Added more serial codes for model detecion
    Better HFS+ readonly support (cache iPod plist off the device)

++++ lkcdutils:

  - use ARCH_IS_IA64() instead of KL_ARCH == KL_ARCH_IA64 to honor
    all ia64 architecture variants (#259537)

++++ newt:

  - added distribution specfic parts for build service
  - added libbz2 to BuildRequires for suse_version > 1020

++++ wdiff:

  - Add ncurses-devel to BuildRequires.

++++ zenity:

  - Update to version 2.18.0
    * Translations

------------------------------------------------------------------
------------------  2007-3-31  -  Mar 31 2007  -------------------
------------------------------------------------------------------

++++ apparmor-parser:

  - Update to version 2.0.2: DFA based kernel module.

++++ apparmor-profiles:

  - Update to version 2.0.2: DFA based kernel module.

++++ aspell:

  - add ncurses-devel BuildRequires.
  - Cleanup BuildRequires.

++++ asterisk:

  - Add ncurses-devel to BuildRequires.

++++ aumix:

  - add ncurses-devel BuildRequires

++++ classpath:

  - Fix file list.

++++ control-center2:

  - Update to version 2.18.0
  - b.g.o 344741 and 413468 (partially).

++++ curl:

  - add zlib-devel BuildRequires

++++ dar:

  - add zlib-devel BuildRequires

++++ darts:

  - add zlib-devel BuildRequires

++++ dialog:

  - Add gpm BuildRequires

++++ isns:

  - Add build requirement for gdbm-devel
  - Remove binaries from source tar

++++ kernel-bigsmp:

  - add patches.arch/ppc-efika-psc-console-autodetection.patch
  - patches.apparmor/*: Add the DFA-based AppArmor kernel module.
  - rpm/kernel-binary.spec.in: Depend on recent-enough parser and
    profiles packages.

++++ kernel-default:

  - add patches.arch/ppc-efika-psc-console-autodetection.patch
  - patches.apparmor/*: Add the DFA-based AppArmor kernel module.
  - rpm/kernel-binary.spec.in: Depend on recent-enough parser and
    profiles packages.

++++ kernel-source:

  - add patches.arch/ppc-efika-psc-console-autodetection.patch
  - patches.apparmor/*: Add the DFA-based AppArmor kernel module.
  - rpm/kernel-binary.spec.in: Depend on recent-enough parser and
    profiles packages.

++++ kernel-syms:

  - add patches.arch/ppc-efika-psc-console-autodetection.patch
  - patches.apparmor/*: Add the DFA-based AppArmor kernel module.
  - rpm/kernel-binary.spec.in: Depend on recent-enough parser and
    profiles packages.

++++ kernel-xen:

  - add patches.arch/ppc-efika-psc-console-autodetection.patch
  - patches.apparmor/*: Add the DFA-based AppArmor kernel module.
  - rpm/kernel-binary.spec.in: Depend on recent-enough parser and
    profiles packages.

++++ kernel-xenpae:

  - add patches.arch/ppc-efika-psc-console-autodetection.patch
  - patches.apparmor/*: Add the DFA-based AppArmor kernel module.
  - rpm/kernel-binary.spec.in: Depend on recent-enough parser and
    profiles packages.

++++ neon:

  - add zlib-devel BuildRequires

++++ rt2x00:

  - fix rt2500 writing too many bytes per packet
  - reverse rate order to prefer 11g over 11b again

++++ uim:

  - Cleanup BuildRequires.

------------------------------------------------------------------
------------------  2007-3-30  -  Mar 30 2007  -------------------
------------------------------------------------------------------

++++ MozillaThunderbird:

  - require unzip

++++ OpenOffice_org:

  - added flex, bison, and unzip to BuildRequires
  - removed two dates (around 28 November, 2006) from changes ; they were out
    of order and broke the build in the Build Service

++++ QtDMM:

  - updated to version 0.8.8
    changelog copied from the project site:
  - gcc 4.1 compatibility
  - Added Digitech QM1538, MASTECH MAS-345, M-345pro, Voltcraft M-4650CR
  - Context menu for graph
  - Improved import

++++ a2ps:

  - add flex to BuildRequires

++++ aelfred:

  - add unzip to BuildRequires

++++ php5:

  - added bison to BuildRequires, removed update-desktop-files

++++ autoyast2:

  - 2.15.5

++++ bind:

  - libidnkitres.la moved to bind-libs for runidn

++++ bsd-games:

  - add bison, flex and ncurses-devel BuildRequires

++++ bsh2:

  - Add unzip to BuildRequires.

++++ bzip2:

  - Add PreReq to libbz2 from bzip2 to work around update problems

++++ canna:

  - add ncurses-devel BuildRequires

++++ ckermit:

  - add ncurses-devel BuildRequires

++++ cloop:

  - Add zlib-devel to BuildRequires.

++++ cmatrix:

  - add ncurses-devel BuildRequires

++++ compat-readline4:

  - add ncurses-devel to build requires

++++ cscope:

  - added ncurses-devel to buildreq

++++ cvsps:

  - added zlib-devel to buildreq

++++ ddd:

  - add ncurses-devel buildrequires

++++ deb:

  - Adjust BuildRequires.

++++ detex:

  - added flex,bison to buildreq

++++ drbd:

  - add flex BuildRequires
  - add /etc/modprobe.d directory
  - added bison to buildreq

++++ e2fsprogs:

  - update to current hg version from 29-03-2007
    * Fixes a lot of memory leaks and other bugs
  - remove merged patch:
    e2fsprogs-1.39-check_fs_open-in-dump_unused.patch

++++ eb:

  - added zlib-devel to buildreq

++++ eog:

  - Update to version 2.18.0.1
  - b.g.o 417684, 414968, 390266, 399982, 414547, 357427.

++++ epic:

  - added ncurses-devel to buildreq

++++ evms:

  - Add ncurses-devel to BuildRequires.

++++ evolution:

  - Fix BuildRequires.

++++ evolution-data-server:

  - Add bison to BuildRequires.

++++ evolution-sharp:

  - Remove explicit mono package requires, let the automatic requires
    handle this.
  - Remove dependency on evolution, its not needed.

++++ fast-user-switch-applet:

  - Add pwdutils to Buildrequires.

++++ xiterm:

  - added ncurses-devel to buildreq

++++ fwnn:

  - added ncurses-devel to buildreq

++++ festival:

  - added ncurses-devel to buildreq

++++ fetchmail:

  - added pwdutils to buildreq

++++ kdebase3:

  - Add fix for dbus error message after resume (#223775)

++++ mgetty:

  - add pwdutils to BuildRequires for postinst script invocation

++++ gcalctool:

  - Fix BuildRequires.

++++ gdm:

  - Update to version 2.18.0
  - b.g.o 415513, 417350, 415181, 409801, 409693, 406226, and 407687.
  - Add pwdutils to BuildRequires.

++++ gmime:

  - Add zlib-devel BuildRequires

++++ gnome-mag:

  - Update to version 0.14.3
  - Code cleanups

++++ gnome-main-menu:

  - Fix for 255943 - file conflicts with g-c-c

++++ gnome-media:

  - Update to version 2.18.0
  - Invalid (not part of the freedesktop.org spec) entries removed
    from various .desktop files
  - b.g.o 413736 and 408292.

++++ gnome-power-manager:

  - Update to version 2.18.0
  - b.g.o 414311, 412345, 414010, 411592, 407613, 408705, 383653,
    and 407613.

++++ gnome-python-desktop:

  - Update to version 2.18.0
  - Remove upstreamed totem-includes.patch
  - b.g.o 416240 and 409252
  - Updated metacity requirements.

++++ gnome-screensaver:

  - Update to version 2.18.0
  - b.g.o 417538, 417323, 412492, 412486, 411393, 400579, 407964,
    and 407524.

++++ gnome-speech:

  - Update to version 0.4.10
  - b.g.o 409573.

++++ gob2:

  - added flex,bison to buildreq

++++ gpg2:

  - added zlib-devel to buildreq

++++ gramofile:

  - added ncurses-devel to buildreq

++++ grass:

  - add bison, flex and ncurses-devel BuildRequires

++++ gstreamer010:

  - Add bison to build requires.

++++ gtksourceview:

  - Update to version 1.8.5
  - updated translations

++++ htdig:

  - added zlib-devel to buildreq

++++ ifolder3:

  - Fix BuildRequires.

++++ ipw3945d:

  - added /etc/modprobe.d to filelist

++++ isns:

  - Update to version 2.0-04 - Fixed defect 257976 - Was not searching
    all Discovery Domains

++++ javamail:

  - replaced files with wrong license by cddl-licensed files (Bug #256299)
  - added unzip to buildreq

++++ kdepim3:

  - Add flex to BuildRequires.

++++ kdesdk3:

  - update buildrequires

++++ kdevelop3:

  - update BuildRequires

++++ kernel-bigsmp:

  - update to 2.6.21-rc5-git6, misc fixes

++++ kernel-default:

  - update to 2.6.21-rc5-git6, misc fixes

++++ kernel-source:

  - update to 2.6.21-rc5-git6, misc fixes

++++ kernel-syms:

  - update to 2.6.21-rc5-git6, misc fixes

++++ kernel-xen:

  - update to 2.6.21-rc5-git6, misc fixes

++++ kernel-xenpae:

  - update to 2.6.21-rc5-git6, misc fixes

++++ kismet:

  - update buildrequires

++++ kitchensync:

  - Add flex to BuildRequires.

++++ libvisual-plugins:

  - update buildrequires

++++ lilypond:

  - add flex and bison to BuildRequires.

++++ lukemftp:

  - added ncurses-devel to buildreq

++++ mailman:

  - added pwdutils to buildreq

++++ mgp:

  - added bison and flex BuildRequires

++++ minicom:

  - added ncurses-devel to buildreq

++++ mono-debugger:

  - added ncurses-devel to buildreq

++++ xawtv:

  - add %{_mandir}/fr/man1 directory.

++++ mtr:

  - fixed return value for non-void function (nonvoid.patch)

++++ nant:

  - Fix nant wrapper script so it is really noarch (remove possibilites
    of the wrapper containing lib64), add 'exec'

++++ nautilus-cd-burner:

  - Update to version 2.18.0
  - b.g.o 406333, 385382, 332615, 395079, 356412, 355979, 368024,
    341622, 366994, 366909, 347088, 359997, 361641, 356412, 353030,
    355967, 355933, and 353899.

++++ netatalk:

  - add zlib-devel to buildrequires

++++ noteedit:

  - add bison and flex to build requires

++++ open-iscsi:

  - Include fwparam_ibft program for OpenPROM (#226682)

++++ perl-Apache-DBI:

  - update to 1.06
    * MP2/AuthDBI: Fixed Apache::AuthDBI::debug() to
    actually work.
    * Bump minium required perl version to 5.6.1 to match DBI

++++ perl-DBD-mysql:

  - update to 4.004
    * Work around a bug in old 3.23 servers by specifying NOT NULL
    for fields used as a primary key in tests.
    * Add support for mysql_warning_count statement handle attribute.
    * Add support for mysql_multi_statements connection option.
    * UTF8-Flag not set with flag mysql_enable_utf8 and column
    collation utf8_bin patch,
    * Fixed do_error definition
    * Conversion of test suite to Test::More
    * Fix inclusion of non-primary keys in primary_key_info.

++++ perl-IO-Socket-SSL:

  - update to 1.04
    * added way to create SSL object with predefined session
    cache

++++ perl-MIME-Types:

  - update to 1.19
    * converted to use OODoc 0.99
    * removed mkdist, mkdoc, README.oodoc, version

++++ perl-MP3-Info:

  -  update to release 1.22
    * Backwards compatibility for Apache::MP3 & others not expecting array refs.
    * Use Encode::Detect if available.
    * Parse Xing, Lame & Lyrics headers.
    * Big patch from Justin Fletcher for proper ID3v2.4 frame parsing.
    * Fix for ID3v2.2 frames in a v2.3 header - iTunes stupidity. - dsully
    * Allow multiple null separated "name" TCON values per the v2.4 spec.
    * New maintainer & Sponsor:
    * Read ReplayGain Information in:
  - RVA, RVAD and RVA2 tags.
  - COMM tags via J.River Media Center
  - PRIV tags via Windows Media Player
    * Unicode / Encode optimizations to only guess if the string isn't ascii.
    * Proper numeric genre decoding, now in tune with the ID3 spec.
    * Parse and return PIC & APIC data.
    * Handle multiple COMM and TCON tags.
    * Parse APE tags that are in the ID3v1 header space.
    * Parse USLT - Lyrics tags, used by iTunes.

++++ perl-Net-Server:

  - update to 0.96
    * Allow for conf_file to be specified in the default_values.
    * Add perldoc for why we use a template in options.
    * Fix syslog log options regex again (Carlos Velasco)
    * Fix ->autoflush (needs FileHandle)
    * Add handle_syslog_error to allow catching errors
    during syslog writes
    * Add open_syslog to slightly abstract opening of syslog.
    * Add numerous patches to cleanup child accounting in PreFork
    server.

++++ pinentry:

  - added ncurses-devel to buildreq

++++ postgresql-pl:

  - added zlib-devel to buildreq

++++ pwlib:

  - Add bison, flex to BuildRequires.

++++ qtcurve-gtk2:

  - update to 0.48.3:
  - Fix focus rectangles when not fully rounded.

++++ rekall:

  - Add bison, flex to BuildRequires.

++++ rpm-python:

  - add ncurses-devel and zlib-devel BuildRequires.

++++ ruby:

  - add bison BuildRequires
  - add emacs site-lisp directories

++++ sax2:

  - add flex and bison BuildRequires
  - added evdev support for Logitech Bluetooth Mouse (mxlaser)
  - fixed synaptics default configuration

++++ valgrind:

  - add patch to track undefinedness in environment (#249676)

++++ vlna:

  - Refreshed tarball with new upstream license.

++++ wine:

  - buildrequires bison,flex,ncurses-devel

++++ xboard:

  - update BuildRequires

++++ xgrabsc:

  - added ncurses-devel to buildreq

++++ xorg-x11-server:

  - p_default-module-path.diff:
    * only return /usr/%lib/xorg/modules in "-showDefaultModulePath"
    Xserver option (Bug #257360)
  - set Xserver version to 7.2.0 with configure option
    (Bugs #257360, #253702)

++++ yafray:

  - added zlib-devel to buildreq

++++ yast2:

  - SCR agent proc_meminfo.scr moved from yast2-storage to yast2

++++ yast2-add-on:

  - Reporting Low-Memory issue during installation on machines with
    less than 384 MB (-5%) of total memory (together with available
    swap). User is warned not to use Add-Ons in such case (bugzilla
    [#239630]).
  - Skipping the first table listing Add-Ons if no Add-Ons are in
    use. The first dialog is then Selecting the Add-On (FATE
    [#301928]).
  - Adjusted RPM dependencies
  - 2.15.6

++++ yast2-core:

  - BuildRequire flex and bison explicitly.
  - yast2-core-devel: Require flex because of FlexLexer.h
  - 2.15.5

++++ yast2-devtools:

  - Fixed filelist because of reduced default buildsystem.
  - 2.15.0

++++ yast2-kerberos-client:

  - correct using of krb5.conf file sections during write (#258840)
  - 2.15.5

++++ yast2-packager:

  - Added global variable into AddOnProduct that informs installation
    whether low-memory issue has been already reported or not
    (bugzilla #239630).

++++ zope:

  - added pwdutils to buildreq

++++ zsh:

  - add ncurses-devel BuildRequires.

------------------------------------------------------------------
------------------  2007-3-29  -  Mar 29 2007  -------------------
------------------------------------------------------------------

++++ AdobeICCProfiles:

  - fix BuildRequires

++++ OpenOffice_org:

  - updated ooo-build to 2.1.9:
    * detects the icon theme in GNOME and KDE; sets the default icon theme
    in OOo accordingly [n#254855]
    * better CJK font setting [i#65097]
    * crash with 16x16 Crystal icons [i#75531]
    * correct readlink error handling in nsplugin
    * associate application/vnd.wordperfect MIME [n#256030]
    * Tango icon for GNOME quickstarter applet [n#171585]
    * support also upper-case suffixes in bash completion [n#245410]
    * RTF autoshape elements are not correctly imported - partial fix [n#251602]
    * VBA bits:
    * work with file names with spaces [n#258367]
    * setting cell content with range.formular1c1 [n#258381]
    * goto fails with references starting with 'r' or 'R' [n#258812]
    * configurable mono-*.pc file name [n#249381]
  - mono-ooo-2.1.pc was renamed back to mono-ooo-2.0.pc [n#249381]

++++ aalib:

  - Buildrequires: gpm

++++ acpid:

  - add /etc/modprobe.d directory

++++ aide:

  - buildrequires flex,bison

++++ alsa:

  - add ncurses-devel to BuildRequires
  - update alsa-lib 2007.03.28 snapshot
    * fix shared lib builds
    * more confined plugin selections
    * use speexrate as the default plugin if available

++++ apache2:

  - add zlib-devel to BuildRequires

++++ apparmor-parser:

  - BuildRequire flex and bison

++++ aseqview:

  - fix races in thread mode

++++ at:

  - buildrequires flex,bison

++++ bash:

  - add ncurses-devel requires to readline-devel

++++ bc:

  - add flex BuildRequires

++++ beagle:

  - Add a patch to handle empty OpenOffice documents.  (bnc #259031)
  - Add unzip to BuildRequires

++++ bind:

  - Package .la files in -devel subpackage.
  - Do not package useless .la files.
  - Make -devel package depend on -libs package, not -utils package.

++++ bitchx:

  - added ncurses-devel into BuildRequires

++++ bug-buddy:

  - Update to version 2.17.4
  - Fixes b.g.o 406009, 357203, 394054
  - Remove upstreamed bug-buddy-build-warning.patch.

++++ mono-core:

  - Add bison to BuildRequires.

++++ i4l-base:

  - Add ncurses-devel to BuildRequires.

++++ cdk:

  - added ncurses-devel

++++ checkinstall:

  - Update to 1.6.1:
  - Fixed the famous getcwd() bug
  - Added translations for Indonesianj, Italian, Norwegian, German,
    Chinese, Japanese
  - Fix installation paths
  - Substitute paths in checkinstallrc-dist and checkinstll as
    configured for building.
  - Make test work when DESTDIR is used.

++++ samba:

  - Fix for fd leak on error path in winbindd; bso [#3204], [#258737].

++++ cmake:

  - add ncurses-devel buildrequires

++++ compat-libstdc++:

  - BuildRequire bison

++++ gcc41:

  - Adjust BuildRequires for cross packages.

++++ subversion:

  - add /usr/share/emacs to filelist

++++ dasher:

  - Update to version 4.4.0
  - Remove upstreamed autobuild-warnings.patch
  - Code cleanups
  - b.g.o 412217, 407773, 398103, 346973.

++++ deskbar-applet:

  - Update to version 2.17.93
  - b.g.o 410586, 411209, 408103, 354391, 397838.

++++ diffmk:

  - Add BuildRequires: unzip.

++++ dmraid:

  - Add zlib-devel to BuildRequires

++++ docbook_3:

  - Add unzip to BuildRequires.

++++ docbook_4:

  - Really add unzip as build requirement.
  - Added unzip as build requirements

++++ dosbootdisk:

  - added unzip to BuildRequires

++++ doxygen:

  - added flex and bison to buildrequires

++++ emacs:

  - Add ncurses-devel to BuildRequires.

++++ encfs:

  - buildrequires zlib-devel

++++ evms:

  - Made hard-coded 10-minute remote timeout tunable #255092

++++ fbset:

  - add bison and flex BuildRequires

++++ free-ttf-fonts:

  - add unzip BuildRequires

++++ libgcj41:

  - Adjust BuildRequires for cross packages.

++++ gdb:

  - Update solib-extract-address patch.

++++ gettext:

  - Add site-lisp directories to package.

++++ ghostscript-library:

  - Add flex to BuildRequires.

++++ gnome-menus:

  - Update to version 2.18.0
  - Updated Ukranian translation
  - Reverts to the default use of the shell.

++++ graphviz:

  - Add bison to BuildRequires.

++++ hwinfo:

  - added flex to BuildRequires

++++ id3lib:

  - add zlib-devel BuildRequires

++++ iftop:

  - add ncurses-devel BuildRequires

++++ ikvm:

  - fix BuildRequires

++++ inkscape:

  - Update to version 0.45
  - Remove upstreamed inkscape-siox-max.patch
  - Remove now-unnecessary inkscape-session-manager-strcmp.patch and
    inkscape-enable-perl.patch
  - Add inkscape-buffer-overrun.patch

++++ inn:

  - Add bison BuildRequires.

++++ ipsec-tools:

  - Add flex and bison to BuildRequires.

++++ iptraf:

  - add ncurses-devel BuildRequires

++++ irssi:

  - update BuildRequires

++++ isapnp:

  - buildrequires flex

++++ iso_ent:

  - Add BuildRequires: unzip

++++ ispell:

  - Add bison and ncurses-devel BuildRequires.

++++ ivtv:

  - update to 0.10.1
  - Fix bug where the 'App not reading fast enough' message was repeated
    continuously. It should only show it once, until the application is
    reading again.
  - Allow hex input for setting controls (-c option) in v4l2-ctl.
  - Show the actual amount of bytes read from /dev/videoX in the
    LOG_STATUS text.
  - Due to a bad copy-and-paste the i2c subsystem used I2C_HW_B_BT848
    instead of I2C_HW_B_CX2341X.
  - Still allow 256 KB encoder firmwares for compatibility with
    blackbird cards.
  - Fix PIO support.
  - Pass correct values for ENC_MISC(3, ...)
  - Fix ivtvfbctl option handling on ppc.

++++ jaf:

  - add unzip to build requires

++++ jfbterm:

  - add ncurses-devel BuildRequires

++++ jta:

  - fix BuildRequires

++++ kbd:

  - BuildRequire flex and bison

++++ kernel-bigsmp:

  - Update config files.
    Enable CONFIG_ACPI_DOCK=m, CONFIG_ACPI_BAY=m
    Disable CONFIG_ACPI_IBM_DOCK=m, CONFIG_ACPI_IBM_BAY=m
    on i386/x86_64
  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    remove bogus select PPC_BESTCOMM, remove leading blanks
  - add patches.arch/ppc-efika-of_device-generic-uevent.patch
    create modalias for mpc board devices
  - update to 2.6.21-rc5-git4, misc fixes
  - rpm/kernel-binary.spec.in: Add BuildRequires for module-init-tools.

++++ kernel-default:

  - Update config files.
    Enable CONFIG_ACPI_DOCK=m, CONFIG_ACPI_BAY=m
    Disable CONFIG_ACPI_IBM_DOCK=m, CONFIG_ACPI_IBM_BAY=m
    on i386/x86_64
  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    remove bogus select PPC_BESTCOMM, remove leading blanks
  - add patches.arch/ppc-efika-of_device-generic-uevent.patch
    create modalias for mpc board devices
  - update to 2.6.21-rc5-git4, misc fixes
  - rpm/kernel-binary.spec.in: Add BuildRequires for module-init-tools.

++++ kernel-source:

  - Update config files.
    Enable CONFIG_ACPI_DOCK=m, CONFIG_ACPI_BAY=m
    Disable CONFIG_ACPI_IBM_DOCK=m, CONFIG_ACPI_IBM_BAY=m
    on i386/x86_64
  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    remove bogus select PPC_BESTCOMM, remove leading blanks
  - add patches.arch/ppc-efika-of_device-generic-uevent.patch
    create modalias for mpc board devices
  - update to 2.6.21-rc5-git4, misc fixes
  - rpm/kernel-binary.spec.in: Add BuildRequires for module-init-tools.

++++ kernel-syms:

  - Update config files.
    Enable CONFIG_ACPI_DOCK=m, CONFIG_ACPI_BAY=m
    Disable CONFIG_ACPI_IBM_DOCK=m, CONFIG_ACPI_IBM_BAY=m
    on i386/x86_64
  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    remove bogus select PPC_BESTCOMM, remove leading blanks
  - add patches.arch/ppc-efika-of_device-generic-uevent.patch
    create modalias for mpc board devices
  - update to 2.6.21-rc5-git4, misc fixes
  - rpm/kernel-binary.spec.in: Add BuildRequires for module-init-tools.

++++ kernel-xen:

  - Update config files.
    Enable CONFIG_ACPI_DOCK=m, CONFIG_ACPI_BAY=m
    Disable CONFIG_ACPI_IBM_DOCK=m, CONFIG_ACPI_IBM_BAY=m
    on i386/x86_64
  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    remove bogus select PPC_BESTCOMM, remove leading blanks
  - add patches.arch/ppc-efika-of_device-generic-uevent.patch
    create modalias for mpc board devices
  - update to 2.6.21-rc5-git4, misc fixes
  - rpm/kernel-binary.spec.in: Add BuildRequires for module-init-tools.

++++ kernel-xenpae:

  - Update config files.
    Enable CONFIG_ACPI_DOCK=m, CONFIG_ACPI_BAY=m
    Disable CONFIG_ACPI_IBM_DOCK=m, CONFIG_ACPI_IBM_BAY=m
    on i386/x86_64
  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    remove bogus select PPC_BESTCOMM, remove leading blanks
  - add patches.arch/ppc-efika-of_device-generic-uevent.patch
    create modalias for mpc board devices
  - update to 2.6.21-rc5-git4, misc fixes
  - rpm/kernel-binary.spec.in: Add BuildRequires for module-init-tools.

++++ krb5:

  - add ncurses-devel and bison to BuildRequires
  - rework some patches

++++ krb5-plugins:

  - add ncurses-devel and bison to BuildRequires
  - rework some patches

++++ kterm:

  - add ncurses-devel to BuildRequires

++++ lacheck:

  - add flex BuildRequires

++++ libPropList:

  - add bison BuildRequires

++++ libbeagle:

  - Add a patch to handle empty OpenOffice documents.  (bnc #259031)
  - Add unzip to BuildRequires

++++ libbonobo:

  - Add bison and flex BuildRequires.

++++ libexiv2:

  - add zlib-devel BuildRequires

++++ libflaim:

  - Add BuildRequires for ncurses-devel.
  - Fixed problem of accessing FlmRecord object before it was constructed.

++++ libgnomecups:

  - Add zlib-devel to BuildRequires.

++++ libgnomeprint:

  - Add flex to buildrequires.
  - Add bison to buildrequires.

++++ libid3tag:

  - zlib-devel to buildrequires

++++ libidl:

  - buildrequires flex,bison

++++ libidn:

  - add emacs site-lisp directories.

++++ libmng:

  - buildrequires zlib-devel

++++ netpbm:

  - add flex BuildRequires

++++ libopensync:

  - updated to version 0.22
    o added NOT-UNIQUE-UID fix
    o added BASE64 to B encoding support
    o added unit tests
    o libopensync can now be built on solaris
    o support for all day events in vcal/ical converter
    o fixed base64 encoding for vcard 2.1
    o fixed photo, logo and sound attributes in contacts
    o fixed slow-sync bug with file-sync
    o fixed some bugs in the vformat parser
    o fixed some sqlite memory leaks
    o fixed a lot of bugs in vcal/ical converter
  - removed patches (already included in 0.22)

++++ libopensync-plugin-evolution2:

  - updated to version 0.22
    o added osync_change_set_member(change, env->member)

++++ libopensync-plugin-file:

  - updated to version 0.22
    o added doc comments in default config

++++ libopensync-plugin-gnokii:

  - updated to version 0.22
    o added osync_change_set_member(change, env->member)
    o removed dlr3p patch

++++ libopensync-plugin-google-calendar:

  - bumped up version to 0.22

++++ libopensync-plugin-gpe:

  - updated to version 0.22
    o fixed "conv env" check by calling osync_member_set
    o added support for running gpesyncd as a subprocess
    o fixed confusion about uid problem

++++ libopensync-plugin-irmc:

  - updated to version 0.22
    o removed bluetooth scan function
    o fixed storing of anchor tables
    o added configure options for disabling irda and bluetooth
    o fixed filtering of object types

++++ libopensync-plugin-kdepim:

  - updated to version 0.22
    o fixed make distcheck and out of tree builds
    o ignore entries from birthday resource
    o cleaned up build system and use config.h
    o hide all symbols that should be not external used
    o added unit tests
    o create hash of notes instead of storing full text in
    hashtable by using a base64 representation md5 sum
    o avoid leaking of sensitive information in trace files
  - added XMPM-kdepim patches:
    o 0030-leak_fixes
    o 0040-cosmethics
    o 0060-indentation_whitespace_cleanup
    o 0080-indentation_cleanup
    o 0140-check_objtype_before_get_changeinfo
    o 0170-split_get_changeinfo
    o 0160-single_instance_converter
    o 0150-beginnings_units_tests
    o 0200-test_addressee_conversion
    o 0210-utests_try_light_kde_start
    o 0240-anchor_unit_test
    o 0250-big_whitespace_cleanup
    o 0260-hash_function_test
    o 0440-error_app_running
    o 0560-dont_report_empty_notes
    o 0570-fix_anchors_usage

++++ libopensync-plugin-moto:

  - updated to version 0.22
    o updated list of known working/not-working models
    o added experimental support for backup and restore of
    non-ascii data, encode to UTF7
    o added support for the pybluez library

++++ libopensync-plugin-opie:

  - updated to version 0.22
    o fixed missing call to osync_change_set_member
    o added initial support for syncing notes
    o added support for recurrence of todos

++++ libopensync-plugin-palm:

  - updated to version 0.22
    o added osync_change_set_member(change, env->member)
    o added anchor to store the lastsync of a device
    o fixed timeouts and hanging after synchronization

++++ libopensync-plugin-python-module:

  - bumped up version to 0.22

++++ libopensync-plugin-sunbird:

  - bumped version to 0.22

++++ libopensync-plugin-syncml:

  - updated to version 0.22
    o fixed two broken pipe bugs
    o added configure options for disabling obex and http
  - removed patches (already included in 0.22)

++++ libpcap:

  - add flex and bison BuildRequires

++++ libpng:

  - Add zlib-devel to BuildRequires.

++++ libsyncml:

  - updated to version 0.4.4
    o added a simple syncml-http-client app
    o added Chal, EMI, Meta and DOCTYPE handling support
    o added initial support for ssl
    o fixed some memory leaks
    o fixed unit test build for check 0.9.5
    o fixed device dump output
    o fixed libsoup warning

++++ linux-atm:

  - add bison and flex BuildRequires

++++ lkcdutils:

  - fixed BuildRequires for STABLE

++++ log4net:

  - add unzip BuildRequires

++++ lprng:

  - tell configure how to invoke ps using PSHOWALL environment

++++ lv:

  - add ncurses-devel BuildRequires.

++++ lynx:

  - add ncurses-devel BuildRequires

++++ metamail:

  - Add ncurses-devel BuildRequires

++++ module-init-tools:

  - Add zlib-devel to BuildRequires.

++++ moneyplex:

  - fix buildrequires

++++ monodoc-core:

  - fix BuildRequires

++++ msynctool:

  - updated to version 0.22
    o added convtest
    o fixed typo in format detector
    o removed useless debugging output
    o added event comparer to convcard

++++ mysql:

  - BuildRequires fixes:
    + ncurses-devel
    + zlib-devel
    + procps (configure needs /bin/ps)
    + pwdutils (to be able to install the package in the build root)
    + use sed instead of ex in the s390 workaround
  - build with -DFORCE_INIT_OF_VARS to get rid of some uninitialized
    variable warnings

++++ nano:

  - fixed build by adding BuildRequires: ncurses-devel

++++ openmotif:

  - add flex BuildRequires.

++++ openslp:

  - add bison and flex BuildRequires

++++ opie:

  - buildrequirs bison

++++ pam_mount:

  - add zlib-devel to BuildRequires

++++ passivetex:

  - add unzip BuildRequires

++++ pciutils:

  - add zlib-devel BuildRequires
  - require zlib-devel from pciutils-devel package

++++ pcmciautils:

  - add bison and flex BuildRequires

++++ pine:

  - Add ncurses-devel to BuildRequires.

++++ pinfo:

  - add ncurses-devel BuildRequires

++++ pmtools:

  - BuildRequire flex and bison

++++ po-utils:

  - Add flex and bison to BuildRequires.

++++ postfix:

  - Add pwdutils BuildRequires to allow postinst script to succeed.
  - Add /usr/share/omc directory.

++++ postgresql:

  - Add bison, flex and zlib-devel BuildRequires.

++++ procinfo:

  - Add ncurses-devel BuildRequires

++++ procps:

  - Add ncurses-devel BuildRequires

++++ psgml:

  - add unzip BuildRequires

++++ psgplay:

  - add zlib-devel BuildRequires

++++ psmisc:

  - Add ncurses-devel BuildRequires

++++ python:

  - Add ncurses-devel to BuildRequires.

++++ python-imaging:

  - update to 1.1.6
  - threading support for sane module
  - NumPy array interface support
  - converter to QImage
  - new ImageMath module
  - bugfixes

++++ qt3:

  - Fix XRandr 1.2 support

++++ qt3-devel-doc:

  - Fix XRandr 1.2 support

++++ qt3-extensions:

  - Fix XRandr 1.2 support

++++ radvd:

  - Add bison and flex BuildRequires.

++++ rsh:

  - add ncurses-devel BuildRequires

++++ sash:

  - add ncurses-devel and zlib-devel BuildRequires

++++ screen:

  - add ncurses-devel BuildRequires

++++ sensors:

  - added bison,flex to buildreq

++++ sgmltool:

  - Add BuildRequires: flex.

++++ simias:

  - added bison,flex,ncurses-devel to buildreq

++++ svg-dtd:

  - Add BuildRequires: unzip

++++ sysconfig:

  - new version 0.60.7
  - ifup-wireless: do not insist on having wlanctl-ng installed
    (bug 257788)

++++ syslog-ng:

  - added klogd to BuildRequires
  - Add flex BuildRequires.

++++ talk:

  - add ncurses-devel BuildRequires

++++ tcsh:

  - Add ncurses-devel BuildRequires.

++++ tetex:

  - added flex,bison to buildreq

++++ tei-xsl-stylesheets:

  - Add unzip BuildRequires.

++++ telnet:

  - add ncurses-devel BuildRequires

++++ texcad:

  - Add flex BuildRequires

++++ tpctl:

  - add ncurses-devel to BuildRequires

++++ umtsmon:

  - update to current CVS
  - various changes in the GUI code
  - new "LCD-Display"-design
  - rework of the internal workflow and classes
  - stricter abstraction of the serial port classes
  - reworked pppd interface classes

++++ units:

  - Add bison to BuildRequires.

++++ upx:

  - buildrequire zlib-devel

++++ varmon:

  - Add ncurses-devel BuildRequires.

++++ wireless-tools:

  - add /etc/modprobe.d directory

++++ wvstreams:

  - add zlib-devel BuildRequires

++++ wwwoffle:

  - added flex to buildreq

++++ x11-input-wacom:

  - added ncurses-devel to Buildrequires

++++ x3270:

  - added ncurses-devel to buildreq

++++ xaw3d:

  - BuildRequire bison and flex

++++ xbsql:

  - add bison and ncurses-devel to buildrequires

++++ xfsdump:

  - added ncurses-devel to BuildRequires (needed for xfsinvutil)

++++ xmlcharent:

  - Add BuildRequires: unzip

++++ xntp:

  - add pwdutils BuildRequires for postinstall script execution

++++ xorg-x11-libfontenc:

  - added zlib-devel to Buildrequires

++++ xrestop:

  - add ncurses-devel BuildRequires

++++ xterm:

  - add ncurses-devel BuildRequires

++++ yast2:

  - Added new WorkflowManager testsuite
  - Added some debugging functions into WorkflowManager
  - Changed ProductControl for easier testing

++++ yast2-country:

  - timezone package (with 'zic') is required (#255784)
  - check for nil value of LINGUAS entry in content file (#256427)
  - 2.15.10

++++ yast2-nis-client:

  - changed dependency tag for yast2-core (#252988)
  - 2.15.2

++++ yast2-users:

  - check if ypbind is installed before reading service status (#256407)
  - 2.15.19

++++ zisofs-tools:

  - add zlib-devel BuildRequires

------------------------------------------------------------------
------------------  2007-3-28  -  Mar 28 2007  -------------------
------------------------------------------------------------------

++++ compiz:

  - Removed temporary workaround.
  - Revoked requirement change.

++++ e2fsprogs:

  - blkid: add hfsplus volume detection (FATE#302071)
  - blkid: add experimental detection of ext4dev (FATE#301897)

++++ evolution-exchange:

  - Add the magic gconf scripts.

++++ gnome-system-monitor:

  - added intltoolize to the specfile (#258379)

++++ hwinfo:

  - changed network detection to work with latest sysfs

++++ k3b:

  - merge internal k3b-mad subpackage into k3b-INTERNAL package

++++ kernel-bigsmp:

  - scripts/tar-up_and_run_mbuild.sh: Added -i option to ignore
    kabi changes. Useful for running an mbuild to update the symvers.
  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    mpc52xx-pcidma -> mpc5200-bestcomm
    do not print errors if interface is down or on non-efika

++++ kernel-default:

  - scripts/tar-up_and_run_mbuild.sh: Added -i option to ignore
    kabi changes. Useful for running an mbuild to update the symvers.
  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    mpc52xx-pcidma -> mpc5200-bestcomm
    do not print errors if interface is down or on non-efika

++++ kernel-source:

  - scripts/tar-up_and_run_mbuild.sh: Added -i option to ignore
    kabi changes. Useful for running an mbuild to update the symvers.
  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    mpc52xx-pcidma -> mpc5200-bestcomm
    do not print errors if interface is down or on non-efika

++++ kernel-syms:

  - scripts/tar-up_and_run_mbuild.sh: Added -i option to ignore
    kabi changes. Useful for running an mbuild to update the symvers.
  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    mpc52xx-pcidma -> mpc5200-bestcomm
    do not print errors if interface is down or on non-efika

++++ kernel-xen:

  - scripts/tar-up_and_run_mbuild.sh: Added -i option to ignore
    kabi changes. Useful for running an mbuild to update the symvers.
  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    mpc52xx-pcidma -> mpc5200-bestcomm
    do not print errors if interface is down or on non-efika

++++ kernel-xenpae:

  - scripts/tar-up_and_run_mbuild.sh: Added -i option to ignore
    kabi changes. Useful for running an mbuild to update the symvers.
  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    mpc52xx-pcidma -> mpc5200-bestcomm
    do not print errors if interface is down or on non-efika

++++ ksh:

  - Reset exit status in case of catching SIGCONT (bug #254649)
  - Use the AT&T UNIVERSE for ksh as pdksh does   (bug #249783)

++++ libtheora:

  - Updated to version 1.0alpha7:
    * Enable mmx assembly by default
    * Avoid some relocations that caused problems on SELinux
    * Other build fixes
    * time testing mode (-f) for the dump_video example
    * Merge theora-mmx simd acceleration (x86_32 and x86_64)
    * Major RTP payload specification update
    * Minor format specification updates
    * Fix some spurious calls to free() instead of _ogg_free()
    * Fix invalid array indexing in PixelLineSearch()
    * Improve robustness against invalid input
    * General warning cleanup
    * The offset_y member meaning fix.
  - Use incremental versioning scheme.
  - Documentation repackaged.
  - Use less vague names for binaries.

++++ udev:

  - new upstream release 108
  - assign lower priority to dm-* symlinks, so EVMS-like devices
    don't overwrite symlinks unless an explicit rule may specify it
  - add (but comment it out for now) rule for new usb-device-nodes

++++ open-iscsi:

  - Return status '6' when root on iSCSI is not enabled (#257979)

++++ openSUSE-release:

  - Alpha3.

++++ perl-Cairo:

  - temporarily disable t/CairoSurface.t because cairo segfaults
    when the test is run (reported as #258451)

++++ spamassassin:

  - #249652 - spamassassin missing dependencies

++++ reiserfs:

  - Added Supplements: filesystem(reiserfs) to spec file (FATE 301966)

++++ sax2:

  - changed FingerHigh from 15 to 17 for alps touchpads (#179966)
  - fixed invalid resolution lookup (#257323)

++++ suspend:

  - update to current CVS:
  - whitelist updates
  - documentation updates
  - update to vbetool-1.0 codebase:
  - move to external libx86
  - Makefile cleanup
  - various "platform mode" fixes for s2disk/resume
  - error path fixes in s2disk
  - better error messages
  - add libx86-devel to BuildRequires:
  - remove obsolete openSUSE-Factory-README.txt

++++ wget:

  - Fixes a null pointer dereference (#231063, CVE-2006-6719)

++++ x11-tools:

  - fix order of changelog entries.

++++ x3270:

  - add run_suseconfig_fonts to %post and %postun

++++ xine-lib:

  - Distributed source tarball is now crippled.
    Call precheckin_cripple_tarball.sh for new xine-lib tarballs.
  - Major build update.

++++ xorg-x11-driver-video:

  - updated "nvrandr12" driver to current git:
    * G80: Use xf86CrtcScreenInit and xf86SetDesiredModes.
    * G80: Improve output detection.
    * Detect output status for paired outputs together and cache
    status until the BlockHandler to avoid redundantly probing for
    EDIDs or performing load detection.
  - updated nv driver to release 2.0.1:
    * NVSync hangs in EnterVT, so don't call it there.
    * Fix broken prototype.
    * Fix warnings and bump to 2.0.1.
    * REALLY bump to 2.0.1.
  - obsoletes xf86-video-nv-NVSync.diff
  - updated "nvrandr12" driver to current git:
    * G80: Create output partners.
    * Each pair of outputs shares an I2C rec.  This will be used in
    a future change for the detect and get_modes routines.
    * Fix warnings.

++++ yast2:

  - Some testsuites have been moved from yast2-packager to yast2
  - 2.15.22
  - A new YCP module WorkflowManager has been created in order to
    unifys Add-On and Patterns in their possibility to influence the
    installation and configuration workflow (FATE #129).
  - 2.15.21

++++ yast2-add-on:

  - Adjusted to use WorkflowManager instead of AddOnProduct module
    in some cases (for FATE #129).
  - Adjusted RPM requirements and BuildRequires.
  - 2.15.5

++++ yast2-backup:

  - Do not repeatedly add archive extension if the file name contains
    non-ascii characters (#185042).
  - 2.15.3

++++ yast2-installation:

  - Adjusted to use WorkflowManager instead AddOnProduct module
    in some cases to make Pattern-based installation and
    configuration workflow (FATE #129).
  - Adjusted RPM dependencies and BuildRequires.
  - 2.15.16

++++ yast2-network:

  - Make storing hostname and DNS data work again
  - Further improvements to UI (FaTE #120077)
  - Enable/disable VNC service in xinetd only if pkg 'xinetd' is
    installed (#256385)
  - 2.15.20

++++ yast2-packager:

  - Moved some testsuites from yast2-packager to yast2
  - 2.15.26
  - Most of the AddOnProduct functionality has been made more
    abstract and moved to a new module WorkflowManager to yast2.rpm
    in order to make possible Pattern-based workflow (FATE #129).
  - Adjusted RPM requierements and BuildRequires
  - Adjusted testsuites
  - 2.15.25

++++ yast2-repair:

  - replaced usage of obsolete guessfstype with blkid tool
  - 2.15.4

------------------------------------------------------------------
------------------  2007-3-27  -  Mar 27 2007  -------------------
------------------------------------------------------------------

++++ gtk-sharp2:

  - Build with the latest gtkhtml.

++++ avahi:

  - Improve libdns_sd compat support.  This helps fix 214887.

++++ beagle-index:

  - Remove dropped package gnome-mime-data.
  - Add ipw3945 kmp package for building.

++++ check:

  - Updated to version 0.9.5:
    * Fixed code coverage support.
    * Updated manual and converted from DocBook to Texinfo.
    * Added pkg-config support.
    * Added Libtool support to build both static and shared
    libraries.
    * Updated GNU Build System to use modern Autotools.
    * Added a new kind of test, looping tests.
    * Added possibility to turn off timeout tests.
    * Added coverage analysis for check's own unit tests.
    * More fixes and changes.

++++ compiz:

  - Move metacity requirement from compiz to compiz-gnome package.

++++ csound:

  - update to version 5.05:
    * fixes/improvements on FLTK support
    * fix heap overflow
    * clean up old codes

++++ djvulibre:

  - update to version 3.5.19
    * DjVuLibre is distributed under either version 2 of the GPL or
    (at your option) any later version.
    since 3.5.18
    * Renamed djview as djview3.
    * Various enhancement of DDJVUAPI.
    * Partial support for page titles instead of page numbers.
    * Clarification of metadata information.
    * Fixed djvumake mask separation feature.
    * Complain when given a so-called "secure" djvu file.
    * Fixed handling of urls with cgi arguments.
    * Fixed bug related to caching and ddjvuapi.
    * Reorganized ${datadir}/djvu.
    * Provide scripts in ${datadir}/djvu/*/desktop to register
    the djvu mime types and the djview menu entries.
  - obsoletes utf8.patch

++++ evolution-exchange:

  - Update to version 2.10.0
  - Refresh warning-fix.patch
  - Explicity require notification-daemon

++++ galago-daemon:

  - Require check-devel.

++++ gnome-doc-utils:

  - Update to version 0.10.1
  - fixes for b.g.o 416933, 409292, and 169324.

++++ gnome-python-desktop:

  - Do not require gtk-doc in runtime.
  - Spec file cleanup.
  - Split doc subpackage.

++++ gnome-system-monitor:

  - Build on all products (call glib-gettextize, require gcc-c++).

++++ gnome-vfs2:

  - Add a patch to handle avahi-daemon restarts without
    segfaulting.  This patch has already been committed upstream.
    This fixes 214887.
  - Build correctly with bzip2 in older products.

++++ gstreamer010:

  - Updated to version 0.10.12:
    * API additions
    * Add a warning for improper GLib threading
    * Add support for binary registry serialisation
    * Preliminary support for pull-mode scheduling of entire chains
    * Add support for HPPA
    * Collectpads fixes
    * Lots of bug fixes
  - Require check-devel.

++++ gstreamer010-plugins-base:

  - Updated to version 0.10.12:
    * New API for on-demand plugin installation
    * API additions
    * Xv thread-safety and configuration enhancements
    * decodebin2 improvements
    * Support more raw audio format conversions
    * Improvements in Ogg support
    * AudioFilter base class ported to 0.10
    * Fixes for subtitles
    * Latency/live-playback support for Alsa
    * Lots of bug fixes and improvements

++++ gstreamer010-plugins-good:

  - Updated to version 0.10.5:
    * Parallel installability with 0.8.x series
    * Threadsafe design and API
    * RTP/RTSP improvements
    * Fixes in OSS support
    * Addition of the audiopanorama element
    * Improvements in AVI playback
    * Annodex playback fixes
    * Support FLAC in OGG and Matroska
    * Fixes in the Speex decoder
    * V4L2 source moved from Bad Plugins
    * SMPTE element ported to 0.10
    * GStreamer Data Protocol (GDP) Payloader and Depayloader
    elements added
    * Many other bug-fixes

++++ vim:

  - another minor layout change
  - add subdirs in /usr/share/vim/vim70/ to the base package

++++ gzip:

  - reenable profile feedback
  - remove hardcoded -mcpu=pentiumpro for x86

++++ helix-banshee:

  - Build correctly with avahi-mono in GNOME Build Service.

++++ hwinfo:

  - changed getsysinfo to avoid 'cp'
  - load ide-disk, too (#250241)

++++ jack:

  - added freebob support.

++++ kernel-bigsmp:

  - update to 2.6.21-rc5-git2, misc fixes

++++ kernel-default:

  - update to 2.6.21-rc5-git2, misc fixes

++++ kernel-source:

  - update to 2.6.21-rc5-git2, misc fixes

++++ kernel-syms:

  - update to 2.6.21-rc5-git2, misc fixes

++++ kernel-xen:

  - update to 2.6.21-rc5-git2, misc fixes

++++ kernel-xenpae:

  - update to 2.6.21-rc5-git2, misc fixes

++++ libchewing:

  - Require check-devel.

++++ libfreebob:

  - initial version: 1.0.3

++++ libgalago:

  - Require check-devel.

++++ libmtp:

  - upstream 0.1.5
  - uses SetObjPropList for most devices
  - usb lowlevel communication fixes for
    stubborn devices
  - some new ids

++++ libqt4:

  - update to 4.3.0 beta
    * no upstream ChangeLog available yet

++++ libqt4-devel-doc-data:

  - update to 4.3.0 beta
    * no upstream ChangeLog available yet

++++ libqt4-sql-plugins:

  - update to 4.3.0 beta
    * no upstream ChangeLog available yet

++++ libzrtpcpp:

  - fix compiler warnings
  - fix changlog date problems

++++ loudmouth:

  - Require check-devel.

++++ novfs:

  - [Bugzilla 256534, 247585] fixed display of mapped drives on 64-bit.
  - Fixed NCP Remote file locking was not working correctly
  - [Bugzilla 243609] Correct novfs rpm installation process

++++ parted:

  - Require check-devel.

++++ pmidi:

  - build with included glib support, don't use gtk1-compat
  - fix the handle of MTS (MIDI Tuning Standard)

++++ powersave:

  - wait for reply from HAL when setting CPUFreq policy with cmd line client
  - remove disk settings, provided by pm-utils
  - accpet CPUFreq conservative governor as dynamic scaling method
  - remove all suspend related code and scripts, provided by pm-utils
  - removed config_files:
    scheme_acoustic
    disk
    sleep
  - update documentation
    bugzilla.novell.com bugs:
  - 213028 -- remove united-linux from initscripts
  - 225643 -- fix hotkey_handler to exit with 'EXIT', not 'exit'
  - 223986 -- remove deprecated config options for CPUFreq
  -           update documentation
  - 225654 -- Prerequire hal >= 0.5.8 for update scripts
  - 226397 -- use old method for scripts to return, don't wait for signals
  - 223722 -- add a workaround for perl-Bootloader "feature"
  - r2905

++++ python-curl:

  - update to version 7.16.1
    * Added constants for all libcurl (error) return codes.  They are named
    the same as the macro constants in curl.h but prefixed with E_ instead
    of CURLE.  Return codes for the multi API are prefixed with M_ instead
    of CURLM.
    * Added CURLOPT_FTP_SSL_CCC, CURLOPT_SSH_PUBLIC_KEYFILE,
    CURLOPT_SSH_PRIVATE_KEYFILE, CURLOPT_SSH_AUTH_TYPES.
    * Removed CLOSEPOLICY and friends since this option is now deprecated in
    libcurl.
    * Set the _use_datetime attribute on the CURLTransport class to unbreak
    xmlrpc_curl.py on Python 2.5.
    * Added CURLOPT_SSL_SESSIONID_CACHE.
    * Removed SOURCE_* options since they are no longer supported by libcurl.

++++ sabayon:

  - Add sabayon-2.18.0-desktop.patch.

++++ util-linux-crypto:

  - move devel .so link to %{libdir}
  - run ldconfig, since we have now a shared lib installed

++++ vsftpd:

  - change path to firewall script (#247352)

++++ xorg-x11-driver-video:

  - update ati driver to release 6.6.191:
    * This is pre-release of the ATI driver aimed at 7.3. It doesn't
    contain randr1.2 support it does however contain a major
    re-write of the output mappings from what was known as Alex's
    superpatch. Please logs all regressions into bugzilla so we can
    fix them before the 6.7 release.
  - obsoletes rn50_pixel_clock_limit.patch
  - disabled radeon-xrandr-dotclock.diff for now (Bug #135749)
  - disabled radeon_dell.diff (obsolete?) (Bug #138458)
  - disabled "radeonrandr12" driver for now
  - intel driver release 1.9.93 (2.0 RC3)
    * Significant differences over the previous RC include fixes for
    larger 915-generation LVDS panels, fixes for rotation on the
    965, improved TV format selection, some SDVO output enabling
    fixes, I2C timing fixes to improve the chances of DDC, and
    cursor behavior fixes with RandR.
  - obsoletes xf86-video-intel-[1-5].diff

++++ xorg-x11-server:

  - xserver 1.2.99.903 release:
    * Create driver-independent CRTC-based cursor layer.
    * Allow xf86_reload_cursors during server init.
    * Don't wedge when rotating more than one CRTC.
    * Correct ref counting of RRMode structures
    * Remove extra (and wrong) I2C ByteTimeout setting in DDC code.
    * Slow down DDC I2C bus using a RiseFallTime of 20us for old
    monitors.
    * Clean up Rotate state on server reset.
    * Clear allocated RandR screen private structure.
    * Clean up xf86CrtcRec and xf86OutputRec objects at CloseScreen.
    * Make sure RandR events are delivered from RRCrtcSet.
    * Fix Pending property API, adding RRPostPendingProperty.
    * Incorrect extra memory copy in RRChangeOutputProperty.
    * Ensure that crtc desired values track most recent mode.
    * Make pending properties force mode set. And, remove
    AttachScreen calls.
    * Set version to 1.2.99.903 (1.3 RC3)
    * fbdevhw: Consolidate modeset ioctl calling, report failure if
    it modifies mode.
    * fbdevhw: Fix some issues with the previous commit.
    * fbdevhw: Use displayWidth for fbdev virtual width when
    appropriate.
    * fbdevhw: Override RGB offsets and masks after setting initial
    mode.
    * fbdevhw: Consider mode set equal to mode requested if virtual
    width is larger.
    * fbdevhw: Only deal with RGB weight if default visual is True-
    or DirectColor.
    * Add per-drawable Xv colour key helper function.
    * Bump video driver ABI version to 1.2.

++++ yast2-installation:

  - fixed X11 preparation by checking /etc/reconfig_system (#252763)

++++ yast2-network:

  - yast hangs while configure network (#257347)
  - 2.15.19

++++ yast2-samba-client:

  - after joining during installation ask user if DHCLIENT_SET_HOSTNAME
    should be set to "no" (#169260)
  - autoyast support for disabling DHCLIENT_SET_HOSTNAME
  - 2.15.5

++++ yast2-schema:

  - Ignore tomcat5 while building to save time.
  - 2.15.0

++++ yast2-storage:

  - make Storage::SetPartitionData also work with /dev/disk/by-
    devices (#257696)
  - version 2.15.7

++++ yum:

  - update to version 3.1.5
    * This is a substantially less sucky yum 3.1.X release for those folks
    suffering with the depsolving rate in 3.1.4. It's still not great but
    it's a damned-sight better than it was. :)

++++ yumex:

  - update to version 1.9.5 (development tree)
    * Made yumex work better with yum plugins so they can add command line
    options to yumex.
    * Added Save/Load of package queue, last queue is autosaved to
    '/tmp/last-queue.yumex'
    * Added Skip Mirror button when downloading packages.
    * Fixed Unicode issues.
    * Fixed Custom Color & Font issues.
    * Added 'Tools -> Yum clean all' (Cleanup Metadata)
    * Misc Bugfixes and Code cleanup.
    * Don't clear queue, on a error in the transaction.
    * Works with Python 2.5
    * Added support for defining logging application in yum ( >= 3.0.4) so it
    is written in syslog,
    * Change the way actions are run in the background to make the gui
    responible.
    * Queue is not cleared when a error occurs in the Transaction.
    * Fixed rpmlint error in rpm and srpm.

------------------------------------------------------------------
------------------  2007-3-26  -  Mar 26 2007  -------------------
------------------------------------------------------------------

++++ NetworkManager-kde:

  - update to KDE SVN r646731 (fixes b.n.c #230683, #254352)

++++ aseqview:

  - updated to version 0.2.4:
    * Added MIDI Tunig Standard (MTS) feature

++++ at76_usb:

  - created own package for at76_usb (formerly part of wlan-kmp)

++++ autoyast2:

  - removed DTD declaration from the newlycreated XML documents
  - multiple questions per dialog qith the <ask> feature

++++ avahi:

  - Add gdbm-devel and zlib-devel BuildRequires.

++++ bash:

  - Add bison and ncurses-devel BuildRequires.

++++ binutils:

  - Add bison and flex BuildRequires.

++++ cairo:

  - Disabled DirectFB by default (#256775).
  - Ported bugzilla-104365.patch.

++++ samba:

  - Add gdbm-devel BuildRequires for post 10.2 systems.

++++ gcc41:

  - Add zlib-devel BuildRequires.

++++ cyrus-imapd:

  - Corrected configure switch for idled. It's --enable-idled not
  --with-idle=idled now (Bug #255998)

++++ eID-belgium:

  - Temporarily removed wxGTK dependency and disabled eidviewer build,
    waiting for upstream to fix build with wxGTK 2.8

++++ evolution-sharp:

  - Update to version 0.12.2
  - Support for recent versions of evolution-data-server.

++++ file:

  - Add zlib-devel BuildRequires

++++ flex:

  - Add bison BuildRequires.

++++ freeradius:

  - add gdbm-devel BuildRequires

++++ libgcj41:

  - Add zlib-devel BuildRequires.

++++ gnomeicu:

  - Fixed gconf scriptlets.

++++ gnucash:

  - Add gtkhtml-req.patch, allowing gnucash to be built against
    newer versions of gtkhtml2.

++++ gpm:

  - add bison BuildRequires

++++ groff:

  - add bison BuildRequires.

++++ gtk2-engines:

  - Fixed BuildRequires and file list, use %find_lang.

++++ vim:

  - new package layout for the vim package to allow a smaller vim
    installation in the minimal system (#239838)

++++ hal:

  - updated to actual HAL/hal-info git (== 0.5.9rc2)
  - updated libsmbios dependencies
  - cleaned up configure options
  - removed now upstream included patches:
  - hal-usb_speed_and_version_in_double.diff
  - hal-validate_error_name.diff
  - hal-add-alsa_midi_devices.diff
  - updated patches:
  - hal-add-tabletPC_support_v2.diff
  - added patches:
  - hal-fix-configure-dell.diff: enable Dell backlight addon also
    for x86_64

++++ hplip:

  - Updated to version 1.7.3:
    Many bug fixes (no Suse bugs).
    No new supported models but enhancements for some models.
    For details see release_notes.html

++++ texinfo:

  - Add libbz2-devel, ncurses-devel and zlib-devel BuildRequires
  - Exchange libzio for libzio-devel BuildRequires

++++ ipw3945d:

  - requiring ipw3945-kmp instead of wlan-kmp

++++ jack:

  - updated to version 0.103.0:
    * Fixed broken --disable-freebob config option.
    * Jack now reads the global config file.
    * Fix for jack_midiseq.
    * For for HPET code to use 32-bit reads on all platforms,
    for atomicity reasons.
    * Directly accessing Jack port internal structure is forbidden.
    * Minor fixes for midi support.
    * Fix for freebob driver crash.
    * Fix for alsa usb interleave_skip handling.
    * Fix for memory leak in ringbuffer.
    * Fix for shutdown segfault fix.

++++ kdelibs3:

  - add libbz2-devel build requires

++++ kdesvn:

  - update to 0.11.2:
    * missing KIO::special functions implemented (update/add/del)
    * fix: since subversion 1.4 kdesvn made an error when making
    simple diff on commandline ("kdesvn exec diff ")
    * fix: kdevelop always gives a file:/// uri for locals, kio_ksvn
    has to check if this is a working copy uri and transform it to
    uri without protocoll if yes.
    * feature request: Logdialog may display details about items in
    a changeset (difference and annotate) #30
    * feature request: search in blamewindows
    * fix: DirWatcher should not have any display leaks any more and
    should not crash kdesvn on heavy changes.
    * fix: kdesvn could crash when try to open folders where user had
    no execute/read rights for.
    * fix: kdesvn didn't see replaced items as modified items.
    * fix: kdesvn asks now if on commits locks should released.

++++ kernel-bigsmp:

  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    update properties to match efika firmware:
    dma-controler = mpc52xx-bestcomm -> mpc5200-pcidma
    sram = mpc52xx-srammpc5200-sram
  - update to 2.6.21-rc5

++++ kernel-default:

  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    update properties to match efika firmware:
    dma-controler = mpc52xx-bestcomm -> mpc5200-pcidma
    sram = mpc52xx-srammpc5200-sram
  - update to 2.6.21-rc5

++++ kernel-source:

  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    update properties to match efika firmware:
    dma-controler = mpc52xx-bestcomm -> mpc5200-pcidma
    sram = mpc52xx-srammpc5200-sram
  - update to 2.6.21-rc5

++++ kernel-syms:

  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    update properties to match efika firmware:
    dma-controler = mpc52xx-bestcomm -> mpc5200-pcidma
    sram = mpc52xx-srammpc5200-sram
  - update to 2.6.21-rc5

++++ kernel-xen:

  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    update properties to match efika firmware:
    dma-controler = mpc52xx-bestcomm -> mpc5200-pcidma
    sram = mpc52xx-srammpc5200-sram
  - update to 2.6.21-rc5

++++ kernel-xenpae:

  - update patches.arch/ppc-efika-bestcomm-ethernet.patch
    update properties to match efika firmware:
    dma-controler = mpc52xx-bestcomm -> mpc5200-pcidma
    sram = mpc52xx-srammpc5200-sram
  - update to 2.6.21-rc5

++++ kinternet:

  - update translations (#180648)

++++ krename:

  - update to 3.0.14:
    * Fixed a crash with plugin previews
    * Fixed adding directories recursive when dropped from another application
    * Added a unit test
    * Fixed plugin tokens with additional arguments e.g. [date;dd-mm-yyyy]
    * Fixed the seconds in the time [token]
    * Corrected documentation of [user] and [group] tokens
    * Patch by Otakar Trunecek to add Czech transliteration characters

++++ less:

  - add ncurses-devel BuildRequires

++++ libart_lgpl:

  - Fix the installed headers again

++++ libgtop:

  - Add gdbm-devel BuildRequires.

++++ libieee1284:

  - remove .a and .la files (Suse Bugzilla bug #244452).

++++ liblo:

  - updated to version 0.24:
    * fix compile warnings
    * accepts unix socket format
    osc.unix://localhost/tmp/mysocket.sock
    * misc bugfixes

++++ libsmbios:

  - updated to new version 0.13.4 as requested by DELL maintainer
  - autotools conversion
  - new util dellWirelessCtl to control builtin wireless on Dell
    laptops

++++ libzio:

  - Split off libzio-devel.

++++ man:

  - Add libbz2-devel and libzio-devel BuildRequires

++++ mlmmj:

  - Fix to/cc parsing of addresses with brackets and quotations
    * mlmmj-1.2.13-find_email_adr.patch

++++ nautilus:

  - Fixed BuildRequires.

++++ ndiswrapper:

  - update to version 1.39:
    * An smp issue is fixed
    * When initializing a card that supports 802.11a and either 802.11g
    or b, set the mode to 802.11g or b, as 802.11a is far less common
    * Added support for driver for Atheros device with PCI ID 168C:1014
    * Fixed issue with initializing athfmwdl driver (for atheros USB cards)
    * Fixed ndiswrapper script so it installs drivers for certain
    PCMCIA cards (which have bus type 8, instead of 5)
    * Fixed ndiswrapper script (broken since 1.23 for sis163u driver)
    * Implemented full scatter/gather lists (not tested)
    * Implemented support for hardware tcp/ip checksumming (through NDIS)
    * Fixed a bug with scatter/gather. With this rt61 from RaLink and
    VT6655 from VIA drivers transmit data. Other drivers that associated
    but didn't transmit data (e.g., RT8855, Airgo's Gen3 PCI with
    ID 17CB:0002) may also work.

++++ nspluginwrapper:

  - New SuSE package, version 0.9.91.3.

++++ ntop:

  - add gdbm-devel BuildRequires.

++++ pam:

  - add flex and bison BuildRequires

++++ perl:

  - Add gdbm-devel, ncurses-devel and zlib-devel BuildRequires.

++++ perl-Bootloader:

  - Corrected mechanism for removal of sections in Tools.pm - part 2
  - Corrected mechanism for removal of sections in Tools.pm
  - fixed typo
  - Corrected mechanism for adapting default value in Tools.pm

++++ planmaker:

  - fix icon file location

++++ pm-utils:

  - update to current CVS (version 0.99.3)
  - fix source_configs so it doesn't throw an error when the config
    dir is empty.
  - rework userspace-suspend support
  - fix exporting of variables

++++ qpopper:

  - Add gdbm-devel BuildRequires

++++ quilt:

  - Quilt refresh: fix existing patch check.

++++ rt2x00:

  - created own package for rt2x00 (formerly part of wlan-kmp)
  - update to version cvs-2007032607

++++ sax2:

  - added Intel driver options (#237676)

++++ textmaker:

  - fix icon file location

++++ util-linux:

  - add ncurses-devel and zlib-devel BuildRequires

++++ uvcvideo:

  - include flavours but instead of excluding them to fix build on
    IA64

++++ vacation:

  - Add gdbm-devel BuildRequires

++++ vdr:

  - add virtual provide 'vdrapi'

++++ wlan-ng:

  - removed proprietary firmware files from tarball

++++ xemacs:

  - Add gdbm-devel, gpm and ncurses-devel BuildRequires.

++++ yast2-iscsi-client:

  - auto log on when needed parameters read from iBFT card (#256227)
  - 2.14.9

++++ yast2-sound:

  - set "iSpeaker" channel volume (#251844)
  - 2.15.5

++++ yast2-storage:

  - prefer scsi-link when more than one udev id is present (#251338)

++++ yast2-trans-stats:

  - Set BuildIgnore: tomcat5; thanks to Andreas Jaeger.

++++ yast2-users:

  - correctly read minimal password length, if set to 0 (#257075)
  - do not throw away possible LDAP error message (UsersLDAP.pm)
  - during firstboot, show the same behaviour as in 2nd stage
  - 2.15.18

++++ ypserv:

  - Add gdbm-devel BuildRequires.

++++ zmd:

  - New Source drop
  - Changed catalog id from base uri(e.g. https://update.novell.com/)
    to actual url of the catalog (e.g. https://update.novell.com/repo/$RCE/SLED10-Updates/sled-10-i586)
    Fixes # 254018

------------------------------------------------------------------
------------------  2007-3-25  -  Mar 25 2007  -------------------
------------------------------------------------------------------

++++ autoconf:

  - Display testsuite log on failure.

++++ kdebase3:

  - Add libbz2-devel to BuildRequires for 10.3 and newer.

++++ glibc:

  - temporary disable powerpc cputuned libs to reduce turnaround time

++++ gnome-vfs2:

  - Add libbz2-devel to BuildRequires.

++++ uvcvideo:

  - added KMP subpackage to specfile (transport for PDB data)

------------------------------------------------------------------
------------------  2007-3-24  -  Mar 24 2007  -------------------
------------------------------------------------------------------

++++ boost:

  - Add libbz2-devel to BuildRequires.

++++ hal:

  - Fix quoting.
  - Allow building against parted 1.8.6.

++++ libzio:

  - Add libbz2-devel to BuildRequirs.

++++ rpm:

  - added libbz2-devel to BuildRequires and Requires for -devel

++++ python:

  - Add libbz2-devel to BuildRequires.

++++ xterm:

  - Patch #225 - 2007/3/24:
    * add useClipping resource to allow clipping to be disabled.
    * use   XftDrawSetClipRectangles  to  work  around  Xft  pixel-trash
    (report by Reuben Thomas).
    * add    configure    option   --enable-tcap-fkeys,   and   resource
    tcapFunctionKeys,   which  can  be  used  to  tell  xterm  to  use
    function-key  definitions  from the termcap (or terminfo) which it
    uses to set $TERM on startup.
    * add  resources altIsNotMeta and altSendsEscape to allow one to use
    Alt-keys  like  the  meta-key  even if they are bound to different
    keycodes (prompted by discussion with Daniel Jacobowitz).
    * revert a change from [229]patch #216 that unnecessarily made the
    meta  modifier override the eightBitInput resource if the alt- and
    meta-modifiers   happened   to  overlap  (report/patch  by  Daniel
    Jacobowitz).
    * correct  associated  font for active icon for colored text (broken
    in [230]patch #224).
    * correct ifdef's for Darwin (patch by Emanuele Giaquinta).
    * add  highlightTextColor  resource, and options -selfg, -selbg like
    xwsh (adapted from patch by Victor Vaile).
    * revise  find_closest_color()  function  to  address  concern about
    borrowing from Tcl/Tk (request by Dan McNichol).
    * add  "spawn-new-terminal"  action,  which  can  be assigned to key
    translation,  allowing  one to spawn a new copy of xterm using the
    current  process'  working directory (adapted from patch by Daniel
    Colascio).
    * improve  select/paste  between UTF-8 and Latin1 xterms by adapting
    the  translations  from  [231]patch #185. Extend that to include
    Unicode fullwidth forms FF00-FF5E. Also modify select/paste of DEC
    line-drawing characters in Latin1 mode to use ASCII characters.
    * add  "Enable  Bell  Urgency"  to  VT Options menu, removed "Enable
    Margin Bell".
    * add  bellIsUrgent  resource to control whether the Urgency hint is
    set/reset.
    * modify  to  set  Urgency  window manager hint on bell, reset it on
    Focus-In event (patch by Emanuele Giaquinta).
    * add   --disable-setgid   configure  option  (request  by  Miroslav
    Lichvar).
    * fix  a  possible  infinite loop in last change to dabbrev-expand()
    (patch by Emanuele Giaquinta).
    * modify  initialization  to set the pty erase value if the erase is
    set  in  the ttyModes resource. This overrides the ptyInitialErase
    setting (request by Lluis Batlle i Rossell).
    * add  initialFont resource to xterm widget, like tek-widget (Debian
    [#299669]).
    * amend change to boldMode from [232]patch #223 for Debian #347790.
    As  noted  in  Debian #412599, that made xterm no longer match the
    documented  behavior.  Add  new  resource  alwaysBoldMode to allow
    overriding  the comparison between normal/bold fonts when deciding
    whether to use overstriking to simulate bold fonts.
    * restore  background  color  in  ClearCurBackground(),  omitted  in
    changes for [233]patch #223 (report by Miroslav Lichvar).
    * correct  logic  for  repainting  double-width  TrueType characters
    (prompted by test-case for Novell #246573).
    * add  a  check  to  avoid  trying  to  repeat a multibyte character
    (report by Sami Farin).
    * modify  parameter  to  XftNameParse()  to select wide face-name as
    needed,  to  make  -fd  option  work (patch by Mike Fabian, Novell
    [#246573]).
    * correct  logic  for  mouse  highlight  tracking's  abort sequence,
    broken  in  a  restructuring  modification  from [234]patch #224
    (report by Thomas Wolff).
    * revert the simplification of blinking cursor, since that broke the
    xor'ing introduced in [235]patch #193 (report by Thomas Wolff).
  - obsoletes xterm-224i.patch

------------------------------------------------------------------
------------------  2007-3-23  -  Mar 23 2007  -------------------
------------------------------------------------------------------

++++ SuSEfirewall2:

  - enhance FW_ALLOW_CLASS_ROUTING to allow routing in specific zones only
  - prevent unintended inter-class routing when masquerading is enabled on
    multiple interfaces in the same zone
  - disable extra rules for established/related icmp packets as those
    are useless
  - accept icmpv6 in the OUTPUT chain to avoid excessive errors in log
  - add IPv6 support for FW_ALLOW_CLASS_ROUTING and FW_FORWARD

++++ apache2:

  - add mod_dbd.c from trunk (r512038), the version we run ourselves
    http://svn.apache.org/viewvc/httpd/httpd/trunk/modules/database/mod_dbd.c?view=log
  - add mod_dbd.c-issue18989-autoconnect.dif, but disabled. It
    applies to 2.2.4 mod_dbd.c but not to the trunk version
  - build mod_version
  - fix documentation link in apache2-httpd.conf

++++ bluez-utils:

  - added DBus retry workaround. Needed if hcid got started
    before dbus started:
    e.g. during boot - udev coldplug of bluetooth interface
    (bug #228234, #230728, #254611)
  - make use of internal SDP server
  - disabled build of standalone SDP daemon
  - fixed bluetooth init script which "cleans" /var/lib/bluetooth/
    instead of /var/lib/bluetooth/opd/

++++ bzip2:

  - Split off doc, libbz2 and libbz2-devel packages

++++ coreutils:

  - Update to coreutils 6.9.
    ** Bug fixes
    cp -x (--one-file-system) would fail to set mount point permissions
    The default block size and output format for df -P are now unaffected by
    the DF_BLOCK_SIZE, BLOCK_SIZE, and BLOCKSIZE environment variables.  It
    is still affected by POSIXLY_CORRECT, though.
    Using pr -m -s (i.e. merging files, with TAB as the output separator)
    no longer inserts extraneous spaces between output columns.

++++ csmash:

  - forcing use of CXXFLAGS for compilation

++++ dazuko:

  - Updated to dazuko-2.3.3(.4) final, including 2.6.21 LSM patch.
    Obsolete patch file: dazuko-2.3.3-pre3_linux-2.6.21.dif

++++ eel:

  - Update to version 2.18.0.1
  - Source code cleanups
  - b.g.o #409272.

++++ evince:

  - Update to version 0.8.0
  - b.g.o fixes: 416447, 334542, 409828, 392186, 318568, and 164755.

++++ fontconfig:

  - Bugzilla #118131 comment #93: set the autohinter default
    matching on "font" instead of on "pattern".
    If an autohint value is set in pattern, OpenOffice 2.1 will use
    that even if there are fontconfig rules matching on "font" which
    should override it again). This doesn't cause any problems for
    Cairo/Gnome (see bug #104365) because Cairo/Gnome don't try to
    change the autohint value anyway.

++++ fonts-config:

  - Bugzilla #118131 comment #93: set the autohinter default
    matching on "font" instead of on "pattern".
    If an autohint value is set in pattern, OpenOffice 2.1 will use
    that even if there are fontconfig rules matching on "font" which
    should override it again). This doesn't cause any problems for
    Cairo/Gnome (see bug #104365) because Cairo/Gnome don't try to
    change the autohint value anyway.

++++ gnome-desktop:

  - Update to version 2.18.0
  - Few, minor changes.

++++ gnome-themes:

  - Update to version 2.18.0.

++++ gtk2-engines:

  - Update to version 2.10.0
  - Minor changes
  - Now requires perl-XML-Parser to build.

++++ helix-dbus-server:

  - Rebuilt binary to work with newer DBus; works in 10.2/10.3 now

++++ ipod-sharp:

  - Patch to enable databases touched by iTunes 7.1 to be read

++++ kernel-bigsmp:

  - disable built-in amd8111 and sil680 IDE drivers on ppc64
    build libata pata_sil680 and pata_amd
  - enable iseries support in the ppc64 kernel
    build dasd, cd, tape and veth driver as module
  - add patches.arch/ppc-efika-bestcomm-ethernet.patch
    add patches.arch/ppc-efika-mpc52xx-ac97.patch
    network and sound support for Efika
  - update to 2.6.21-rc4-git8, acpi, network fixes
  - Update config files.
  - Build APM as module
  - Disable acpi_dsdt_ssdt_initrd_initramfs.patch for now ->broken
  - patches.xen/xen3-patch-2.6.21-rc4: Fix x86-64 Xen build.
  - Update Xen patches to -unstable c/s 14422 and a more complete port
    to 2.6.21-rc4.
  - Update config files.
  - misc/xen-port-patches.py: Relax pattern used to locate files
    having Xen custom variants.
  - patches.xen/xen-x86-panic-smp: panic/shutdown handling
    adjustments.
  - patches.xen/xen-split-pt-lock: allow use of split page table
    locks.
  - patches.xen/xen-blkif-protocol-fallback-hack: 32-on-64 blkif
    protocol negotiation fallback for old guests. (244055).
  - update to 2.6.21-rc4-git7, acpi, network, ia64, ppc fixes

++++ kernel-default:

  - disable built-in amd8111 and sil680 IDE drivers on ppc64
    build libata pata_sil680 and pata_amd
  - enable iseries support in the ppc64 kernel
    build dasd, cd, tape and veth driver as module
  - add patches.arch/ppc-efika-bestcomm-ethernet.patch
    add patches.arch/ppc-efika-mpc52xx-ac97.patch
    network and sound support for Efika
  - update to 2.6.21-rc4-git8, acpi, network fixes
  - Update config files.
  - Build APM as module
  - Disable acpi_dsdt_ssdt_initrd_initramfs.patch for now ->broken
  - patches.xen/xen3-patch-2.6.21-rc4: Fix x86-64 Xen build.
  - Update Xen patches to -unstable c/s 14422 and a more complete port
    to 2.6.21-rc4.
  - Update config files.
  - misc/xen-port-patches.py: Relax pattern used to locate files
    having Xen custom variants.
  - patches.xen/xen-x86-panic-smp: panic/shutdown handling
    adjustments.
  - patches.xen/xen-split-pt-lock: allow use of split page table
    locks.
  - patches.xen/xen-blkif-protocol-fallback-hack: 32-on-64 blkif
    protocol negotiation fallback for old guests. (244055).
  - update to 2.6.21-rc4-git7, acpi, network, ia64, ppc fixes

++++ kernel-source:

  - disable built-in amd8111 and sil680 IDE drivers on ppc64
    build libata pata_sil680 and pata_amd
  - enable iseries support in the ppc64 kernel
    build dasd, cd, tape and veth driver as module
  - add patches.arch/ppc-efika-bestcomm-ethernet.patch
    add patches.arch/ppc-efika-mpc52xx-ac97.patch
    network and sound support for Efika
  - update to 2.6.21-rc4-git8, acpi, network fixes
  - Update config files.
  - Build APM as module
  - Disable acpi_dsdt_ssdt_initrd_initramfs.patch for now ->broken
  - patches.xen/xen3-patch-2.6.21-rc4: Fix x86-64 Xen build.
  - Update Xen patches to -unstable c/s 14422 and a more complete port
    to 2.6.21-rc4.
  - Update config files.
  - misc/xen-port-patches.py: Relax pattern used to locate files
    having Xen custom variants.
  - patches.xen/xen-x86-panic-smp: panic/shutdown handling
    adjustments.
  - patches.xen/xen-split-pt-lock: allow use of split page table
    locks.
  - patches.xen/xen-blkif-protocol-fallback-hack: 32-on-64 blkif
    protocol negotiation fallback for old guests. (244055).
  - update to 2.6.21-rc4-git7, acpi, network, ia64, ppc fixes

++++ kernel-syms:

  - disable built-in amd8111 and sil680 IDE drivers on ppc64
    build libata pata_sil680 and pata_amd
  - enable iseries support in the ppc64 kernel
    build dasd, cd, tape and veth driver as module
  - add patches.arch/ppc-efika-bestcomm-ethernet.patch
    add patches.arch/ppc-efika-mpc52xx-ac97.patch
    network and sound support for Efika
  - update to 2.6.21-rc4-git8, acpi, network fixes
  - Update config files.
  - Build APM as module
  - Disable acpi_dsdt_ssdt_initrd_initramfs.patch for now ->broken
  - patches.xen/xen3-patch-2.6.21-rc4: Fix x86-64 Xen build.
  - Update Xen patches to -unstable c/s 14422 and a more complete port
    to 2.6.21-rc4.
  - Update config files.
  - misc/xen-port-patches.py: Relax pattern used to locate files
    having Xen custom variants.
  - patches.xen/xen-x86-panic-smp: panic/shutdown handling
    adjustments.
  - patches.xen/xen-split-pt-lock: allow use of split page table
    locks.
  - patches.xen/xen-blkif-protocol-fallback-hack: 32-on-64 blkif
    protocol negotiation fallback for old guests. (244055).
  - update to 2.6.21-rc4-git7, acpi, network, ia64, ppc fixes

++++ kernel-xen:

  - disable built-in amd8111 and sil680 IDE drivers on ppc64
    build libata pata_sil680 and pata_amd
  - enable iseries support in the ppc64 kernel
    build dasd, cd, tape and veth driver as module
  - add patches.arch/ppc-efika-bestcomm-ethernet.patch
    add patches.arch/ppc-efika-mpc52xx-ac97.patch
    network and sound support for Efika
  - update to 2.6.21-rc4-git8, acpi, network fixes
  - Update config files.
  - Build APM as module
  - Disable acpi_dsdt_ssdt_initrd_initramfs.patch for now ->broken
  - patches.xen/xen3-patch-2.6.21-rc4: Fix x86-64 Xen build.
  - Update Xen patches to -unstable c/s 14422 and a more complete port
    to 2.6.21-rc4.
  - Update config files.
  - misc/xen-port-patches.py: Relax pattern used to locate files
    having Xen custom variants.
  - patches.xen/xen-x86-panic-smp: panic/shutdown handling
    adjustments.
  - patches.xen/xen-split-pt-lock: allow use of split page table
    locks.
  - patches.xen/xen-blkif-protocol-fallback-hack: 32-on-64 blkif
    protocol negotiation fallback for old guests. (244055).
  - update to 2.6.21-rc4-git7, acpi, network, ia64, ppc fixes

++++ kernel-xenpae:

  - disable built-in amd8111 and sil680 IDE drivers on ppc64
    build libata pata_sil680 and pata_amd
  - enable iseries support in the ppc64 kernel
    build dasd, cd, tape and veth driver as module
  - add patches.arch/ppc-efika-bestcomm-ethernet.patch
    add patches.arch/ppc-efika-mpc52xx-ac97.patch
    network and sound support for Efika
  - update to 2.6.21-rc4-git8, acpi, network fixes
  - Update config files.
  - Build APM as module
  - Disable acpi_dsdt_ssdt_initrd_initramfs.patch for now ->broken
  - patches.xen/xen3-patch-2.6.21-rc4: Fix x86-64 Xen build.
  - Update Xen patches to -unstable c/s 14422 and a more complete port
    to 2.6.21-rc4.
  - Update config files.
  - misc/xen-port-patches.py: Relax pattern used to locate files
    having Xen custom variants.
  - patches.xen/xen-x86-panic-smp: panic/shutdown handling
    adjustments.
  - patches.xen/xen-split-pt-lock: allow use of split page table
    locks.
  - patches.xen/xen-blkif-protocol-fallback-hack: 32-on-64 blkif
    protocol negotiation fallback for old guests. (244055).
  - update to 2.6.21-rc4-git7, acpi, network, ia64, ppc fixes

++++ lessons4lizards_en:

  - don't remove BUILD_ROOT in %install and "mkdir -p BUILD_ROOT/foo"
    directly afterwards
  - added %clean section
  - Disabled source3 and source4

++++ libgail-gnome:

  - Update to version 2.18.0
  - b.g.o fixes, including #341843, #341845, and #341845.

++++ libgnomeprint:

  - Update to version 2.17.92
  - Only minor changes since 2.17.91.

++++ libgnomeprintui:

  - Update to version 2.18.0
  - Don't delete the po/no.* stuff anymore.

++++ libmikmod:

  - Require audiofile-devel.
  - Fix 64bit patch.

++++ libwnck:

  - Update to version 2.18.0
  - Minor changes:
    * libwnck/tasklist.c: (wnck_tasklist_scroll_cb): fix left/right
    scroll for RTL
    * libwnck/pager.c: (wnck_update_drag_icon): improve a bit, so
    that the icon has a good width/height ratio, and is not always
    huge
    * libwnck/pager.c: (wnck_pager_set_n_rows): don't accept to set to
    less than 1 row. Again. (My one-line patch was broken ;-))
    * test-tasklist.c: add an option to always group windows, and default
    to automatic grouping
    * test-tasklist.c: (main):
    * test-selector.c: (main): don't use gtk_window_set_policy(), but
    gtk_window_set_resizable()
    * libwnck/pager.c: (wnck_pager_set_n_rows): don't accept to set to
    less than 1 row

++++ linux-atm:

  - fix build with newer kernel headers

++++ m4:

  - Update to m4 1.4.9.
    * Minor documentation and portability cleanups.

++++ metacity:

  - Update to version 2.18.0
  - b.g.o #408902, #408899, #395560, #382962, and #358715.

++++ mkinitrd:

  - Create module path if it doesn't exist (#255816)
  - Do not parse options for filesystem modules (#246524)
  - Support resume from LVM2 (#249460)
  - Support resume from EVMS2 (#246494)

++++ mutt:

  - add gdbm-devel and ncurses-devel BuildRequires

++++ openswan:

  - Bug #234042: Changed back internal nhelpers option default to
    use number of CPU-1 crypto worker. Added fallback to perform
    inline calculations in main process, when all worker are busy.
    Obsolete patch file: openswan_16_nhelpers_default.dif
    New patch file name: openswan_16_crypto_inline_fallback.dif

++++ perl-Bootloader:

  - Commented out wrong code in update-bootloader and Tools.pm
  - Removed function AddNewImageSection() because it's obsolete
  - Corrected resolution of symlinks in Tools.pm
  - Corrected deletion of obsolete entries in Tools.pm
  - Removed commented out code sections

++++ rpm:

  - drop custom libpopt so versioning
  - move libpopt to /lib(64) for cryptsetup
  - adjust installed libtool files
  - Fix rpm buildrequires / devel requires

++++ python:

  - add gdbm-devel BuildRequires

++++ qtcurve-gtk2:

  - update to 0.48.2:
    1. Modified the glass variants. Dull is a bit 'duller' in the
    top 1/2, and fades away at the bottom. Shiny is now more like
    dull, but with more pronounced gradients.
    2. Fix borders of selected menubar item when colouring menubar.
    3. Only darken menubar colour when using selected backgound
    colour, if using glass gradients.

++++ ruby:

  - add gdbm-devel BuildRequires

++++ rug:

  - New Source drop
  - Fix for Bug # 188409 (Array Index out of range during autoinstall.)

++++ util-linux-crypto:

  - cryptsetup can now link shared since libpopt is
    no longer under /usr

++++ vte:

  - Update to version 0.16.0
  - b.g.o fixes include: 412361, 411000, 410534, 410463, 159078,
    411276, 410534, 411276, 414716.

++++ xmoto:

  - updated to release 0.2.7
    * add ghost while replaying
    * correct the second layer of static blocks
    * particle sources are no longer clipped out of the screen
    * man page fixed
    * and more bugs fixed ...

++++ yast2:

  - use Qt control center instead of Gtk and vice versa if the preffered
    one doesn't exist, fixed path to Gtk control center (#255745)
  - fixed focus switching when changing dialogs in tree dialog (#239775)

++++ yast2-trans-el:

  - Update to version 2.14.8.

++++ yast2-trans-et:

  - Update to version 2.14.13.

++++ yast2-trans-hr:

  - Update to version 2.14.4.

++++ yast2-trans-hu:

  - Update to version 2.14.24.

++++ yast2-trans-lt:

  - Update to version 2.14.15.

++++ yast2-trans-ro:

  - Update to version 2.14.4.

++++ yast2-trans-ru:

  - Update to version 2.14.21.

++++ yast2-trans-wa:

  - Update to version 2.13.3.

++++ yast2-tune:

  - fixed version dependency in .spec
  - 2.15.3

------------------------------------------------------------------
------------------  2007-3-22  -  Mar 22 2007  -------------------
------------------------------------------------------------------

++++ acx:

  - created own pacakge for acx (formerly part of wlan-kmp)
  - update to version 20070101

++++ adm8211:

  - created own package for adm8211 (formerly part of wlan-kmp)

++++ php5:

  - fixed unpack() on big-endian 64bit (revert-phpbug38770.patch)
  - blacklist more env variables when safe_mode is on
    (php5-config.patch)
    Sat Mar 17 14:00:00 CET 2007 - judas_iscariote
  - fix Requires of -devel package to include only what is really
    needed for operation of the pecl tool as well the neccesary
    headers to compile php extensions.
  - Fix MOPB 24 "PHP array_user_key_compare() Double DTOR
    Vulnerability"
  - note that fix for MOPB 23 was included in the previous patchset.
    Wed Mar 14 14:00:00 CET 2007 - judas_iscariote
  - add security fixes for MOPB 20, 21 and 22.
  - RPM_BUILD_ROOT is never defined in %post.
    Fri Mar 11 14:00:00 CET 2007 - judas_iscariote
  - fix/workaround for php5-gd problem with typo3 [#236680]
  - add fix for MOPB-14-2007 PHP substr_compare() Information Leak
    Vulnerability.
  - add secfix for import_request_variables() ancient problem, users
    of suhosin extension are not affected.
  - Run the test suite here
    Tue Mar 06 14:00:00 CET 2007 - judas_iscariote
  - Update suhosin extension to version 0.9.18 fixing a session
    problem.
    Mon Mar 05 14:00:00 CET 2007 - judas_iscariote
  - Update suhosin extension to version 0.9.17. see
    http://www.hardened-php.net/suhosin/changelog.html for details.
    Thu Feb 15 14:00:00 CET 2007 - judas_iscariote
  - add t1lib support in php5-gd (10.3 and up only)
  - an off-by-one in str_replace may cause a crash.
    Wed Feb 08 14:00:00 CET 2007 - judas_iscariote
  - PHP 5.2.1. for a full list of changes see
    http://www.php.net/ChangeLog-5.php#5.2.1
  - add Obsoletes for extensions we dont ship anymore
    Fri Feb 2 14:00:00 CET 2007 - judas_iscariote
  - fix getenv() modifing $_POST, breaks suhosin badly when
    register_* is On and variables orde is "GPCS" (default).
  - change/remove obsoleted patches

++++ cvs:

  - add zlib-devel and gdbm-devel BuildRequires

++++ evolution:

  - Update to version 2.10.0
  - Update the required intltool version.

++++ evolution-data-server:

  - Update to version 1.10.0
  - Bug fixes, including bugzilla.gnome.org 413173, 400169,
    and 356177
  - Remove evolution-fix-function-declarations.patch and
    implicit-declaration.diff
  - Fix bnc-183819-evo-crashed-closing-offline.patch.

++++ gnome-blog:

  - Fixed gconf scriptlets.

++++ gnome-icon-theme:

  - Update version to 2.18.0
  - Remove the old-style gnome-dev-ethernet icons
  - Remove the unneeded hicolor_dirs variable in make install

++++ gnome-panel:

  - Update to version 2.18.0
  - Require pango 1.15.4 to build
  - Nuke .cvsignore
  - Fixes bugzilla.gnome.org #382307.

++++ gpm:

  - add ncurses-devel BuildRequires

++++ grep:

  - Add a variant of the mbcache patch.

++++ gtkhtml2:

  - Update to version 3.14.0
  - intltool update.

++++ gwenview:

  - re-enable exception handling for exiv2 support

++++ ilbc:

  - create package

++++ intltool:

  - Worked around bad intltool-extract check.

++++ ipw3945-kmp:

  - created own package for ipw3945 (formerly part of wlan-kmp)

++++ kdelibs3:

  - adapt lpoptions config file position for CUPS 1.2 (#252947)

++++ kdepim3:

  - Fix #152199 - crash when deleting searched messages

++++ kernel-bigsmp:

  - require libsysfs2 to avoid dead network surprises

++++ kernel-default:

  - require libsysfs2 to avoid dead network surprises

++++ kernel-source:

  - require libsysfs2 to avoid dead network surprises

++++ kernel-syms:

  - require libsysfs2 to avoid dead network surprises

++++ kernel-xen:

  - require libsysfs2 to avoid dead network surprises

++++ kernel-xenpae:

  - require libsysfs2 to avoid dead network surprises

++++ lessons4lizards_en:

  - First release 0.1

++++ udev:

  - use ata_id for libata sd* devices; id's may be truncated by the
    scsi stack to 16 chars (#255413)

++++ nautilus:

  - Update to version 2.18.0.1
  - intltool is now a build requirement
  - Several code cleanups
  - Bug fixes, including p.g.o 408155, 333151, 358172, 408155,
    409276, 407150, 407618, and 368661.

++++ parted:

  - Update to new version 1.8.6
    Revert the implementation of the linux-swap(new) and linux-swap(old) types.
  - Update to new version 1.8.5
    Add po translations
  - Update to new version 1.8.4
    Minor bug fix release for 1.8.3 to fix build issues on various platforms

++++ perl-Bootloader:

  - Added mechanism to name boot entries in a unique way
  - Added mechanism to resolve symlinks in boot entries to be able to
    remove them properly if needed
  - Corrected naming scheme appropriate to corresponding bootloader

++++ rpm:

  - files.diff: when checking %files list also show unpackaged files
    after "not found" error message [#255780]
  - remove strangely duplicated libpopt
  - remove static popt and corresponding .la file to reduce
    dependencies
  - Fix various format string errors in german translation
    which cause crashes

++++ pwdutils:

  - move faillog to /usr/sbin, because its not usable for non-root
  - actually build during %build, not during %install
  - build parallel

++++ rfswitch:

  - created own package for rfswitch (formerly part of wlan-kmp)
  - update to version 1.1

++++ rug:

  - New Source drop
  - Updated man pages and po files.

++++ socat:

  - fix build with newer kernel headers:
    some common FS-specific ioctls moved to linux/fs.h

++++ twinkle:

  - add ilbc support by requirering the ilbc package

++++ wireless-tools:

  - removed linux-wlan-ng (separate package now)
  - added lwepgen
  - updated README.ipw3945

++++ wlan-ng:

  - created own package for linux-wlan-ng (formerly part of wlan-kmp)

++++ xntp:

  - ntp patch broken/md5 keys unusable (#253635)

++++ xorg-x11:

  - updated xload to release 1.0.2
    * configure.ac: Update version for another release.
    * xload.c: Check setuid() return value. Bugzilla #7116

++++ xterm:

  - add ftp://invisible-island.net/temp/xterm-224i.patch
    (obsoletes fix-fd_option.diff and fixes the redraw problems
    for double width characters mentioned in bug #246573).
  - adapt patch a little bit to make it build with --with-utempter.

++++ yast2-devtools:

  - y2makeall: fixed excluding of packages/directories;
    added obsolete ipsec to exclude_list

++++ yast2-http-server:

  - mark text for translation (#180792)

++++ yast2-network:

  - NetworkStorage - handling alternative connection types (#256371)
  - 2.15.18

++++ yast2-packager:

  - display remaining unconfirmed licenses of selected packages
    (#242298)
  - 2.15.24

++++ yast2-tv:

  - updated TV card DB (linux-2.6.21-rc4-git5-2)
  - removed dependency to yast2-packager (#253958)
  - 2.15.4

++++ zapping:

  - Added missing %gconf_schemas_prereq.

++++ zen-updater:

  - New Source drop
  - Updated man pages and po files.

++++ zmd:

  - New Source drop
  - Updated man pages and po files.

------------------------------------------------------------------
------------------  2007-3-21  -  Mar 21 2007  -------------------
------------------------------------------------------------------

++++ at-spi:

  - moved *.idl files to the devel package (#254444)
  - Update to version 1.18.0
  - Bug fixes, including bugzilla.gnome.org 404584, 375319, 401299,
    412286, 329454.

++++ atk:

  - Update to version 1.18.0
  - Bugfixes, including bugzilla.gnome.org 367627, 398038, and
    408527.

++++ binutils:

  - Update to binutils CVS HEAD.

++++ bootsplash-theme-SuSE:

  - needs fribidi to build

++++ dazuko:

  - Updated to dazuko-2.3.3-pre3 including support for linux-2.6.20
    LSM obsoleting dazuko-2.3.2-linux-2.6.19plus.dif patch file
    as well as several other fixes and improvements, e.g.:
    * include new Lua binding
    * resolved namespace issue with "struct path"
    * add official support for suspend2 on Linux 2.6
    * cleanup thread handling for TAF on Linux 2.6
    * fix DazukoIO X/Y-bit compatibility for trusted processes
    * remove unnecessary global variables from DazukoIO
    * restructured DazukoIO protocol fallback code
  - Adopted to LSM interface (getprocattr) for linux-2.6.21 LSM
    New patch file: dazuko-2.3.3-pre3_linux-2.6.21.dif

++++ esound:

  - Add abuild.patch, silencing a gcc warning.
  - Update to version 0.2.37
  - Fixes bugzilla.gnome.org #350808
  - Removes upstreamed esound-logout-sound-167856.patch
  - Buildrequire pkg-config.

++++ file:

  - Update to file 4.20 due security reason CVE-2007-1536 (#256290)

++++ gail:

  - Update to version 1.18.0
  - New translations.

++++ gconf2:

  - Update to 2.18.0.1
  - Bug fixes, including bugzilla.gnome.org 309016, 314343, 341724,
    341828, 357206, 385142, 396071, 406251, 414916, 314343.

++++ gdm:

  - Add gdm-2.17.7-vt-fallback.patch. This is a port of the fix for
    https://bugzilla.novell.com/show_bug.cgi?id=206804

++++ glib2:

  - Update to version 2.12.11
  - Fixes for bugzilla.gnome.org 399611, 350802, 416062, 346808,
    398069, 346808, 398203, 399971, 400044, 396899, 404832, and
    149144.

++++ gnome-vfs2:

  - Update to version 2.18.0.1
  - Bugfixes, including bugzilla.gnome.org 374341, 414073, 417595,
    and 374341.

++++ gtk-doc:

  - Update to version 1.8
  - Various bug fixes.

++++ gtk2:

  - Update to version 2.10.10
  - Bugfixes, including bugzilla.gnome.org 399907, 396899, 402453,
    402806, 403409, 403896, 46757, 405696, 377164, 310522, 389765,
    408018, 386618, 403139, 356515, 382565, 409101, 325477, 151169,
    143213, 153785, 402131, 412596, 413492, 414875, 415645, 414975,
    124045, 412221, 356515, 413664, 413032, 416525, 331369, 335796,
    351671, 396703, 356515, 350988, 396805, and 382904.

++++ intltool:

  - Update to version 0.35.5.
    * Don't hardcode fallback path to intltool-extract -- bug #399476
    * Fix mkdir race in inltool-merge.in.in -- bug #400788
    * Update an additional check to use $SRCDIR properly for POTFILES.skip
  -- bug #391892
    * Handle extracting comments from ini-style files -- bug #390271

++++ kdepim3:

  - Fix #200177 - kontact/kmail crash on startup
    [#208413] - kmail crash in slotGetNextMessage()

++++ kernel-bigsmp:

  - patch refresh due to 2.6.21-rc4 update to make everything apply cleanly.
  - patches.drivers/nozomi.patch: updated driver to fix oopses on
    removal (208818).

++++ kernel-default:

  - patch refresh due to 2.6.21-rc4 update to make everything apply cleanly.
  - patches.drivers/nozomi.patch: updated driver to fix oopses on
    removal (208818).

++++ kernel-source:

  - patch refresh due to 2.6.21-rc4 update to make everything apply cleanly.
  - patches.drivers/nozomi.patch: updated driver to fix oopses on
    removal (208818).

++++ kernel-syms:

  - patch refresh due to 2.6.21-rc4 update to make everything apply cleanly.
  - patches.drivers/nozomi.patch: updated driver to fix oopses on
    removal (208818).

++++ kernel-xen:

  - patch refresh due to 2.6.21-rc4 update to make everything apply cleanly.
  - patches.drivers/nozomi.patch: updated driver to fix oopses on
    removal (208818).

++++ kernel-xenpae:

  - patch refresh due to 2.6.21-rc4 update to make everything apply cleanly.
  - patches.drivers/nozomi.patch: updated driver to fix oopses on
    removal (208818).

++++ libart_lgpl:

  - Update to version 2.3.19
  - b.g.o fixes: 131478, 317562, and 301750.

++++ libbonobo:

  - Update to version 2.18.0
  - Bug fixes, including b.g.o 409065, 363033, and 363033.

++++ libbonoboui:

  - Update to version 2.18.0
  - Minor updates, including changes to the MAINTAINERS file and
    several Makefiles.

++++ libgnome:

  - Update to version 2.18.0
  - Duplicated #includes removed from several files
  - Update to the MAINTAINERS file.

++++ libgnomesu:

  - added a patch to fix the library path for 64 bit packages.

++++ libgnomeui:

  - Update to version 2.18.1
  - Fixes for b.g.o 416889, 412906, and 409278
  - Some minor code cleanups.

++++ libidl:

  - Update to version 0.8.8
  - b.g.o bugs fixed, including 122032.

++++ lprng:

  - fixed bad temporary dir (tmpdir.diff) [#255393]
  - cleaned spec file

++++ man:

  - Remove unused util-linux BuildRequires, added less, zlib-devel
    and gdbm-devel BuildRequires

++++ mkinitrd:

  - Call evms with -b to omit error messages (#246631)
  - Enable asynchronous target scan again after initrd is finished
  - Detect LVM2 volume group correctly (#256285)

++++ novfs:

  - [Bugzilla 256534 ] unable to list drive mappings.  And cleaned up more
  - 64-bit/32-bit pointer inconsistencies.

++++ opensuse-updater-gnome:

  - initial version
  - basic functionality with ZYPP backend implemented, not all
    use cases handled
  - v 0.1.0

++++ orbit2:

  - Update to 2.14.7
  - Fix b.g.o 378454.

++++ pango:

  - Update to version 1.16.1
  - Fixes for b.g.o #120195, #407315, #355987, and #407087.

++++ sax2:

  - add intel to checkForIntelBoard() (#250133)

++++ uvcvideo:

  - exclude s390, s390x
  - build only for default + bigsmp kernel

++++ xorg-x11:

  - updated mkfontdir to release 1.0.3
    * No changes, but source tarball uses recent util macros. (This
    fixes location for man pages for example.)
  - updated xdpyinfo to release 1.0.2
    * minor cleanup/bug fix release

++++ xorg-x11-driver-video:

  - added a bunch of intel driver patches (xf86-video-intel-[1-5].diff)
    from git (master branch):
    * Move vendor ID check in the utils to after pci_device_probe.
    * Make i830_sdvo_write_sdvox write everything twice.
    * Add debug output for ADPA.
    * Print the mode actually being set per pipe.
    * Attempt to fix single/dual-channel issues on i9xx LVDS panels.

++++ xorg-x11-util-devel:

  - updated makedepend to release 1.0.1
    * Coverity #925: Pointer "file" dereferenced before NULL check
    * And packaged using new util macros.

++++ yast2:

  - Using SuSEFirewall::SuSEFirewallIsInstalled also internally in
    some SuSEFirewall functions.
  - added hwinfo/classnames.ycp (from yast2-tune) (#253486)
  - 2.15.20

++++ yast2-core:

  - YWidget: warning instead of error in setKeyboardFocus (#255785)

++++ yast2-http-server:

  - apache mod perl not working in for userdir default hosts (#245173)
  - 2.14.10

++++ yast2-installation:

  - Handling CloneSystem functionality when the client for cloning is
    not installed (checkbox is disabled).

++++ yast2-ncurses:

  - Correct pkg/pattern/patch state transition from S_AutoInstall to
    S_Taboo on toggle with SPACE key (#254816)
  - Do not set state to S_Install if no candidate is available
  - 2.15.13

++++ yast2-network:

  - Service lwresd does not exist (#256344)
  - Routing does not allow adding routes in Expert (#255731)
  - 2.15.17

++++ yast2-online-update:

  - added missing cd_update.ycp file
  - 2.15.9

++++ yast2-samba-server:

  - Set SambaRole only when changed by user. This avoids rewriting
    changed made in Expert Settings (255824).
  - 2.15.4

++++ yast2-storage:

  - add hotplug option to fstab entries for iSCSI disks (#250667)

++++ yast2-tune:

  - moved hwinfo/classnames.ycp to yast2.rpm (#253486)
  - 2.15.2

------------------------------------------------------------------
------------------  2007-3-20  -  Mar 20 2007  -------------------
------------------------------------------------------------------

++++ apache2:

  - add firewall file for ssl (#246929)

++++ autoyast2:

  - compatibility code to old profiles fixed

++++ beagle:

  - Specify the gtk-doc directory in the libbeagle-doc package, to
    fix the build.

++++ compiz:

  - Update to 0.4.0
  - Additional patches, compare SLE10-SP1 version.
  - More translations.
  - Major cleanup.
  - Removed no longer needed compiz-broken-Mesa-decl.diff (Mesa update).
  - Commented temporary workaround for libpanel-applet-2.la dependency
    (#256134).
  - Add xgl-settings-246659-hwinfo.patch from sle10-sp. #255939
  - Minor cleanup.

++++ cyrus-sasl:

  - Add SASLAUTHD_THREADS to /etc/sysconfig/saslauthd to be able to
    set the number of threads that saslauthd should spawn
    (Bug #199114)

++++ cyrus-sasl-saslauthd:

  - Add SASLAUTHD_THREADS to /etc/sysconfig/saslauthd to be able to
    set the number of threads that saslauthd should spawn
    (Bug #199114)

++++ db:

  - Remove unused ed BuildRequires.

++++ gdb:

  - Update single stepping patch again [#154486].

++++ gettext:

  - Remove unused expat BuildRequires.

++++ hal:

  - added patches:
  - hal-validate_error_name.diff: validate DBusError name and try
    to fix if there is output from stderr to avoid HAL call DIE()
  - hal-add-alsa_midi_devices.diff: added support for ALSA midi
  - hal-add_soundcard_fix_device_file_handling.diff: added alsa
    soundcard device from sysfs if available (kernel compiled with
    !CONFIG_SYSFS_DEPRECATED)
  - hal-cleanup_acpi-addon_DBusError_handling.diff: cleanup/remove
    unneeded dbus_error_init() calls
  - hal-fix-hal_device_manager_about_dialog.diff: show about dialog
    only one time
  - hal-fix-eject_path.diff: fix path to eject (b.n.c #256270)

++++ java-1_5_0-sun:

  - Update to update 11 ... Bug Fixes:
    6316313    hotspot    compiler1    hotspot terminates at assert during GC in java_g
    6381526    hotspot    jvmti    Unexpected async exception in jvmti_GetLoadedClasses()
    6463096    hotspot    runtime_system    icache invalidation code can segv
    6419112    hotspot    runtime_system    Need a way to determine if java process was started from sun launchers
    5036554    idl    other    unmarshal error on CORBA alias type in CORBA any
    6448787    java    char_encodings    Regression: UnicodeLittle broken on 1.4.2_12
    6358747    java    classes_2d    PrinterJob.printDialog() crashes JVM when called from subthread
    6449486    java    classes_2d    Few Hindi glyph formations are failing on Win-Vista only
    6471418    java    classes_2d    StackOverflowError due to recursion at sun.font.TrueTypeFont.getTableBuffer
    6395346    java    classes_2d    Need to make Java process High-DPI-aware on Windows Vista
    6490384    java    classes_2d    sun/java2d/DirectX/D3dTranslucency.java test needs to be backported from Mustang to Tiger workspace
    6418004    java    classes_2d    java/awt/font/StyledMetrics/StyledMetrics.java fails on Vista
    6476980    java    classes_2d    deriveFont is not working on FontUIResource with a dynamically loaded TTF
    6448717    java    classes_2d    Unable to retrieve printer list on system with unconnected printers
    6300533    java    classes_awt    RI crashes on Windows when executing tests.api.java.awt.Toolkit.CursorTests
    6191896    java    classes_awt    Pressing 'copy' on a TextField with echo char set copies the actual text to the clipboard, XToolkit
    6504460    java    classes_awt    Regression in backport of flickering-related bug fix
    6401956    java    classes_awt    Vista: The right mark of the CheckboxMenu item is broken when compared with winXP
    6481955    java    classes_io    Uncanonicalized absolute filepath with length 248-260 no longer works (win)
    6464154    java    classes_lang    (process) subprocess environment sort order differs from Windows native sort order
    6469606    java    classes_lang    (process) Process.destroy() can kill wrong process (Unix)
    6456276    java    classes_net    VISTA: api/java_net/NetworkInterface/index.html#static fails.
    6457066    java    classes_net    SocketTimeoutException : Timing out early
    6469803    java    classes_net    Socket creation on Windows takes a long time if web proxy does not have a DNS entry
    6469663    java    classes_net    HTTP Request-URI contains fragment when connecting through proxy
    6493989    java    classes_sound    javax/sound/sampled/Clip/JavaSoundAudioClip/bug6269854.java test appeared as unstable on tiger
    6331483    java    classes_swing    Regression: com/sun/java/swing/plaf/gtk/5048769/bug5048769.sh fails
    6466058    java    classes_swing    OceanTheme causes swing components to serialize with sun.* classes
    6449933    java    classes_swing    Vista:FileChooserDemo throws an exception when trying to open it in Windows L&F
    6486626    java    classes_swing    JFileChooser throws exception when trying to access a CD drive on Vista.
    6190373    java    classes_swing    REGRESSION: AWT-EventQueue Deadlock AWTTreeLock/MetalUtils$GradientPainter
    6496144    java    classes_swing    REGRESSION: JCheckBox doesn't show on JToolBar under Windows L&F
    6317248    java    classes_util    (fmt) java/util/Formatter/Basic.java fails in hi_IN locale
    6480497    java    classes_util_i18n    (tz) Support tzdata2006n
    6497526    java    classes_util_i18n    (tz) Support tzdata2006p
    6490560    java    classes_util_i18n    (tz) Support tzdata2006o
    6485605    java    debugger    "com.sun.jdi.InternalException: Inconsistent suspend policy" in internal event handler
    6398636    java    install    Vista: JRE 5.0u8 installation failed with 1722 MSI error
    6405138    java    install    Vista: Add manifest to installers to run with elevated privileges
    6405147    java    install    Vista: Use registry key to pre-approve Active-X controls
    6433689    java    install    1.5.0_u7 has "shielded" exe in Windows Vista
    6495123    java    localization    [l10n] l10n meeesage update after deployment bug 6458761 is fixed
    6473331    java    rmi    rmic does not use manifest classpath
    6422509    java_deployment    download    Vista: disable change dialog for cache location ?
    6415321    java_deployment    general    Vista: Implement work around for Runtime.exec() problem in deployment
    6464051    java_deployment    general    InstallStats2 not sending full version for offline installers with 'failure' status
    6487916    java_deployment    general    IS2 : InstallComplete ping 'ic' with status 'success' is not posted in silent mode
    6394747    java_deployment    update    Vista: Java auto-update is not enabled on Windows Vista
    6406822    java_deployment    update    Vista: jusched.exe requires user approval with every login
    6495720    java_deployment    update    jusched.exe needs to be signed
    6489165    java_plugin    iexplorer    dead lock occurs by pressing "refresh" many times in 5.0u10b02
    6206442    java_plugin    other    REGRESSION: JFrame goes to back after toFront() is called when Applet starts
    6487334    java_plugin    other    vista: changes made by java control panel has no effect
    6477348    java_plugin    other    browser become non-responsive if we switch page during applet JAR initial download
    6516845    java_plugin    plugin    Installation issues with u10 on IE java.com
    6493637    javawebstart    general    TCK-jnlp 1.5: jnlp_file/resources/j2se/index.html#vmArgs hang in some cases.

++++ javamail:

  - building from source now (new license)
  - manual not longer included (not included in the source code)

++++ jboss4:

  - package creates the following sub packages now: ejb, ejb-javadoc, jms, jms-javadoc

++++ kdelibs3:

  - fix typo in xauth localhostname patch which inverts the logic

++++ kernel-bigsmp:

  - update to 2.6.21-rc4-git5, usb, libata, s390 fixes
  - patches.drivers/libata-sata_sil24-pci_id-for-adaptec-1220SA:
    sata_sil24: Add Adaptec 1220SA PCI ID.

++++ kernel-default:

  - update to 2.6.21-rc4-git5, usb, libata, s390 fixes
  - patches.drivers/libata-sata_sil24-pci_id-for-adaptec-1220SA:
    sata_sil24: Add Adaptec 1220SA PCI ID.

++++ kernel-source:

  - update to 2.6.21-rc4-git5, usb, libata, s390 fixes
  - patches.drivers/libata-sata_sil24-pci_id-for-adaptec-1220SA:
    sata_sil24: Add Adaptec 1220SA PCI ID.

++++ kernel-syms:

  - update to 2.6.21-rc4-git5, usb, libata, s390 fixes
  - patches.drivers/libata-sata_sil24-pci_id-for-adaptec-1220SA:
    sata_sil24: Add Adaptec 1220SA PCI ID.

++++ kernel-xen:

  - update to 2.6.21-rc4-git5, usb, libata, s390 fixes
  - patches.drivers/libata-sata_sil24-pci_id-for-adaptec-1220SA:
    sata_sil24: Add Adaptec 1220SA PCI ID.

++++ kernel-xenpae:

  - update to 2.6.21-rc4-git5, usb, libata, s390 fixes
  - patches.drivers/libata-sata_sil24-pci_id-for-adaptec-1220SA:
    sata_sil24: Add Adaptec 1220SA PCI ID.

++++ libbeagle:

  - Specify the gtk-doc directory in the libbeagle-doc package, to
    fix the build.

++++ ncurses:

  - Remove unused ed BuildRequires.

++++ openldap2:

  - removed krb5-devel BuildRequires (support via cyrus-sasl)

++++ openldap2-client:

  - removed krb5-devel BuildRequires (support via cyrus-sasl)

++++ perl-Bootloader:

  - implemented DM RAID functionality, using devicemapper instead
    of udev (to "emulate" yast2-storage)

++++ pm-utils:

  - update to current CVS
  - module unloading and config handling fix integrated upstream
  - pm-utils-suse: be more careful selecting the kernel for resume
    (bug 256105)

++++ sash:

  - fix for new kernel headers

++++ x11-tools:

  - fix typo (thanks to Arvin Schnell for noticing).

++++ xorg-x11-driver-video:

  - xf86-video-nv-NVSync.diff:
    * NVSync hangs in EnterVT, so don't call it there.

++++ yast2-packager:

  - display timeout value in seconds instead of milliseconds
    (#223808)

------------------------------------------------------------------
------------------  2007-3-19  -  Mar 19 2007  -------------------
------------------------------------------------------------------

++++ Mesa:

  - no longer apply bug-211314_mesa-context.diff (Bug #211314,
    commment #114)
  - added different Mesa patches (Bug #211314, comments #114/#115)

++++ NetworkManager-openvpn:

  - Replace all occurrences of "/opt/gnome" with "%{prefix}"

++++ NetworkManager-vpnc:

  - Replace all occurrences of "/opt/gnome" with "%{prefix}"

++++ OpenOffice_org:

  - added Tango icon theme; used by default in GNOME, n#254855

++++ aaa_base:

  - Do not require suse-build-key.
  - Do not mess with roots keychain.

++++ apache2:

  - Apache - Support for FATE #300687: Ports for SuSEfirewall added
    via packages (#246929)

++++ at:

  - readd at-3.1.8-pam.diff: (#222563)
    The breaking part of the setreuid(daemon_uid,daemon_uid) in
    perm.c. uid 25 can not write audit messages. As upstream removed
    the pam code in perm.c aswell, we do the same here.

++++ compiz:

  - gconf scriptlets, use %find_lang, dependiences

++++ control-center2:

  - Fixed devel dependencies.

++++ ddrescue:

  - Update to dd_rescue-1.13:
    * Write full block of '0' for read errors and non-seekable
    output. (#255671)

++++ gnome-main-menu:

  - Fix for 251206 - crash.
    Update to version 0.9.7

++++ gnome-session:

  - Update to 2.18.0
    * Drop legacy http_proxy support entirely since it is causing too
    many issues (Ray Strode)
    * Remove invalid category in .desktop file (Christian Kirbach)
    * Use the correct rate when a X resolution is configured
    (Jens Granseuer)
    * Don't exit when there's an unexpected dbus disconnection
    (Jan de Groot)
    * Translations

++++ kdelibs3:

  - update 3_5_BRANCH.diff (#255753)

++++ kernel-bigsmp:

  - enable pata drivers for cmd64x, mpc52xx, via and winbond on ppc32

++++ kernel-default:

  - enable pata drivers for cmd64x, mpc52xx, via and winbond on ppc32

++++ kernel-source:

  - enable pata drivers for cmd64x, mpc52xx, via and winbond on ppc32

++++ kernel-syms:

  - enable pata drivers for cmd64x, mpc52xx, via and winbond on ppc32

++++ kernel-xen:

  - enable pata drivers for cmd64x, mpc52xx, via and winbond on ppc32

++++ kernel-xenpae:

  - enable pata drivers for cmd64x, mpc52xx, via and winbond on ppc32

++++ lftp:

  - removed RPM_BUILD_ROOT from post-install script

++++ udev:

  - new upstream release 107
  - introduce symlink priorities for devices
  - dasd_id is gone, s390-tools provides dasdinfo and rules
  - append target:lun to usb-storage devices (#255757)
  - persistent tape rules
  - install (but disable for now) upstream persistent network-interface
    and persistent optical drive link rules
  - don't install evil static lib from libvolume_id-devel

++++ lukemftp:

  - removed RPM_BUILD_ROOT from post-install script

++++ mkinitrd:

  - Fixup regex for block_driver (#255384)
  - Login into all iSCSI ports (#248495)
  - Disable asynchronous target scan for FC (#241945)

++++ ncurses:

  - Make gpm support via libdl and gpm BuildRequires explicit.

++++ openssh:

  - fixed default for ChallengeResponseAuthentication [#255374]

++++ parted:

  - Update to new version 1.8.3
    libparted:
  - Sync the linux-swap header according to the Linux kernel sources.
  - Enable support for swsusp partitions and the ability to differentiate
    between old and new versions of linux-swap partitions.
  - Preserve starting sector for primary NTFS 3.1 partitions on DOS disklabel.
  - Handle 2048-byte logical sectors in linux_read().
  - Don't assume logical sector size is <= 512B on AIX.
  - Detect HFS write failure.
  - Added HFS+ resize support.
    parted/partprobe:
  - Use fputs() and putchar() in place for printf(), when possible.
  - Detect/report stdout write errors.
  - Accept the --version and --help options.
  - Fix memory leaks in parted(8).

++++ perl-Bootloader:

  - Added mechanism to create failsafe boot entries appropriately
  - Corrected handling for default boot entries

++++ planner:

  - Build with evolution-2.10.

++++ rpm:

  - do not require build-key

++++ qtcurve-gtk2:

  - update to 0.48.1:
    1. Draw light border around all of progressbar.
    2. Fix look of vertical progressbars.
    3. Work-around for SWT combos.

++++ quota:

  - fixed compiling some files without RPM_OPT_FLAGS and -fPIE
    (cflags.diff)
  - patch quota-%{version}.diff renamed to quota-%{version}-mode.diff

++++ sax2:

  - add eurosign: group to the XKB options setup (#181116)

++++ suse-build-key:

  - merge suse-build-key keyring to roots gpg pubring

++++ wireless-tools:

  - update to version 29pre17, changes:
    * Tweak man pages : interface is often optional [iwlist.8/iwspy.8]
    * Drop obsolete port/roam code from [iwpriv]
    * Fix bug where all auth masks use iw_auth_capa_name [iwlist]
    * Fix iw_scan()/iw_process_scan() for non-root -> EPERM [iwlib]
    * Fix "iwconfig nickname" (was abreviated) [iwconfig]
    * Invalid mode from driver segfault iwlist scan [iwlist]
    * Replace index() with strchr() [iwlib/iwconfig/iwpriv]
    * Parser/printf/sscanf fixes and optimisation [iwconfig]
    * Fix bug extracting mountpoint of sysfs (wrong field) [ifrename]
    * Read sysfs symlinks transparently [ifrename]
    * Fix README header to talk about ifrename [README]
    * Add 'prevname' selector for udev compatibility [ifrename]
    * Read parent directory names in SYSFS selector [ifrename]
    * Make dry-run output compatible with udev [ifrename]
    * Update man page with useful SYSFS selectors [iftab.5]
    * Factorise wildcard rewrite '*'->'%d' to hide it from -D -V [ifrename]
    * Reorganise sysfs description, better wording [iftab.5]
    * Enhance explanation of arp and iwproto [iftab.5]
    * Band-aid for the 64->32bit iwevent/iwscan issues [iwlib]
    * Better band-aid for the 64->32bit iwevent/iwscan issues [iwlib]
    * Add udev compatible output, print new DEVPATH [ifrename]
    * Fix DEVPATH output to use the real devpath from udev [ifrename]
    * Add udev rules for ifrename integration [19-udev-ifrename.rules]

++++ wpa_supplicant:

  - adjusted include path for madwifi

++++ xorg-x11-driver-video:

  - updated nv driver to release 2.0.0
    * This release adds support for the NVIDIA GeForce 8800 GTX,
    GeForce 8800 GTS, Quadro FX 4600, and Quadro FX 5600 GPUs.
    It also fixes a few bugs for earlier graphics cards.
  - obsoletes patches:
    * xf86-video-nv-DAC.diff
    * xf86-video-nv-corruption-cursor.diff
    * xf86-video-nv-switchmode-freeze.diff
    * xf86-video-nv-vesafb-vga.diff

++++ xorg-x11-server:

  - no longer apply bug-211314_mesa-context.diff,
    bug-211314_p_drawable_privclean.diff (Bug #211314, comment #114)
  - added different Mesa patches (Bug #211314, comments #114/#115)

++++ yast2:

  - fixed selecting proper dialog in DialogTree in case of widget
    validation failed (#253488)

++++ yast2-ca-management:

  - inserted rnc schema file reference into desktop file (#220816)
  - 2.14.5

++++ yast2-control-center:

  - Added split-provides (bug #255368)
  - V 2.15.5
  - Added support for saving log files via Shift-F8 (#225707)

++++ yast2-control-center-gnome:

  - Fix for 254718 - additional menu entries
    Fix for 252799 - merge in additional menu files

++++ yast2-installation:

  - Creating an empty /etc/sysconfig/displaymanager in desktop_finish
    if the sysconfing doesn't exist (minimal installation).
  - Handling missing .proc.parport.devices agent (RPM recommends
    yast2-printer for that).

++++ yast2-registration:

  - improved dependecies in spec file (#253975)
  - 2.14.3

++++ yast2-storage:

  - activate EVMS if no trivial EVMS maps are present

++++ yast2-xml:

  - an empty systemID string removes the DTD declaration from the
    generated XML file (#254836)
  - 2.15.0

------------------------------------------------------------------
------------------  2007-3-18  -  Mar 18 2007  -------------------
------------------------------------------------------------------

++++ alsa-firmware:

  - /lib/firmware is now in filesystem package.

++++ bluez-firmware:

  - remove /lib/firmware directory from filelist (in filesystem)

++++ ivtv:

  - removed /lib/firmware directory from filelist (in filesystem)

++++ kernel-bigsmp:

  - update to 2.6.21-rc4-git3
    supported flag moved from U to N

++++ kernel-default:

  - update to 2.6.21-rc4-git3
    supported flag moved from U to N

++++ kernel-source:

  - update to 2.6.21-rc4-git3
    supported flag moved from U to N

++++ kernel-syms:

  - update to 2.6.21-rc4-git3
    supported flag moved from U to N

++++ kernel-xen:

  - update to 2.6.21-rc4-git3
    supported flag moved from U to N

++++ kernel-xenpae:

  - update to 2.6.21-rc4-git3
    supported flag moved from U to N

++++ pcmciautils:

  - removed directory /lib/firmware from filelist (in filesystem)

++++ qlogic-firmware:

  - removed directory /lib/firmware from filelist (in filesystem)

++++ xorg-x11-driver-video:

  - updated optional RANDR 1.2 drivers radeon/nv/mga (2007-03-18):
    * "First stab at RandR 1.2. This will only work on G450/G550
    cards."

------------------------------------------------------------------
------------------  2007-3-17  -  Mar 17 2007  -------------------
------------------------------------------------------------------

++++ i4l-base:

  - /lib/firmware is now in filesystem package.

++++ samba:

  - Fix segfault and memleak in wb_lookup_rids(); bso [#4434].

++++ ksudoku:

  - update to version 0.4:
    * Added support for custom shaped sudokus
    * Samurai sudoku
    * Jigsaw sudoku, XSudoku, 4x4
    * Undo/redo
    * Added new export system (print multiple puzzles in same page)
    * File format is now XML
    * Added new welcomescreen and settings dialog
    * Internal structure changed

++++ libqt4:

  - fix headers for more recent gcc's

++++ libqt4-devel-doc-data:

  - fix headers for more recent gcc's

++++ libqt4-sql-plugins:

  - fix headers for more recent gcc's

++++ librsvg:

  - Require python for rsvg command (#242072).

++++ wine:

  - Upgraded to upstream 0.9.33:
  - Many Direct3D fixes and performance improvements.
  - More comctl32 tests and some bug fixes.
  - Compatibility improvements in cmd.exe.
  - Still more fixes to builtin OLE.
  - Support for process control on Solaris.
  - Lots of bug fixes.

++++ xorg-x11-libs:

  - updated libXinerama to release 1.0.2
    * Add support for source code checkers such as sparse & lint
    * Clear sparse warnings & error
    * Remove unneeded #include of <stdio.h>
    * Add man page for Xinerama API functions

++++ xorg-x11-driver-video:

  - xf86-video-nv-switchmode-freeze.diff:
    * Avoid hanging when switching modes on some nv4x cards
    (Bug #235171)

------------------------------------------------------------------
------------------  2007-3-16  -  Mar 16 2007  -------------------
------------------------------------------------------------------

++++ abiword:

  - Added c++ packages to BuildRequires.

++++ atmel-firmware:

  - removed /lib/firmware from filelist

++++ autoyast2:

  - requires in spec file fixed
  - partition shrinking code fixed (space after shrink
    calculation was wrong)
  - 2.15.4

++++ binutils:

  - Update to binutils CVS HEAD.

++++ dbus-1:

  - display error messages from dbus-launch

++++ dvb:

  - remove /lib/firmware as it's now in the filesystem package

++++ kdebase3:

  - update Kickoff from SVN:
    * don't allow "Switch/Reboot to foo" items as Favorites
    * distinct icons for suspend to ram and disk (#229966)
  - fix "cannot login with KDM after wrong password" (#229245)
  - fix kcmkdm not defaulting to Grub (#230715)

++++ gdb:

  - Update single stepping patch [#154486].

++++ grub:

  - Make fsys_ext2fs recognise Zen partitions (Bug#255006)
  - handle /dev/disk/by-id in device.map (Bug#248216)
  - add some on-board IDs for eepro100 (Bug#242660)
  - fix grubonce entry# recognition (Bug#242992)
  - make it clear that grub-install is not supported by us,
    rename the script and call yast2 and
    grub --batch < /etc/grub.conf instead
  - fix the old, unsupported grub-install to recognise LABEL and UUID
    (Bug#181830)

++++ hwinfo:

  - better cpu detection (#252183)

++++ imap:

  - fix ports in firewall file

++++ ipw-firmware:

  - removed /lib/firmware from filelist

++++ k3b:

  - update to final 1.0 release, include i18n tarball

++++ kernel-bigsmp:

  - patches.drivers/ide-jmicron-match-class-if-libata-is-configured:
    jmicron: make ide jmicron driver play nice with libata ones
    (224784, 207707).
  - patches.suse/add-IV-generation-method-null-to-dm-crypt:
    [PATCH] add IV generation method null to dm-crypt (302001).

++++ kernel-default:

  - patches.drivers/ide-jmicron-match-class-if-libata-is-configured:
    jmicron: make ide jmicron driver play nice with libata ones
    (224784, 207707).
  - patches.suse/add-IV-generation-method-null-to-dm-crypt:
    [PATCH] add IV generation method null to dm-crypt (302001).

++++ kernel-source:

  - patches.drivers/ide-jmicron-match-class-if-libata-is-configured:
    jmicron: make ide jmicron driver play nice with libata ones
    (224784, 207707).
  - patches.suse/add-IV-generation-method-null-to-dm-crypt:
    [PATCH] add IV generation method null to dm-crypt (302001).

++++ kernel-syms:

  - patches.drivers/ide-jmicron-match-class-if-libata-is-configured:
    jmicron: make ide jmicron driver play nice with libata ones
    (224784, 207707).
  - patches.suse/add-IV-generation-method-null-to-dm-crypt:
    [PATCH] add IV generation method null to dm-crypt (302001).

++++ kernel-xen:

  - patches.drivers/ide-jmicron-match-class-if-libata-is-configured:
    jmicron: make ide jmicron driver play nice with libata ones
    (224784, 207707).
  - patches.suse/add-IV-generation-method-null-to-dm-crypt:
    [PATCH] add IV generation method null to dm-crypt (302001).

++++ kernel-xenpae:

  - patches.drivers/ide-jmicron-match-class-if-libata-is-configured:
    jmicron: make ide jmicron driver play nice with libata ones
    (224784, 207707).
  - patches.suse/add-IV-generation-method-null-to-dm-crypt:
    [PATCH] add IV generation method null to dm-crypt (302001).

++++ libwpd:

  - update to version 0.8.9:
    * Fix a bug in WP1 document type detection where we could try to
    seek to a negative place in document (Fridrich)
    * Fix a regression wrt. 0.8.7 preventing the conversion of tab table
    in WP1 and WP3 file-format (Fridrich)
    * Fixed several overflow bugs reported by iDefense. An attacker
    could create a carefully crafted Word Perfect file that could
    cause an application linked with libwpd, such as OpenOffice, to
    crash or possibly execute arbitrary code if the file was opened
    by a victim. (CVE-2007-0002) (iDefense's Sean Larsson, Fridrich)

++++ liferea:

  - Added c++ packages to BuildRequires.

++++ open-iscsi:

  - Fix typo in output of fwparam_ibft (#250445)

++++ openSUSE-release:

  - Alpha2plus.

++++ openswan:

  - Bug #234042: Applied proposed patch fixing bogus crypto helper
    management code. The number of crypto helpers (nhelpers option)
    has to be set at least to number of tunnels/2 + 1 to take effect.
    New patch file: openswan_15_crypto_helper_fix.dif
  - Bug #234042: Applied fix to display correct crypto helper number
    in debug output of the pluto_do_crypto_op function. Changed the
    default of the nhelpers option to 0 (instead of number of CPU-1).
    This disables the crypto helpers by default (inline calculation).
    New patch file: openswan_16_nhelpers_default.dif

++++ patchutils:

  - fix rediff to actually work

++++ pm-utils:

  - fix module unloading, pm-utils-0.99.2-fix-modunload.diff
  - update to current CVS
  - pm-utils-0.99.2-fix-stopservice.diff integrated upstream
  - fix the handling of config files in /etc/pm/config.d/ (they were
    simply ignored before)

++++ qt3:

  - call XftDefaultSubstitute (#255330)

++++ qt3-devel-doc:

  - call XftDefaultSubstitute (#255330)

++++ qt3-extensions:

  - call XftDefaultSubstitute (#255330)

++++ qtcurve-gtk2:

  - update to 0.48:
    1. Fix coloured mouse over for glass styles.
    2. Re-introduce the following options:
    Roundedness
    List view lines
    Striped progress bars
    Drawing of statusbar frames
    3. Draw light border around progressbar elements
    when not in flat/raised/inverted mode.
    4. Oval shaped sliders when fully round, otherwise rectangular
    5. Proper ythickness settings for frames.
    6. By default do not alter user's userChrome.css file. This now
    has to be explicitly enabled via --enable-mozilla-mods
    ./configure option.

++++ sabayon:

  - Updated to sabayon-2.18.0.
  - Removed sabayon-2.12.3-use-subprocess.patch and
    sabayon-2.12.3-notice-dir-creation.patch, as they are already in the
    base tarball.
  - Removed sabayon-2.12.3-python-site-modules-path.patch, since it was
    useful only when installing outside of /usr.
  - Updated sabayon-2.12.3-ooo-support.patch to apply to the new sources.

++++ sax2:

  - include libhd changed v13.29

++++ strace:

  - Remove obsolete patch.

++++ uvcvideo:

  - don't clean the buildroot before installing
    (http://lists.opensuse.org/opensuse-packaging/2007-02/msg00005.html)

++++ wesnoth:

  - updated to maintenance release 1.2.3
  - from changelog:
    * campaigns:
    * Heir to the Throne:
    * The Elvish Lord and Elvish High Lord have halo's again (patch #682)
    * graphics
    * items with a halo have their halo hidden when under a shroud (bug #8523)
    * updates the invisible icon of an unit when moving or moving the mouse
    over the unit, then selecting the location to move to there are still
    glitches (partial fix for bug #8107)
    * fixed some cases where fog was updated without being redrawn
    * user interface:
    * made some tooltips visible again (bug #6702 and bug #8380)
    * multiplayer maps:
    * revised maps: Castle Hopping Isle
    * Wesbowl: the respawned units are fully healed again (bug #7776)
    * language and i18n:
    * udated translations: Czech, Danish, Dutch, Esperanto, French, German,
    Hungarian, Italian, Japanese, Polish, Portuguese (Brazil), Serbian, Slovak
    * new translations: Indonesian
    * WML engine
    * fixed era events not working on non hosts

++++ wesnoth-data-base:

  - add SDL_net-devel
  - updated to maintenance release 1.2.3, changelog:
    * campaigns:
    * Heir to the Throne:
    * The Elvish Lord and Elvish High Lord have halo's again (patch #682)
    * graphics
    * items with a halo have their halo hidden when under a shroud (bug #8523)
    * updates the invisible icon of an unit when moving or moving the mouse
    over the unit, then selecting the location to move to there are still
    glitches (partial fix for bug #8107)
    * fixed some cases where fog was updated without being redrawn
    * user interface:
    * made some tooltips visible again (bug #6702 and bug #8380)
    * multiplayer maps:
    * revised maps: Castle Hopping Isle
    * Wesbowl: the respawned units are fully healed again (bug #7776)
    * language and i18n:
    * udated translations: Czech, Danish, Dutch, Esperanto, French, German,
    Hungarian, Italian, Japanese, Polish, Portuguese (Brazil), Serbian, Slovak
    * new translations: Indonesian
    * WML engine
    * fixed era events not working on non hosts

++++ xorg-x11-driver-video:

  - xf86-video-nv-corruption-cursor.diff:
    * fix GXxor corruption on nv4x (Bug #246421)
    * Hide the cursor in CloseScreen. Otherwise, if we're restoring a
    graphical framebuffer mode the cursor will still be visible.

++++ xosview:

  - More one thin-skinned Gcc42
  - Gcc42 seems to be thin-skinned

++++ yast2-core:

  - Files referenced from /usr/share/doc/packages/yast2-core/libycp/index.html
    were not installed due to a typo (#235111).

++++ yast2-gtk:

  - upgrade to yast2-gtk-2.15.1, several fixes, including #247682, #247683

++++ yast2-trans-zu:

  - Update to version 2.13.4.
  - Update to version 2.13.3.

------------------------------------------------------------------
------------------  2007-3-15  -  Mar 15 2007  -------------------
------------------------------------------------------------------

++++ OpenOffice_org:

  - updated ooo-build to 2.1.8:
    + qstart applet disappeared after the session restart [n#252242]
    + add "openSUSE" to the Novell dictionary [n#251444]
    + add missing translations of the "Zoom" dialog
    + really install hyph_hr_HR, hyph_nb_NO, hyph_nn_NO

++++ beagle:

  - Update to 0.2.16.3:
  - Updated translations from the Novell language team.
  - Fix the archive filter to not throw exceptions of a large or
    broken file is skipped.
  - Fix the archive filter to not leave behind files in /tmp if
    extracting an archive fails for some reason. (bgo #415056)
  - Fix a bug in which an idle daemon wouldn't shut down when the
    user logged out.  We now more closely monitor the X
    connection.
  - Fix a bug in which prohibited date queries didn't work at
    all.
  - Set our process name in beagle-extract-content, so that it
    doesn't show up as "mono".
  - Fix a memory leak by reusing our inotify callback.
  - Start beagled with the --replace option in our autostart
    script, so that any old daemons left behind are replaced on
    subsequent logins.
  - Install HTML docs into new libbeagle-doc package.

++++ control-center2:

  - Update to version 2.17.91
  - Refresh a number of patches.
  - Bug fixes include bugzilla.gnome.org #402797, #358106, #380991,
    [#395383], #401004, #397905...

++++ cyrus-imapd:

  - added Service definitions for SuSEfirewall2 (Bug #251654)

++++ update-desktop-files:

  - bump version

++++ dhcp:

  - Bug #181212: Improved dhcp init-script to copy directories
    specified in the DHCPD_CONF_INCLUDE_FILES sysconfig variable
    into the chroot jail.

++++ filesystem:

  - add /lib/firmware

++++ gdb:

  - Fix altivec vector return location [#250004].

++++ gfxboot:

  - basic rtl language support

++++ hal:

  - fixed spec file

++++ inst-source-utils:

  - patched copy-sources.sh

++++ isns:

  - Update to version 2.0-04 - add socket timeout (comm.c). This fixes
    the defects against the isnsadm from hanging when invalid ip address

++++ kernel-bigsmp:

  - enable KVM at request of the L2 group.
  - patches.drivers/ide-backport-hpt366-from-devel: ide: backport
    hpt366 from devel tree (244502).

++++ kernel-default:

  - enable KVM at request of the L2 group.
  - patches.drivers/ide-backport-hpt366-from-devel: ide: backport
    hpt366 from devel tree (244502).

++++ kernel-source:

  - enable KVM at request of the L2 group.
  - patches.drivers/ide-backport-hpt366-from-devel: ide: backport
    hpt366 from devel tree (244502).

++++ kernel-syms:

  - enable KVM at request of the L2 group.
  - patches.drivers/ide-backport-hpt366-from-devel: ide: backport
    hpt366 from devel tree (244502).

++++ kernel-xen:

  - enable KVM at request of the L2 group.
  - patches.drivers/ide-backport-hpt366-from-devel: ide: backport
    hpt366 from devel tree (244502).

++++ kernel-xenpae:

  - enable KVM at request of the L2 group.
  - patches.drivers/ide-backport-hpt366-from-devel: ide: backport
    hpt366 from devel tree (244502).

++++ libbeagle:

  - Update to 0.2.16.3:
  - Updated translations from the Novell language team.
  - Fix the archive filter to not throw exceptions of a large or
    broken file is skipped.
  - Fix the archive filter to not leave behind files in /tmp if
    extracting an archive fails for some reason. (bgo #415056)
  - Fix a bug in which an idle daemon wouldn't shut down when the
    user logged out.  We now more closely monitor the X
    connection.
  - Fix a bug in which prohibited date queries didn't work at
    all.
  - Set our process name in beagle-extract-content, so that it
    doesn't show up as "mono".
  - Fix a memory leak by reusing our inotify callback.
  - Start beagled with the --replace option in our autostart
    script, so that any old daemons left behind are replaced on
    subsequent logins.
  - Install HTML docs into new libbeagle-doc package.

++++ libvisual-plugins:

  - add patch to fix array overrun (#244546)

++++ lkcdutils:

  - accidentally removed binutils-devel from BuildRequires, fixing
    this

++++ novfs:

  - [Bugzilla 243609] removed "Requires: kernel-source" from spec file

++++ openldap2:

  - added Service definitions for SuSEfirewall2 (Bug #251654)

++++ openldap2-client:

  - added Service definitions for SuSEfirewall2 (Bug #251654)

++++ opie:

  - fixed: 'warning: array subscript is above array bounds' (#252562)
  - opie-2.4_array-subscript.patch
  - pam_opie-0.21_array-subscript.patch

++++ pam_krb5:

  - drop privileges in _pam_krb5_sly_maybe_refresh when
    running in set uid and restore them on exit of this
    function. This enables us to refresh the ticket
    after screen un-lock.
    [#124611]

++++ qt3:

  - update font fix patch (#244579)

++++ qt3-devel-doc:

  - update font fix patch (#244579)

++++ qt3-extensions:

  - update font fix patch (#244579)

++++ solfege:

  - fix build (incompatibility with the recent xml2po).

++++ traffic-vis:

  - edited makefile to install as current user (not root)

++++ util-linux:

  - mount: Let swapon automatically reinitialize a suspended
    swap partition [#254437]

++++ uvcvideo:

  - removed supplements tags
  - added real author
  - fixed modaliases

++++ xorg-x11:

  - /etc/X11/xdm/Xsetup:
    * enable external output on laptops or when configured via
    sysconfig (DISPLAYMANAGER_RANDR_MODE_<ext>); works only with
    drivers, which support RANDR 1.2

++++ xorg-x11-driver-video:

  - xf86-video-nv-vesafb-vga.diff:
    * Fix VGA output with vesafb on nv4x and G7x GPUs (Bug #160812)

++++ xorg-x11-server:

  - Remove bug197190-ia64.diff, fix x86emu instead.

++++ yast2-ldap-server:

  - Fixed RPM dependencies (Bug #253525)a
  - Version 2.15.4

++++ yast2-storage:

  - fix sort order for deleted partition with same number (#254599)
  - prevent removal of to-be-created logical partitions if extended
    partition gets removed (#254599)
  - version 2.15.6

++++ yast2-trans-af:

  - Update to version 2.13.4.

++++ yast2-trans-xh:

  - Update to version 2.13.3.

------------------------------------------------------------------
------------------  2007-3-14  -  Mar 14 2007  -------------------
------------------------------------------------------------------

++++ Mesa:

  - removed libIndirectGL.so (Bug #254317)
  - README.updates: new location of DRI drivers (Bug #254318)

++++ alsa:

  - update alsa-lib-1.0.14rc3
    * include last fixes
    * fix ladspa none policy
    * initialize dl handles where needed
    * fix error code in timer_query
    * fix compile warnings
    * add support for symbol prefixes in shlib
    * add card_name function
    * enable dmix for usb-audio
    * multi-plugin fixes from HG version
  - update alsa-utils-1.0.14rc2
    * include last fixes
  - fix LFS ops on alsa-oss wrapper

++++ alsa-firmware:

  - updated to version 1.0.14rc3:
    * updated asihpi firmwares
    * added msnd-pinnacle firmwares
    * fix usx2yaudio udev rules to call with proper -m option

++++ alsa-plugins:

  - updated to version 1.0.14rc3:
    * fix input/output_frames calculation in samplerate plugin
    * added speex rsampler plugin

++++ alsa-tools:

  - update to version 1.0.14rc3:
    * us428control bumped up to 0.4.6
    * ld10k1 ABI compat fixes
    * fix as10k1 max number of macros

++++ autoyast2:

  - "close small gap" code removed
    makes trouble on small harddisks

++++ compiz:

  - fixed: gconf scriptlets, use %find_lang, dependiences

++++ coreutils:

  - su: actually use /etc/pam.d/su-l when running su - (#254428)

++++ dejavu:

  - update to 2.15.
    + improved hinting in Sans Oblique to deal with some spacing
    and inconsistency issues (by Ben Laenen)
    + added anchors to Mono Book, and added GPOS rules for combining
    diacritics to show up as zero width glyphs (by Ben Laenen)
    + removed U+F21C (PUA), it was copy of U+2C64 from Latin
    Extended C (by Eugeniy Meshcheryakov)
    + added U+27E6-U+27E7 to Sans (by Gee Fung Sit 薛至峰)
    + added U+1407, U+1409, U+140C-U+141B, U+141D-U+1425,
    U+1427-U+142E, U+1435-U+1438, U+143A-U+1449, U+1452, U+1454,
    U+1457-U+1465, U+1467-U+146A, U+1471, U+1474-U+1482,
    U+1484-U+1488, U+148F, U+1492, U+14A0, U+14A2, U+14A9,
    U+14AC-U+14BA, U+14BC, U+14BD, U+14C6, U+14C9-U+14CF, U+14D1,
    U+14D2, U+14D9, U+14DC-U+14E9, U+14EC, U+14F3, U+14F6-U+1504,
    U+1506, U+1507, U+1510-U+1525, U+152C, U+152F-U+153D, U+1540,
    U+1541, U+154E, U+154F, U+1552, U+155B, U+155C, U+1568,
    U+1569, U+1574-U+157B, U+157D, U+15A7-U+15AE, U+1646,
    U+1647 (by Eugeniy Meshcheryakov)
    + fixed several contours to not intersect, use horizontal or
    vertical tangents, use integer coordinates, etc in
    Sans Book (by Denis Jacquerye)
    + added U+0496-U+0497 in Serif (by Andrey V. Panov)

++++ dhcp:

  - Bug #247365: Added installation of dhcp-server SuSEfirewall2
    service definition file.

++++ dirmngr:

  - update to 0.9.7
  - remove builtin pth copy
  - package man pages
  - fix build

++++ gnome-main-menu:

  - back to 0.6.3

++++ gnome-session:

  - Fixed at-spi-registryd path (#254403).

++++ gpg:

  - upgrade to version 1.4.7
    * security fix: signing issues, (bugzilla#251605)
    * more use of mpi library
    * more configure tests/variables
  - adapted files_are_digests patch
  - use RPM_OPT_FLAGS for every build tool too

++++ hal:

  - updated to actual HAL and hal-info git master:
  - this package include now fixes for there b.n.c bugs: #205669
    and #145416
  - removed upstream gone patches:
  - hal-fix-compiler_warning_dell-addon.diff
  - hal-fix-compiler_warning_storage-cleanup-mountpoint.diff
  - hal-fix-compiler_warning_libhal.diff
  - hal-fix-compiler_warning_create_cache.diff
  - hal-fix-compiler_warning_UID_data_type.diff
  - hal-fix-libhal_validate_parameter_fd.o_bug10133_v2.diff
  - added new patch:
  - hal-add-cdrom_capabilities.diff: add more information about
    cdrom devices and capabilities

++++ hostap-utils:

  - split hostap-utils off into own package

++++ hostapd:

  - split off hostapd in its own package
  - update to version 0.5.7, changes (shortened):
    * fixed EAP-PSK bit ordering of the Flags field
    * fixed configuration reloading (SIGHUP) to re-initialize WPA PSKs
    * fixed IPv6 connection to RADIUS accounting server
    * added support for configuring and controlling multiple BSSes per
    radio interface (bss=<ifname> in hostapd.conf)
    * added support for dynamic VLAN configuration
    * driver_madwifi: fixed configuration of unencrypted modes
    * added preliminary implementation of IEEE 802.11w/D1.0 (management
    frame protection)
    * fixed session timeout processing with drivers that do not use
    ieee802_11.c (e.g., madwifi)
    * added 'hostapd_cli new_sta <addr>' command for adding a new STA
    into hostapd
    * fixed hostapd to add PMKID KDE into 4-Way Handshake Message 1
    when using WPA2 even if PMKSA caching is not used
    * added -P<pid file> argument for hostapd to write the current
    process id into a file
    * added support for RADIUS Authentication Server MIB (RFC 2619)
    * added support for EAP Generalized Pre-Shared Key
    * fixed a segmentation fault when RSN pre-authentication was
    completed successfully
    * added support for EAP-SAKE
    * driver_madwifi: added support for getting station RSN IE from
    madwifi-ng svn r1453 and newer
    * fixed WPA message 3/4 not to encrypt Key Data field (WPA IE)
    * added ap_max_inactivity configuration parameter
    * added support for EAP expanded type (vendor specific EAP methods)
    * added support for using EAP-SIM pseudonyms and fast re-authentication
    * added support for EAP-AKA in the integrated EAP authenticator

++++ kasumi:

  - enable 64bit patch again.

++++ libidn:

  - update to 0.6.11:
    * The C# Libidn port was updated.
    * The Java code has been fixed to properly translate any
    non-ASCII dot into ".".

++++ libnet:

  - fixed permissions of man pages [#254335]

++++ libzypp:

  - If there is no valid solver result and NOT all resolvables ( other
    architecture) has been regarded, let the user decide making a new
    solver run with ALL available resolvables. Bug 223440
  - reducing logging (error -> debug)  bug 252921
  - Revision 5219

++++ lilo:

  - Package building requires gcc-32bit, not gcc41-32bit.

++++ mono-basic:

  - Ship prebuilt binaries for now.  Some runtime fixes are needed
    before vbnc will compile on all archs

++++ perl-Bootloader:

  - New kernels will now be put on top of menu.lst

++++ pm-utils:

  - update to version 0.99.2+ (CVS as of today)
  - move the executables from /etc/pm to /usr/lib/pm-utils
  - config file from /etc/pm/config to /usr/lib/pm-utils/defaults
  - many of our local fixes applied upstream
  - add pm-suspend-hybrid (currently a no-op, will do s2both)
  - add pm-is-supported that will show HAL what suspend modes are
    available
  - use bash for scripts, not sh
  - fix module load/unload problems with module names that have
    "-" and "_".

++++ xine-lib:

  - Security fix for #254374: DSO loader buffer overflow.
    CVE-2007-1387
  - BuildRequires fix (libcdio).

++++ xorg-x11:

  - xrandr_12_newmode.diff:
    * replaces xf86crtc_allowdual.diff in xorg-x11-server package

++++ xorg-x11-libs:

  - updated libXdamage to release 1.1.1
    * This release fixes the DSO versioning for the added ABI.

++++ xorg-x11-driver-input:

  - updated joystick driver to release 1.1.1:
    * Bugfix release. Made the module work again after a long while
    * No features added. Improvements will follow in next releases

++++ xorg-x11-driver-video:

  -  intel driver release 1.9.92 (2.0 RC2):
    * Major changes in this release include moving more code to the
    X Server, fixing 3D performance regressions, fixing Mac Mini
    DPMS, potential fixes for some LVDS issues on 855 and 915,
    fixes for many segfaults, and the off-by-default pageflipping
    support.
  - updated intel driver to current git master branch (2007-03-14)

++++ xorg-x11-server:

  - xserver 1.2.99.902 release:
    * Xprint: shorten font filename to fit in tar length limit
    * Move xf86SetSingleMode into X server from intel driver.
    * Add xf86SetDesiredModes to apply desired modes to crtcs.
    * Use EDID data to set screen physical size at server startup.
    * Allow relative positions to use output names or monitor
    identifiers.
    * Add xf86CrtcScreenInit to share initialization across drivers.
    * Add hw/xfree86/docs/README.modes, documenting new mode setting
    APIs.
    * Remove stale monitor data when output becomes disconnected.
    * Revert "Xprint includes a filename which is too long for tar."
    * Revert "Xext: Update device's lastx/lasty when sending a motion
    event with XTest."
    * Xext: Update device's lastx/lasty when sending a motion event
    with XTest.
  - xf86crtc_allowdual.diff no longer required; replaced by
    xrandr_12_newmode.diff in xrandr (xorg-x11 package)
  - bug197190-ia64.diff:
    * missing -DNO_LONG_LONG for IA64 (Bug #197190)

++++ yast2-ca-management:

  - added ca_mgm autoyast rnc schema file (#220816)
  - 2.14.4

++++ yast2-nfs-server:

  - Added CLI for setting parameters related to NFSv4 server.
    (nfs_server.ycp)
  - Modified the testsuite out files to reflect the changes made to
    NfsServer.ycp
  - 2.15.3

++++ yast2-storage:

  - add needed changes for bug #249764

------------------------------------------------------------------
------------------  2007-3-13  -  Mar 13 2007  -------------------
------------------------------------------------------------------

++++ aaa_base:

  - Fix of the fix for bugzilla #244788: be sure that the ~/.bashrc
    is sourced once, not more not less.

++++ avahi:

  - Rework the sub package split.  There is a new package, avahi-python,
    that contains all of the Python utilities.  This removes all Python
    dependencies from the base avahi package.  This fixes 245390.

++++ bzflag:

  - fixed 'warning: array subscript is below array bounds'
  - array_subscript.patch

++++ cairo:

  - Updated to version 1.4.0:
    * Performance improvements.
    * API additions.
    * Many bug fixes.
    * Documentation improvements.
  - Enabled XCB and DirectFB backends.

++++ compiz:

  - fixed: 'warning: array subscript is above array bounds'
  - array-subscript.patch

++++ dhcp:

  - Updated to dhcp-3.0.5-ldap-patch.gz, released on 2007-02-23
    fixing a parsing bug in dhcpd-conf-to-ldap.pl script to handle
    correctly quoted string containing spaces.
    Further, it includes our fixes and obsoletes following patches:
    * dhcp-3.0.5-ldap-patch-strncat.dif
    * dhcp-3.0.5-ldap-patch-casa-fix.dif
    * dhcp-3.0.5-ldap-patch-dhcp-cn.dif
    * dhcp-3.0.5-ldap-patch-schema.dif
    * dhcp-3.0.5-ldap-patch-nomd5.dif
    * dhcp-3.0.5-ldap-patch-referrals.dif
    * dhcp-3.0.5-ldap-patch-ssl-opts.dif
    * dhcp-3.0.5-ldap-patch-ldap_read.dif
  - Bug #250153: Fix for object order related parse error, that
    occured in case an dhcp-ldap object referencing a dhcp-tsigkey,
    class or failoverpeer object was parsed before the declaration
    of the referenced objects, because of the order in ldap result.
    New patch file: dhcp-3.0.5-ldap-patch_object-order.dif

++++ gdm:

  - Update to version 2.17.7
  - Removeupstreamed  gdm-autobuild-warning.patch,
    gdm-bufferoverrun.patch
  - Bug fixes, including bugzilla.gnome.org #335786, #400793,
    [#400698], #399486, #352263, #395790, #394421.

++++ gnome-panel:

  - Update to version 2.17.91
  - Remove and refresh patches
  - Bug fixes, including bugzilla.gnome.org #394893, #394896,
    [#351832], #395654, #359707, #372685.

++++ gsl:

  - Update to gsl-1.9:
    * Fixed the elliptic integrals F,E,P,D so that they have the
    correct behavior for phi > pi/2 and phi < 0.
    * New BFGS minimisation method gsl_multimin_fdfminimizer_vector_bfgs2
    based on the algorithm given by R.Fletcher in "Practical Methods
    of Optimisation" (2nd ed).
    * Beta functions gsl_sf_beta_e(a,b) and gsl_sf_lnbeta_e(a,b) now
    handle negative arguments a,b. New function gsl_sf_lnbeta_sgn_e
    for computing magnitude and sign of negative beta values.
    * gsl_cheb_eval_mode now uses the same error estimate as
    gsl_cheb_eval_err.
    * Improved gsl_sf_legendre_sphPlm_e to avoid underflow with large
    arguments.
    * Added updated Knuth generator, gsl_rng_knuthran2002, from 9th
    printing of "The Art of Computer Programming". See
    http://www-cs-faculty.stanford.edu/~knuth/news02.htm
    * The functions gsl_multifit_fsolver_set, gsl_multifit_fdfsolver_set
    and gsl_multiroot_fsolver_set, gsl_multiroot_fdfsolver_set now
    have a const qualifier for the input vector x.
    * gsl_sf_expint_E2(x) now returns the correct value 1 for x==0,
    instead of NaN.
    * The gsl_ran_gamma function now uses the Marsaglia-Tsang fast gamma
    method of gsl_ran_gamma_mt by default.
    * The matrix and vector min/max functions now always propagate any
    NaNs in their input.
    * Prevented NaN occuring for extreme parameters in
    gsl_cdf_fdist_{P,Q}inv and gsl_cdf_beta_{P,Q}inv
    * Corrected error estimates for the angular reduction functions
    gsl_sf_angle_restrict_symm_err and gsl_sf_angle_restrict_pos_err.
    * Corrected an error in the higher digits of M_PI_4 (this was beyond
    the limit of double precision, so double precision results are not
    affected).
    * gsl_root_test_delta now always returns success if two iterates are
    the same, x1==x0.
    * A Japanese translation of the reference manual is now available
    from the GSL webpage at http://www.gnu.org/software/gsl/ thanks to
    Daisuke TOMINAGA.
    * Added new functions for basis splines, see the "Basis Splines"
    chapter in the GSL Reference Manual for details.
    * Added new functions for testing the sign of vectors and matrices,
    gsl_vector_ispos, gsl_vector_isneg, gsl_matrix_ispos and
    gsl_matrix_isneg.
    * Fixed a bug in gsl_sf_lnpoch_e and gsl_sf_lnpoch_sgn_e which caused
    the incorrect value 1.0 instead of 0.0 to be returned for x==0.
    * Fixed cancellation error in gsl_sf_laguerre_n for n > 1e7 so that
    larger arguments can be calculated without loss of precision.
    * Improved gsl_sf_zeta_e to return exactly zero for negative even
    integers, avoiding less accurate trigonometric reduction.
    * Fixed a bug in gsl_sf_zetam1_int_e where 0 was returned instead of
  -1 for negative even integer arguments.
    * When the differential equation solver gsl_odeiv_apply encounters a
    singularity it returns the step-size which caused the error code from
    the user-defined function, as opposed to leaving the step-size
    unchanged.
    * Added support for nonsymmetric eigensystems
    * Added Mathieu functions

++++ inst-source-utils:

  - fixed source again - fixed script, too

++++ iptables:

  - added initial setting of KERNEL_DIR variable in %install section of spec file

++++ k3b:

  - update to 1.0rc7:
    * K3b now includes a VideoDVD kio slave. It can be used in Konqueror through the protocol videodvd:/
    to copy the files from a VideoDVD with on-the-fly decryption if libdvdcss is installed.
    (Be aware that in some countries it is not permitted to use libdvdcss.)
    * New Device menu containing all the actions possible for a device (like eject, unmount, ...).
    This includes the possibility of assigning shortcuts to these kind of actions.
    * K3b now warns if user parameters for external programs have been specified. This has been introduced
    because there were some bug report that were caused by faulty user parameters.
    * Cleaned up all the job classes: No job creates a widget anymore. This allows for non-GUI usage of libk3b.
    For example in a kioslave.
    * New option in the data project to not cache the inodes. That means it is possible to have multiple
    actual copies of the same file on one CD/DVD.
    * K3b now tries to disable stuff that might influence the burning process. This includes the KDED module
    mediamanager, SuSEPlugger, and automounting (currently supported: subfs, supermount).
    * New Audio Track source editor dialog to cut audio track sources at the beginning and the end.
    * Splitted "read retries" and "ignore read errors" for data and audio sectors in cd copy and set new
    defaults for audio sectors which make more sense: 5 retires and skip unreadable sectors.
    * New Mediamanager which makes K3b always know which device contains which medium. This makes medium handling
    more smooth and the user now selects a medium instead of a device.
    Other advantages:
  - No waiting time anymore when asking for information on media (including for example Audio CD ripping).
  - Nice default image filenames.
  - CD Copy: Enable/disable options based on the source medium
  - Automatically select newly inserted media as burning medium
    * DCOP call directBurn() now returns a boolean value stating if the process could be started.
    * New DCOP calls cddaRip(), videocdrip(), and videodvdrip() with media:/ url support.
    * K3b can now handle media:/ urls from the command line to specify devices
    * Better Lame settings dialog. Easier to use for the novice user and better defaults.
    * Nicer Ogg Vorbis encoder settings dialog.
    * K3b now shows the DVD Medium ID in the disk information view.
    * K3b now displays a rough estimate on the remaining time for the current job.
    * New automatic media size mode for the projects. This means K3b uses the size from an inserted medium
    for the project maximum size.
    * Make a suggestion for the filename when saving a project based on the Volume ID (data projects) or the
    CD-Text title (Audio CD)
    * The Audio encoder plugins are now able to provide (very simplistic) user feedback in case of an error.
    * New settings "Swap byte order" and "Write Wave header" in the audio encoding plugin using external apps.
    This makes way for the usage of such programs as mppenc to encode Musepack files. In fact, mppenc is set up
    as a default along with flac if installed.
    * New DCOP interface: K3bJobInterface which provides DCOP signals for the currently running job. It may,
    for example, be used to provide information to a Karamba module.
    * New KFile plugin for K3b projects. For now it only shows the type of the project (Data DVD or Audio CD or ...)
    but may be extended to show arbitrary information.
    * K3b now chooses default image names based on the project name or the volumeid/cdtext title in case of
    CD/DVD copy.
    * The K3b Project DCOP Interface now uses the QString type for url parameters instead of KURL.
    * Save/load audio cd track sources in audio projects
    * Display a beautified volume id. For example: THE_TRANSPORTER -> The Transporter
    * Check if the image directory exists before starting to create a project image
    * Possibility to hide the OSD temporarily for one process.
    * Completely rewritten Video DVD ripping and transcoding support:
  - Simple on-the-fly transcoding of Video DVD titles
  - Interface similar to Audio CD ripping
  - Preview images in the ripping window
  - Automatic clipping
  - Simple resizing with automatic aspect ratio handling
    * File System presets for all data projects including all the advanced options.
    * Completely rewritten data project verification
  - K3b now compares the written image instead of the single files
  - Verification of Video DVD projects
    * Little GUI changes:
  - Changed the dialog layout in the action dialogs.
  - Simplified the layout of the burn dialogs for data projects (more advanced settings hidden)
  - Improved theme support (transparent themes)
    * Device buffer status display for DVD burning with growisofs >= 7.0
    * Support for Audio CD ripping with libcdio instead of libcdparanoia
    * Support for Cdrkit, the Debian fork of cdrtools

++++ kasumi:

  - updating to 2.2 (also fixes Bugzilla #253788)
    • man page added
    • Italian translations added

++++ kernel-bigsmp:

  - patches.drivers/libata-hardreset-on-SERR_INTERNAL: libata:
    hardreset on SERR_INTERNAL (241334).
  - patches.drivers/libata-jmicron-match-class-instead-of-function-nr:
    jmicron: match class instead of function number (224784,
    207707).
  - patches.drivers/libata-ahci-RAID-mode-SATA-patch-for-Intel-ICH9M:
    ahci: RAID mode SATA patch for Intel ICH9M.
  - patches.drivers/libata-blacklist-FUJITSU-MHT2060BH-for-NCQ:
    libata: blacklist FUJITSU MHT2060BH for NCQ.

++++ kernel-default:

  - patches.drivers/libata-hardreset-on-SERR_INTERNAL: libata:
    hardreset on SERR_INTERNAL (241334).
  - patches.drivers/libata-jmicron-match-class-instead-of-function-nr:
    jmicron: match class instead of function number (224784,
    207707).
  - patches.drivers/libata-ahci-RAID-mode-SATA-patch-for-Intel-ICH9M:
    ahci: RAID mode SATA patch for Intel ICH9M.
  - patches.drivers/libata-blacklist-FUJITSU-MHT2060BH-for-NCQ:
    libata: blacklist FUJITSU MHT2060BH for NCQ.

++++ kernel-source:

  - patches.drivers/libata-hardreset-on-SERR_INTERNAL: libata:
    hardreset on SERR_INTERNAL (241334).
  - patches.drivers/libata-jmicron-match-class-instead-of-function-nr:
    jmicron: match class instead of function number (224784,
    207707).
  - patches.drivers/libata-ahci-RAID-mode-SATA-patch-for-Intel-ICH9M:
    ahci: RAID mode SATA patch for Intel ICH9M.
  - patches.drivers/libata-blacklist-FUJITSU-MHT2060BH-for-NCQ:
    libata: blacklist FUJITSU MHT2060BH for NCQ.

++++ kernel-syms:

  - patches.drivers/libata-hardreset-on-SERR_INTERNAL: libata:
    hardreset on SERR_INTERNAL (241334).
  - patches.drivers/libata-jmicron-match-class-instead-of-function-nr:
    jmicron: match class instead of function number (224784,
    207707).
  - patches.drivers/libata-ahci-RAID-mode-SATA-patch-for-Intel-ICH9M:
    ahci: RAID mode SATA patch for Intel ICH9M.
  - patches.drivers/libata-blacklist-FUJITSU-MHT2060BH-for-NCQ:
    libata: blacklist FUJITSU MHT2060BH for NCQ.

++++ kernel-xen:

  - patches.drivers/libata-hardreset-on-SERR_INTERNAL: libata:
    hardreset on SERR_INTERNAL (241334).
  - patches.drivers/libata-jmicron-match-class-instead-of-function-nr:
    jmicron: match class instead of function number (224784,
    207707).
  - patches.drivers/libata-ahci-RAID-mode-SATA-patch-for-Intel-ICH9M:
    ahci: RAID mode SATA patch for Intel ICH9M.
  - patches.drivers/libata-blacklist-FUJITSU-MHT2060BH-for-NCQ:
    libata: blacklist FUJITSU MHT2060BH for NCQ.

++++ kernel-xenpae:

  - patches.drivers/libata-hardreset-on-SERR_INTERNAL: libata:
    hardreset on SERR_INTERNAL (241334).
  - patches.drivers/libata-jmicron-match-class-instead-of-function-nr:
    jmicron: match class instead of function number (224784,
    207707).
  - patches.drivers/libata-ahci-RAID-mode-SATA-patch-for-Intel-ICH9M:
    ahci: RAID mode SATA patch for Intel ICH9M.
  - patches.drivers/libata-blacklist-FUJITSU-MHT2060BH-for-NCQ:
    libata: blacklist FUJITSU MHT2060BH for NCQ.

++++ libqt4:

  - add patch for font problems (#244579)
  - fix memory leak in dbus calls
  - fix application name typo in qdbus2xml
  - fix word wrap handling in uic3 ressources
  - reduce size of devel package by 30%

++++ libqt4-devel-doc-data:

  - add patch for font problems (#244579)
  - fix memory leak in dbus calls
  - fix application name typo in qdbus2xml
  - fix word wrap handling in uic3 ressources
  - reduce size of devel package by 30%

++++ libqt4-sql-plugins:

  - add patch for font problems (#244579)
  - fix memory leak in dbus calls
  - fix application name typo in qdbus2xml
  - fix word wrap handling in uic3 ressources
  - reduce size of devel package by 30%

++++ lkcdutils:

  - adapt ps.sial to work around a limitation of the sial interpreter
    that prevents anonymous structures from being handled corretly
    (#184469, #252357)

++++ nautilus:

  - Update to version 2.17.91
  - Bug fixes, including bugzilla.gnome.org #364466, #403255,
    [#138058], #340495, #357955, #403565, #357955, #362034,
    [#385382], #394328, #329920, #320020, #327249, #389467, #376291,
    [#374623], #382207, #376952, #384078, #383840, #45953, #350579,
    [#318373], #132326, #372550, #338353, #372471, #330298, #155337,
    [#174766], #122688, #321175, #349840, #356124, #351713, #348161.

++++ notification-daemon:

  - Update drawing patch to build
  - notification-daemon-bubble-enable.patch
    * Enable building the bubble theme again
  - notification-daemon-bubble-init.patch
    * Add new methods requiresd for theme to load

++++ novfs:

  - [Bugzilla 254072] I now clean up old make files, before generating the novfs
  - tar.gz for autobuild

++++ pam_mount:

  - fix reference counting of pmvarrun app
    [#252243]

++++ perl-Bootloader:

  - Display labels of boot entries correctly, e.g. "openSUSE 10.2 --
    Kernel-2.6.20-9-default" (#252911)
  - Fixed handling concerning which kernel will be the default entry
    in bootloader menu (#252911)
  - Following changes merged from branch SLES10-SP1 to trunk:
  - Fixed removal of obsolete entries in /boot/grub/menu.lst
  - Exluded kernel-debug from getting default (#241370)

++++ rug:

  - New Source Drop
  - Update resolveFlagsDict for every package in plist. Fixes #163548

++++ sax2:

  - fixed WACOM:ISDV4 TABLET PC setup (#254161)
  - fixed reading monitor disk/CD/DVD (#239608)

++++ spandsp:

  - fixed 'warning: array subscript is above array bounds' (#239958)
  - array-subscript.patch

++++ sysstat:

  - update to 7.1.2
    * autoconf support
    * better hotplug CPU support
  - no longer assuming that CPU#0 can never be disabled
    * sar datafiles format changed to become more compact

++++ xmoto:

  - updated to release 0.2.6
    * performances improved (better framerate)
    * SDL-GFX rendering in option (instead of OpenGL, beta code,
    16 bpp only)
    * a randomize button to puzzle any package list
    * you can associate a rpl to xmoto (ie xmoto replay.rpl play the
    rpl file)
    * filter on lists
    * problem with 64bits architecture should be fixed
    * texture of the level border can be changed
    * more options to draw the sky
    * you can associate a music to a level
    * mingw supported ; visual studio c++ no longer supported
    * votes from the website as packs (pack easiest levels, hardest
    levels, nicest levels)
    * Sprites of flowers, strawberries and wreckers can be changed
    specially for a level
    * sounds are themable
    * add support for multi layer (parallax scrolling) rendering
    * gettext for windows
    * adding levels and sprites from the website
    * some important bugs fixed

++++ xorg-x11-driver-video:

  - updated siliconmotion driver to release 1.5.1
    * clean up source formatting
    * Add EXA support (Solid and Copy)
    * actually program the vclk
    * fix hangs at startup due to engine not being active
    * fix clk calculation on older lynx chips

++++ yast2:

  - added yast2-perl-bindings to Requires (#253514)

++++ yast2-add-on:

  - Redraw Wizard steps when Add-Ons are changed in the installation
    proposal. This change allows to reflect the current workflow look
    just after the workflow change is made (#254035).
  - Adjusted RPM dependencies (yast2-packager).
  - 2.15.4

++++ yast2-control-center-gnome:

  - Roll in all changes from SP1 branch:
    Fri Mar  9 20:44:02 CET 2007 - sreeves@suse.de
  - Fix for 250415 - allow different theming for the cc shell
    Fix for 249717 - change title to "YaST2 Control Center" - use the same string
    already in yast2-control-center package so we can use existing translations.
    Tue Mar  6 15:49:05 CET 2007 - cthiel@suse.de
  - Supplements: gnome-main-menu instead of gnome-desktop
    Mon Mar  5 15:59:17 CET 2007 - cthiel@suse.de
  - fix for #240240
    * Supplements: gnome-desktop
    * Provides: yast2-control-center-binary
    Thu Mar  1 00:04:48 CET 2007 - sreeves@suse.de
  - Call suse_update_desktop_file for all .directory files
    [#247812] will be fixed in yast2.rpm so remove desktop file
    Thu Feb 22 23:14:26 CET 2007 - sreeves@suse.de
  - Fix for no desktop file - #247812
    Includes changes by mmeeks to build project the "standard yast way"
    Thu Feb  1 23:44:45 CET 2007 - sreeves@suse.de
  - Fix for BNC #236464 - duplicated items.
    Fix for gnome.org #395133 - tasks launched twice.
    Fix for BNC #240242 - no common tasks.
    Remove .desktop file now that yast2 launches us

++++ yast2-country:

  - adapt language changes also in firstboot stage (#252780)
  - do not require yast2-installation (#252905)
  - 2.15.9

++++ yast2-installation:

  - Reboot in case of the declined license during the initial
    installation (#252132).

++++ yast2-mail:

  - Added missing dependency on yast2-ldap (#253948).
  - 2.15.3

++++ yast2-mouse:

  - 2.15.1
  - fixed BuildRequires (#253952)

++++ yast2-network:

  - RNC validation file: completed list of wireless options (#211014)

++++ yast2-nfs-server:

  - Removed obsolete dependency on yast2-packager (#252979).
  - 2.15.2

++++ yast2-packager:

  - Making AddOnProduct::RedrawWizardSteps function global to be able
    to redraw Wizard look from whereever we need.
  - Directory /usr/share/YaST2/control/ owned by this package.
  - 2.15.23

++++ yast2-power-management:

  - added the .rnc file (#253599)
  - 2.15.0

++++ yast2-runlevel:

  - Removed unneded BuildRequires (faster build)
  - 2.15.1

++++ yast2-samba-client:

  - added site-aware search for AD controllers (#253609)
  - 2.15.4

++++ yast2-storage:

  - add changes done by Lukas Ocilka for UI speedup to disk
    client (#253943)
  - add missing dependencies to Requires line (#253969)

++++ yast2-trans-af:

  - Update to version 2.13.3.

++++ yast2-update:

  - When checking the installed system either for Update or Boot
    Installed System, consider partition valid when inst-sys is PPC
    and installed system is PPC64. Don't be so strict (#249791).
  - 2.15.6

++++ zd1211-firmware:

  - new package for version 1.3

++++ zen-updater:

  - New Source drop
  - Fix for # 253944 & 253025
  - Added check for installed version of gtk2 package.(> 2.4)
  - Modified fix-ld-library-path.patch as the source files were modified.

++++ zmd:

  - New source drop.
  - Removed RemoteBundleManager.patch as it is included in source.
  - Fetch package only if it's of type ZenPackage Fixes #244040
  - Override Verify to do nothing, as its taken care by online_update -I, and patch once
    installed cannot be removed, so Bundle status wont change too.  Fixes #237758
  - Used url as well as name as hashkey for catalogs. Fixes # 252549
  - Added StartListening (null) for ZMD to be compatible with Mono 1.2.3 Fixes # 244626
  - Added new API ExpireAll () which clears up the entire cache. Addresses "rug cc" case.
    Call ExpireAll () instead of Expire (). Fixes 224133